/**
 * common-健康教育数据(CommonEducationRecord)Api
 *
 * @author makejava
 * @since 2020-09-28 11:45:35
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {commonBaseUrl, CommonEducationRecordUrl} from "../../config/config";

export const commonEducationRecordApi: CommonEducationRecordDefine.CommonEducationRecord = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEducationRecordUrl.DEL_COMMON_EDUCATION_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEducationRecordUrl.INFO_COMMON_EDUCATION_RECORD + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEducationRecordUrl.PAGE_COMMON_EDUCATION_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEducationRecordUrl.SAVE_COMMON_EDUCATION_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEducationRecordUrl.UPD_COMMON_EDUCATION_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}