/**
 * 公共-健康知识(CommonKnow)ApiDefine
 *
 * @author makejava
 * @since 2020-10-09 10:07:12
 */
import {SaveCommonKnowForm, UpdCommonKnowForm} from "../../model/common/form/CommonKnowForm";
import {PageCommonKnowForm} from "../../model/common/form/PageCommonKnowForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonKnowDto} from "../../model/common/dto/CommonKnowDto";

declare global {
    namespace CommonKnowDefine {
        interface CommonKnow {
            // 添加
            save?: (data: SaveCommonKnowForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonKnowDto>>,
            // 修改
            upd?: (data: UpdCommonKnowForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageCommonKnowForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonKnowDto>>>,

        }
    }
}

export {}