/**
 * 公共-区域宣传视频(CommonPublicity)ApiDefine
 *
 * @author makejava
 * @since 2020-11-11 13:49:37
 */
import {SaveCommonPublicityForm, UpdCommonPublicityForm} from "../../model/common/form/CommonPublicityForm";
import {PageCommonPublicityForm} from "../../model/common/form/PageCommonPublicityForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonPublicityDto} from "../../model/common/dto/CommonPublicityDto";
import {UserPageCommonPublicityForm} from "../../model/common/form/UserPageCommonPublicityForm";

declare global {
    namespace CommonPublicityDefine {
        interface CommonPublicity {
            // 添加
            save?: (data: SaveCommonPublicityForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonPublicityDto>>,
            // 修改
            upd?: (data: UpdCommonPublicityForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageCommonPublicityForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonPublicityDto>>>,

            // 用户端分页查询列表
            userPage?: (data: UserPageCommonPublicityForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonPublicityDto>>>,

        }
    }
}

export {}