import {ResultDto} from "../../model/ResultDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, commonBaseUrl, CommonUploadFileEnum} from "../../config/config";
import {FileUploadDto} from "../../model/common/upload/fileUploadDto";
import { count } from "console";

const JsonBigString = require('json-bigint')({"storeAsString": true});

export let UploadFileApi:UploadFileInterface.UploadFile;

UploadFileApi={
    uploadFile: async (form) => {
        const url = apiUrl + commonBaseUrl + CommonUploadFileEnum.UPLOAD_FILE;
        const result: ResultDto<any> = await WebClient.httpAxios(url,form);
        return result;
    },
}