/**
 * 试卷-选项(ExaOption)ApiDefine
 *
 * @author makejava
 * @since 2020-11-03 08:53:06
 */
import {ExaOptionForm, SaveExaOptionForm, UpdExaOptionForm} from "../../model/exa/form/ExaOptionForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ExaOptionDto} from "../../model/exa/dto/ExaOptionDto";

declare global {
    namespace ExaOptionDefine {
        interface ExaOption {
            // 添加
            save?: (data: SaveExaOptionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaOptionDto>>,
            // 修改
            upd?: (data: UpdExaOptionForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: ExaOptionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaOptionDto>>>,

        }
    }
}

export {}