/**
 * 试卷-试卷关联的问题(ExaPapQue)ApiDefine
 *
 * @author makejava
 * @since 2020-11-03 08:53:05
 */
import {ExaPapQueForm, SaveExaPapQueForm, UpdExaPapQueForm} from "../../model/exa/form/ExaPapQueForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ExaPapQueDto} from "../../model/exa/dto/ExaPapQueDto";

declare global {
    namespace ExaPapQueDefine {
        interface ExaPapQue {
            // 添加
            save?: (data: SaveExaPapQueForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaPapQueDto>>,
            // 修改
            upd?: (data: UpdExaPapQueForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: ExaPapQueForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaPapQueDto>>>,
            unbind?:(data: {paperId:string,queId:string}, headers: any,
                     errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaPapQueDto>>>,

        }
    }
}

export {}