/**
 * 试卷-试卷(ExaPaper)Api
 *
 * @author makejava
 * @since 2020-11-03 08:53:05
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {exaUrl, ExaPaperUrl} from "../../config/config";

export const exaPaperApi: ExaPaperDefine.ExaPaper = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPaperUrl.DEL_EXA_PAPER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            exaUrl + ExaPaperUrl.INFO_EXA_PAPER + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPaperUrl.PAGE_EXA_PAPER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPaperUrl.SAVE_EXA_PAPER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPaperUrl.UPD_EXA_PAPER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    detail: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPaperUrl.DETAIL_EXA_PAPER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};