/**
 * 试卷-试卷(ExaPaper)ApiDefine
 *
 * @author makejava
 * @since 2020-11-03 08:53:05
 */
import {ExaPaperForm, SaveExaPaperForm, UpdExaPaperForm} from "../../model/exa/form/ExaPaperForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ExaPaperDto} from "../../model/exa/dto/ExaPaperDto";

declare global {
    namespace ExaPaperDefine {
        interface ExaPaper {
            // 添加
            save?: (data: SaveExaPaperForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaPaperDto>>,
            // 修改
            upd?: (data: UpdExaPaperForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: ExaPaperForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaPaperDto>>>,
            // 通过id查列表
            detail?: (data:string[], headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaPaperDto>>,
        }
    }
}

export {}