/**
 * 试卷-问题(ExaQuestion)ApiDefine
 *
 * @author makejava
 * @since 2020-11-03 08:43:02
 */
import {ExaQuestionForm, SaveExaQuestionForm, UpdExaQuestionForm} from "../../model/exa/form/ExaQuestionForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ExaQuestionDto} from "../../model/exa/dto/ExaQuestionDto";

declare global {
    namespace ExaQuestionDefine {
        interface ExaQuestion {
            // 添加
            save?: (data: SaveExaQuestionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaQuestionDto>>,
            // 修改
            upd?: (data: UpdExaQuestionForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: ExaQuestionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaQuestionDto>>>,

        }
    }
}

export {}