/**
 * 机构装修--机构--页面--banner(FitmentModuleBanner)ApiDefine
 *
 * @author Ma
 * @since 2020-09-28 16:23:44
 */
import {
    FitmentModuleBannerForm,
    saveFitmentModuleBannerForm,
    updFitmentModuleBannerForm
} from "../../model/fitment/form/FitmentModuleBannerForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentModuleBannerDto} from "../../model/fitment/dto/FitmentModuleBannerDto";

declare global {
    namespace FitmentModuleBannerDefine {
        interface FitmentModuleBanner {
            // 添加
            save?: (data: saveFitmentModuleBannerForm[], headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentModuleBannerDto>>,
            // 修改
            upd?: (data: updFitmentModuleBannerForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: FitmentModuleBannerForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentModuleBannerDto>>>,

        }
    }
}

export {}