/**
 * 机构装修--机构--页面（预览/草稿）(FitmentModuleOrg)ApiDefine
 *
 * @author Ma
 * @since 2020-09-23 15:51:09
 */
import {
    FitmentModuleOrgForm,
    saveFitmentModuleOrgForm,
    updFitmentModuleOrgForm
} from "../../model/fitment/form/FitmentModuleOrgForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentModuleOrgDto} from "../../model/fitment/dto/FitmentModuleOrgDto";

declare global {
    namespace FitmentModuleOrgDefine {
        interface FitmentModuleOrg {
            // 添加
            // save?: (data: saveFitmentModuleOrgForm, headers: any,
            //         errorCallback?: (message: string) => void) =>
            //     Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentModuleOrgDto>>,
            // 修改
            upd?: (data: updFitmentModuleOrgForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: FitmentModuleOrgForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentModuleOrgDto>>>,
            // 发布
            issue?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            /**
             * 修改默认背景图片
             */
            changeDefaul?:(data: string, headers: any,
                    errorCallback?: (message: string) => void)=>
                Promise<ResultDto<boolean>>,

        }
    }
}

export {}