/**
 * 机构装修--正式发布版本(FitmentModuleRelease)ApiDefine
 *
 * @author Ma
 * @since 2020-09-23 15:51:08
 */
import {
    FitmentModuleReleaseForm,
    saveFitmentModuleReleaseForm,
    updFitmentModuleReleaseForm
} from "../../model/fitment/form/FitmentModuleReleaseForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentModuleReleaseDto} from "../../model/fitment/dto/FitmentModuleReleaseDto";
import {SysOrgNameDto} from "../../model/system/dto/SysOrgNameDto";

declare global {
    namespace FitmentModuleReleaseDefine {
        interface FitmentModuleRelease {
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentModuleReleaseDto>>,
            // 分页
            page?: (data: FitmentModuleReleaseForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentModuleReleaseDto>>>,

            select?:(data:{orgId:string,deptId:string},headers:any,
                     errorCallback?: (message: string) => void) =>
                     Promise<ResultDto<FitmentModuleReleaseDto>>,

            releaseOrg?:(headers:any,
                     errorCallback?: (message: string) => void) =>
                Promise<ResultDto<SysOrgNameDto>>,
        }
    }
}

export {}