/**
 * 随访-主表(FollowMain)ApiDefine
 *
 * @author makejava
 * @since 2020-12-03 14:24:36
 */
import {SaveFollowMainForm, UpdFollowMainForm} from "../../model/follow/form/FollowMainForm";
import {PageFollowMainForm} from "../../model/follow/form/PageFollowMainForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FollowMainDto} from "../../model/follow/dto/FollowMainDto";

declare global {
    namespace FollowMainDefine {
        interface FollowMain {
            // 添加
            save?: (data: SaveFollowMainForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FollowMainDto>>,
            // 修改
            upd?: (data: UpdFollowMainForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageFollowMainForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FollowMainDto>>>,

        }
    }
}

export {}