/**
 * 机构素材-评价(HospMatEva)ApiDefine
 *
 * @author makejava
 * @since 2020-12-02 11:32:44
 */
import {SaveHospMatEvaForm} from "../../model/hosp/form/HospMatEvaForm";
import {PageHospMatEvaForm} from "../../model/hosp/form/PageHospMatEvaForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {HospMatEvaDto} from "../../model/hosp/dto/HospMatEvaDto";
import {DisableEnableEvaForm} from "../../model/hosp/form/DisableEnableEvaForm";

declare global {
    namespace HospMatEvaDefine {
        interface HospMatEva {
            // 添加
            save?: (data: SaveHospMatEvaForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageHospMatEvaForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospMatEvaDto>>>,

            // 启用禁用
            disableEnable?: (data: DisableEnableEvaForm, headers: any,
                             errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospMatEvaDto>>>,

        }
    }
}

export {}