/**
 * 机构素材-点赞(HospMatLike)Api
 *
 * @author makejava
 * @since 2020-12-02 11:32:46
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {hospUrl, HospUrlEnum} from "../../config/config";

export const hospMatLikeApi: HospMatLikeDefine.HospMatLike = {

    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.SAVE_HOSP_MAT_LIKE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};