/**
 * 医院-素材(HospMaterial)ApiDefine
 *
 * @author makejava
 * @since 2020-09-22 09:04:37
 */
import {SaveHospMaterialForm, UpdHospMaterialForm} from "../../model/hosp/form/HospMaterialForm";
import {PageHospMaterialForm} from "../../model/hosp/form/PageHospMaterialForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {HospMaterialDto} from "../../model/hosp/dto/HospMaterialDto";

declare global {
    namespace HospMaterialDefine {
        interface HospMaterial {
            // 添加
            save?: (data: SaveHospMaterialForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

            // 添加返回Id
            saveBackId?: (data: SaveHospMaterialForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<string>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<HospMaterialDto>>,

            // 机构素材列表
            findByIdList?: (ids: string[], headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<HospMaterialDto[]>>,
            // 修改
            upd?: (data: UpdHospMaterialForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageHospMaterialForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospMaterialDto>>>,

        }
    }
}

export {}