/**
 * 医院-诊疗价格(HospTherapy)ApiDefine
 *
 * @author makejava
 * @since 2020-09-16 15:31:03
 */
import {SaveHospTherapyForm, UpdHospTherapyForm} from "../../model/hosp/form/HospTherapyForm";
import {PageHospTherapyForm} from "../../model/hosp/form/PageHospTherapyForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {HospTherapyDto} from "../../model/hosp/dto/HospTherapyDto";

declare global {
    namespace HospTherapyDefine {
        interface HospTherapy {
            // 添加
            save?: (data: SaveHospTherapyForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<HospTherapyDto>>,
            // 修改
            upd?: (data: UpdHospTherapyForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageHospTherapyForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospTherapyDto>>>,

        }
    }
}

export {}