/**
 * 项目-物料发放记录(ItemArticle)ApiDefine
 *
 * @author makejava
 * @since 2020-09-23 18:06:58
 */
import {SaveItemArticleForm, UpdItemArticleForm} from "../../model/item/form/ItemArticleForm";
import {PageItemArticleForm} from "../../model/item/form/PageItemArticleForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemArticleDto} from "../../model/item/dto/ItemArticleDto";

declare global {
    namespace ItemArticleDefine {
        interface ItemArticle {
            // 添加
            save?: (data: SaveItemArticleForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemArticleDto>>,
            // 修改
            upd?: (data: UpdItemArticleForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemArticleForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemArticleDto>>>,
            // 根据项目Id查询
            listByItemId?:(data:string,headers:any, errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemArticleDto[]>>,
        }
    }
}

export {}