/**
 * 项目-项目主表(健康宣教等.........)(Item)ApiDefine
 *
 * @author makejava
 * @since 2020-09-23 18:06:57
 */
import {SaveItemForm, UpdItemForm} from "../../model/item/form/ItemForm";
import {PageItemForm} from "../../model/item/form/PageItemForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemDto} from "../../model/item/dto/ItemDto";
import {ReleaseItemForm} from "../../model/item/form/ReleaseItemForm";
import {StartEndItemForm} from "../../model/item/form/StartEndItemForm";
import {CompleteItemForm} from "../../model/item/form/CompleteItemForm";
import {ConclusionItemForm} from "../../model/item/form/ConclusionItemForm";

declare global {
    namespace ItemDefine {
        interface Item {
            // 添加
            save?: (data: SaveItemForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,


            // 保存并发布
            saveAndRelease?: (data: SaveItemForm, headers: any,
                              errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemDto>>,
            // 修改
            upd?: (data: UpdItemForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemDto>>>,
            // 发布项目
            release?: (data: ReleaseItemForm, headers: any,
                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 项目开始和结束
            startEnd?: (data: StartEndItemForm, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 项目完成
            complete?:(data: CompleteItemForm, headers: any,
                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

            // 活动总结
            conclusion?:(data: ConclusionItemForm, headers: any,
                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
        }
    }
}

export {}