/**
 * 项目-讲座项目时的特殊属性(ItemLecture)ApiDefine
 *
 * @author makejava
 * @since 2020-09-23 18:07:01
 */
import {SaveItemLectureForm, UpdItemLectureForm} from "../../model/item/form/ItemLectureForm";
import {PageItemLectureForm} from "../../model/item/form/PageItemLectureForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemLectureDto} from "../../model/item/dto/ItemLectureDto";

declare global {
    namespace ItemLectureDefine {
        interface ItemLecture {
            // 添加
            save?: (data: SaveItemLectureForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemLectureDto>>,
            // 修改
            upd?: (data: UpdItemLectureForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemLectureForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemLectureDto>>>,

        }
    }
}

export {}