/**
 * (RobotMessageTemplate)Api
 *
 * @author makejava
 * @since 2020-12-02 16:54:40
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {noticeBaseUrl as noticeUrl, NoticeUrlEnum} from "../../config/config";

export const robotMessageTemplateApi: RobotMessageTemplateDefine.RobotMessageTemplate = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.DEL_ROBOT_MESSAGE_TEMPLATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            noticeUrl + NoticeUrlEnum.INFO_ROBOT_MESSAGE_TEMPLATE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.PAGE_ROBOT_MESSAGE_TEMPLATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.SAVE_ROBOT_MESSAGE_TEMPLATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.UPD_ROBOT_MESSAGE_TEMPLATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};