/**
 * (RobotMessageTemplate)ApiDefine
 *
 * @author makejava
 * @since 2020-12-02 16:54:40
 */
import {
    SaveRobotMessageTemplateForm,
    UpdRobotMessageTemplateForm
} from "../../model/notice/form/RobotMessageTemplateForm";
import {PageRobotMessageTemplateForm} from "../../model/notice/form/PageRobotMessageTemplateForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {RobotMessageTemplateDto} from "../../model/notice/dto/RobotMessageTemplateDto";

declare global {
    namespace RobotMessageTemplateDefine {
        interface RobotMessageTemplate {
            // 添加
            save?: (data: SaveRobotMessageTemplateForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<RobotMessageTemplateDto>>,
            // 修改
            upd?: (data: UpdRobotMessageTemplateForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageRobotMessageTemplateForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<RobotMessageTemplateDto>>>,

        }
    }
}

export {}