/**
 * 问卷(Questionnaire)ApiDefine
 *
 * @author makejava
 * @since 2020-11-18 17:24:20
 */
import {QuestionnaireForm, SaveQuestionnaireForm, UpdQuestionnaireForm} from "../../model/questionnaire/form/QuestionnaireForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {QuestionnaireDto} from "../../model/questionnaire/dto/QuestionnaireDto";

declare global {
    namespace QuestionnaireDefine {
        interface Questionnaire {
            // 添加
            save?: (data: SaveQuestionnaireForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<QuestionnaireDto>>,
            // 修改
            upd?: (data: UpdQuestionnaireForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: QuestionnaireForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireDto>>>,

        }
    }
}

export {}