/**
 * 问卷调查--投放对象(QuestionnaireReleaseObj)Api
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {QuestionnaireReleaseObjUrl,  questionnaireUrl} from "../../config/config";

export const questionnaireReleaseObjApi: QuestionnaireReleaseObjDefine.QuestionnaireReleaseObj = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireReleaseObjUrl.DEL_QUESTIONNAIRE_RELEASE_OBJ,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            questionnaireUrl + QuestionnaireReleaseObjUrl.INFO_QUESTIONNAIRE_RELEASE_OBJ + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireReleaseObjUrl.PAGE_QUESTIONNAIRE_RELEASE_OBJ,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireReleaseObjUrl.SAVE_QUESTIONNAIRE_RELEASE_OBJ,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireReleaseObjUrl.UPD_QUESTIONNAIRE_RELEASE_OBJ,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};