/**
 * 问卷调查--投放对象(QuestionnaireReleaseObj)ApiDefine
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */
import {
    QuestionnaireReleaseObjForm,
    SaveQuestionnaireReleaseObjForm,
    UpdQuestionnaireReleaseObjForm
} from "../../model/questionnaire/form/QuestionnaireReleaseObjForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {QuestionnaireReleaseObjDto} from "../../model/questionnaire/dto/QuestionnaireReleaseObjDto";

declare global {
    namespace QuestionnaireReleaseObjDefine {
        interface QuestionnaireReleaseObj {
            // 添加
            save?: (data: SaveQuestionnaireReleaseObjForm[], headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<QuestionnaireReleaseObjDto>>,
            // 修改
            upd?: (data: UpdQuestionnaireReleaseObjForm[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: QuestionnaireReleaseObjForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireReleaseObjDto>>>,

        }
    }
}

export {}