/**
 * 问卷调查--题目列表(QuestionnaireTopic)ApiDefine
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */
import {
    QuestionnaireTopicForm,
    SaveQuestionnaireTopicForm,
    UpdQuestionnaireTopicForm
} from "../../model/questionnaire/form/QuestionnaireTopicForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {QuestionnaireTopicDto} from "../../model/questionnaire/dto/QuestionnaireTopicDto";

declare global {
    namespace QuestionnaireTopicDefine {
        interface QuestionnaireTopic {
            // 添加
            save?: (data: SaveQuestionnaireTopicForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<QuestionnaireTopicDto>>,
            // 修改
            upd?: (data: UpdQuestionnaireTopicForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: QuestionnaireTopicForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireTopicDto>>>,

        }
    }
}

export {}