import {ResultDto} from "../../model/ResultDto";
import {SysAreasEntity} from "../../model/system/entity/SysAreasEntity";
import {ListAreaForm} from "../../model/system/form/ListAreaForm";

declare global {
    namespace AreaInterface{
        // tslint:disable-next-line:class-name
        interface area {
            selectOne?: (id: string, headers: any) => Promise<ResultDto<SysAreasEntity>>;
            getAreasByCode?: (areaCode: string, headers: any) => Promise<ResultDto<SysAreasEntity>>;
            nodeList?: (areaCode: string, headers: any) => Promise<ResultDto<SysAreasEntity[]>>;
            lisArea?:(data:{parentCode:string,name?:string},headers:any)=> Promise<ResultDto<SysAreasEntity[]>>;
            cascade?:(data:ListAreaForm,headers:any) => Promise<ResultDto<SysAreasEntity[]>>;
        }

    }
}
export {};