import {ResultDto} from "../../model/ResultDto";
import {Search} from "../../model/common/form/DictForm";
import {SysClientEntity} from "../../model/system/entity/SysClientEntity";
import {PageDto} from "../../model/PageDto";

declare global {
    namespace ClientInterface{
        // tslint:disable-next-line:class-name
        interface client {
            list?: (form: Search, headers: any) => Promise<ResultDto<PageDto<SysClientEntity>>>;
            saveOrUpdate?: (form: SysClientEntity, headers: any) => Promise<ResultDto<any>>;
            getClientInfo?: (form: string, headers: any) => Promise<ResultDto<SysClientEntity>>;
            delete?: (form: string, headers: any) => Promise<ResultDto<any>>;
            status?: (ids: string,status:string, headers: any) => Promise<ResultDto<any>>;
        }
    }
}
export {};