import {ResultDto} from "../../model/ResultDto";
import {SysRoleConfigEntity} from "../../model/system/entity/SysRoleConfigEntity";

declare global {
    namespace ConfigInterface {
        interface RoleConfig {
            save?: (form: SysRoleConfigEntity, headers: any) => Promise<ResultDto<any>>;
            list?: (form: string, headers: any) => Promise<ResultDto<SysRoleConfigEntity[]>>;
        }
    }
}
export {};