import {WebClient} from "../../utils/WebClient";
import {apiUrl, SystemEnum, systemUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";

// tslint:disable-next-line:no-var-requires
const JsonBigString = require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let SysApi: SysInterface.Sys;


SysApi = {
    delCache: async (form: null, headers: any) => {
       return JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + systemUrl + SystemEnum.SYS_DEL_CACHE,
            method: 'GET',
            headers: headers
        }));
    },
};
