/**
 * teach-教学--班级--报名管理(TeachClassUser)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-26 17:10:05
 */
import {PageTeachCourseUserForm} from "../../model/teach/form/PageTeachCourseUserForm";
import {ResultDto} from "../../model/ResultDto";
import {Page} from "../../model/teach/dto/Page";
import {TeachCourseUserDto} from "../../model/teach/dto/TeachCourseUserDto";
import {DateClassCourseUserDto} from "../../model/teach/dto/DateClassCourseUserDto";

declare global {
    namespace TeachCourseUserDefine {
        interface TeachCourseUser {
            page?: (data: PageTeachCourseUserForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<Page<TeachCourseUserDto>>>,

            queryListByTime?: (data: PageTeachCourseUserForm, headers: any,
                                errorCallback?: (message: string) => void) =>
                Promise<ResultDto<DateClassCourseUserDto[]>>,

            queryReminder?: (userId: string, headers: any,
                             errorCallback?: (message: string) => void) =>
                Promise<ResultDto<string>>,
        }
    }
}

export {}