import {WebClient} from "../../utils/WebClient";
import {UsedrugEnum, usedrugUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const PrescriptionAddApi: PrescriptionAddDefine.PrescriptionAdd = {
    /**
     * 处方延长天数
     * @param form
     * @param headers
     */
    save: async (prescriptionId: string,validDay:string, headers: any) => {
        const  url:string=usedrugUrl + UsedrugEnum.RESCRIPTION_ADD_DAY+"?prescriptionId="+prescriptionId+"&validDay="+validDay;
        return await WebClient.requestResultDtoGet(prescriptionId,url , headers);
    },
}