import {WebClient} from "../../utils/WebClient";
import {UsedrugEnum, usedrugUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const ReceiveApi: ReceiveDefine.Receive = {
    /**
     * 居民领药
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.RECEIVE, headers);
    },
}