import {WebClient} from "../../utils/WebClient";
import {UsedrugEnum, usedrugUrl, userDrug} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const RemindUrgeApi: RemindUrgeDefine.RemindUrge = {
    /**
     * 服药督促
     * @param form
     * @param headers
     */
    drugUrge: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + userDrug.DRUG_URGE, headers);
    },
}