import {ResultDto} from "../../model/ResultDto";
import {UserInfo} from "../../model/user/entity/UserInfo";
import {QueryUserCardForm} from "../../model/user/form/QueryUserCardForm";
import {UserArcPageForm} from "../../model/user/form/UserArcPageForm";
import {PageDto} from "../../model/PageDto";
// @ts-ignore
import {UserArcPageDto} from "../../model/user/dto/UserArcPageDto";
import {UpdUserArcForm} from "../../model/user/form/UpdUserArcForm";
import {UserCardPageForm} from "../../model/user/form/UserCardPageForm";
import {UserCardEntity} from "../../model/user/entity/UserCardEntity";
import {UpdUserCardForm} from "../../model/user/form/UpdUserCardForm";
import {UserContactPageForm} from "../../model/user/form/UserContactPageForm";
import {UserContactEntity} from "../../model/user/entity/UserContactEntity";
import {UpdUserContactForm} from "../../model/user/form/UpdUserContactForm";
import {UserDiseasePageForm} from "../../model/user/form/UserDiseasePageForm";
import {UserDiseaseEntity} from "../../model/user/entity/UserDiseaseEntity";
import {UpdUserDiseaseForm} from "../../model/user/form/UpdUserDiseaseForm";
import {UserFamilyHisPageForm} from "../../model/user/form/UserFamilyHisPageForm";
import {UserFamilyHisEntity} from "../../model/user/entity/UserFamilyHisEntity";
import {UpdUserFamilyHisForm} from "../../model/user/form/UpdUserFamilyHisForm";
import {UserLiveEnvEntity} from "../../model/user/entity/UserLiveEnvEntity";
import {UpdUserLiveForm} from "../../model/user/form/UpdUserLiveForm";
import {UserSurgeryHistPageForm} from "../../model/user/form/UserSurgeryHistPageForm";
import {UserSurgeryHistEntity} from "../../model/user/entity/UserSurgeryHistEntity";
import {UpdUserSurgeryHistForm} from "../../model/user/form/UpdUserSurgeryHistForm";
import {SaveUserCardForm} from "../../model/user/form/SaveUserCardForm";
import {SaveUserContactForm} from "../../model/user/form/SaveUserContactForm";
import {SaveUserDiseaseForm} from "../../model/user/form/SaveUserDiseaseForm";
import {SaveUserFamilyHisForm} from "../../model/user/form/SaveUserFamilyHisForm";
import {SaveUserLiveForm} from "../../model/user/form/SaveUserLiveForm";
import {SaveUserSurgeryHistForm} from "../../model/user/form/SaveUserSurgeryHistForm";
import {UserArcDto} from "../../model/user/form/UserArcDto";
import {SaveUserArcForm} from "../../model/user/form/SaveUserArcForm";
import {UpdateStatusForm} from "../../model/user/form/UpdateStatusForm";
import {UserSearchInfo} from "../../model/user/dto/UserSearchInfo";
import {UserKeyDiseaseDto} from "../../model/user/dto/UserKeyDiseaseDto";
import {PageAccountForm} from "../../model/user/form/PageAccountForm";
import {UserEntity} from "../../model/user/entity/UserEntity";
import {UpdUserArcByUserIdForm} from "../../model/user/form/UpdUserArcByUserIdForm";
import {UserArcLogPageForm} from "../../model/user/form/UserArcLogPageForm";
import {UserArcLogEntity} from "../../model/user/entity/UserArcLogEntity";
import {UserArcLogListForm} from "../../model/user/form/UserArcLogListForm";
import {IntegralConfigDto} from "../../model/user/dto/IntegralConfigDto";
import {IntegralConfigPageForm} from "../../model/user/form/IntegralConfigPageForm";
import {SaveIntegralConfigForm} from "../../model/user/form/SaveIntegralConfigForm";
import {UpdIntegralConfigForm} from "../../model/user/form/UpdIntegralConfigForm";
import {IntegralDemotionDto} from "../../model/user/dto/IntegralDemotionDto";
import {PageForm} from "../../model/PageForm";
import {SaveIntegralDemotionForm} from "../../model/user/form/SaveIntegralDemotionForm";
import {UpdIntegralDemotionForm} from "../../model/user/form/UpdIntegralDemotionForm";
import {IntegralGradeDto} from "../../model/user/dto/IntegralGradeDto";
import {SaveIntegralGradeForm} from "../../model/user/form/SaveIntegralGradeForm";
import {UpdIntegralGradeForm} from "../../model/user/form/UpdIntegralGradeForm";
import {IntegralLogPageForm} from "../../model/user/form/IntegralLogPageForm";
import {IntegralLogDto} from "../../model/user/dto/IntegralLogDto";
import {SaveIntegralLogDto} from "../../model/user/dto/SaveIntegralLogDto";
import {UserIntegralEntity} from "../../model/user/entity/UserIntegralEntity";
import {IntegralGradeEntity} from "../../model/user/entity/IntegralGradeEntity";
import {IntegralGradeNextForm} from "../../model/user/form/IntegralGradeNextForm";
import {IntegralGradeNextDto} from "../../model/user/dto/IntegralGradeNextDto";
import {IntegralLogDayForm} from "../../model/user/form/IntegralLogDayForm";
import {SaveIntegralLogForm} from "../../model/user/form/SaveIntegralLogForm";


declare global {
    namespace UserInterface {
        // tslint:disable-next-line:class-name
        interface user {
            page?: (from: PageAccountForm, headers: any) => Promise<ResultDto<PageDto<UserEntity>>>;

            reset?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

            status?: (from: UpdateStatusForm, headers: any) => Promise<ResultDto<boolean>>;

            icon?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

            getUser?: (headers: any, errorCallback?: (message: string) => void) => Promise<ResultDto<UserInfo>>;

            getUserByUserId?: (from: string, headers: any, errorCallback?: (message: string) => void) => Promise<ResultDto<UserInfo>>;

            getUserByIdCard?: (from: QueryUserCardForm, headers: any) => Promise<ResultDto<UserInfo>>;

            getUserByAccount?: (from: string, headers: any) => Promise<ResultDto<UserInfo>>;

            search?: (from: string, headers: any) => Promise<ResultDto<UserSearchInfo[]>>;

            userIds?: (from: string[], headers: any) => Promise<ResultDto<UserSearchInfo[]>>;
        }

        // tslint:disable-next-line:class-name
        interface userArc {

            page?: (from: UserArcPageForm, headers: any) => Promise<ResultDto<PageDto<UserArcPageDto>>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserArcDto>>;

            getByUserId?: (from: string, headers: any) => Promise<ResultDto<UserArcDto>>;

            upd?: (from: UpdUserArcForm, headers: any) => Promise<ResultDto<boolean>>;

            updByUserId?: (from: UpdUserArcByUserIdForm, headers: any) => Promise<ResultDto<boolean>>;

            save?: (from: SaveUserArcForm, headers: any) => Promise<ResultDto<boolean>>;

            status?: (from: UpdateStatusForm, headers: any) => Promise<ResultDto<boolean>>;


        }

        // tslint:disable-next-line:class-name
        interface userCard {

            page?: (from: UserCardPageForm, headers: any) => Promise<ResultDto<PageDto<UserCardEntity>>>;

            getUserCardListByUserId?: (from: bigint, headers: any) => Promise<ResultDto<UserCardEntity[]>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserCardEntity>>;

            save?: (from: SaveUserCardForm, headers: any) => Promise<ResultDto<boolean>>;

            upd?: (from: UpdUserCardForm, headers: any) => Promise<ResultDto<boolean>>;

            del?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

            idCard?: (from: string, headers: any) => Promise<ResultDto<object>>;

            idCardBase64?: (from: string, headers: any) => Promise<ResultDto<object>>;

        }

        // tslint:disable-next-line:class-name
        interface userContact {

            page?: (from: UserContactPageForm, headers: any) => Promise<ResultDto<PageDto<UserContactEntity>>>;

            getUserContactListByUserId?: (from: bigint, headers: any) => Promise<ResultDto<UserContactEntity[]>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserContactEntity>>;

            save?: (from: SaveUserContactForm, headers: any) => Promise<ResultDto<boolean>>;

            upd?: (from: UpdUserContactForm, headers: any) => Promise<ResultDto<boolean>>;

            del?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

        }

        // tslint:disable-next-line:class-name
        interface userDisease {

            getUserKeyDisease?: (from: string, headers: any) => Promise<ResultDto<UserKeyDiseaseDto>>;

            page?: (from: UserDiseasePageForm, headers: any) => Promise<ResultDto<PageDto<UserDiseaseEntity>>>;

            getUserDiseaseListByUserId?: (from: string, headers: any) => Promise<ResultDto<UserDiseaseEntity[]>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserDiseaseEntity>>;

            save?: (from: SaveUserDiseaseForm, headers: any) => Promise<ResultDto<boolean>>;

            upd?: (from: UpdUserDiseaseForm, headers: any) => Promise<ResultDto<boolean>>;

            del?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

        }

        // tslint:disable-next-line:class-name
        interface userFamilyHis {

            page?: (from: UserFamilyHisPageForm, headers: any) => Promise<ResultDto<PageDto<UserFamilyHisEntity>>>;

            getUserFamilyHisListByUserId?: (from: bigint, headers: any) => Promise<ResultDto<UserFamilyHisEntity[]>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserFamilyHisEntity>>;

            save?: (from: SaveUserFamilyHisForm, headers: any) => Promise<ResultDto<boolean>>;

            upd?: (from: UpdUserFamilyHisForm, headers: any) => Promise<ResultDto<boolean>>;

            del?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

        }

        // tslint:disable-next-line:class-name
        interface userLiveEnv {

            getUserLiveEnvListByUserId?: (from: bigint, headers: any) => Promise<ResultDto<UserLiveEnvEntity[]>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserLiveEnvEntity>>;

            save?: (from: SaveUserLiveForm, headers: any) => Promise<ResultDto<boolean>>;

            upd?: (from: UpdUserLiveForm, headers: any) => Promise<ResultDto<boolean>>;

            del?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

        }

        // tslint:disable-next-line:class-name
        interface userSurgeryHist {

            page?: (from: UserSurgeryHistPageForm, headers: any) => Promise<ResultDto<PageDto<UserSurgeryHistEntity>>>;

            getUserSurgeryHistListByUserId?: (from: bigint, headers: any) => Promise<ResultDto<UserSurgeryHistEntity[]>>;

            getById?: (from: string, headers: any) => Promise<ResultDto<UserSurgeryHistEntity>>;

            save?: (from: SaveUserSurgeryHistForm, headers: any) => Promise<ResultDto<boolean>>;

            upd?: (from: UpdUserSurgeryHistForm, headers: any) => Promise<ResultDto<boolean>>;

            del?: (from: string, headers: any) => Promise<ResultDto<boolean>>;

        }
        // tslint:disable-next-line:class-name
        interface userArcLog {
            getById?: (from: string, headers: any) => Promise<ResultDto<UserArcLogEntity>>;
            page?: (from: UserArcLogPageForm, headers: any) => Promise<ResultDto<PageDto<UserArcLogEntity>>>;
            list?: (from: UserArcLogListForm, headers: any) => Promise<ResultDto<UserArcLogEntity[]>>;
        }
        //不同等级不同事件健康币--配置
        // tslint:disable-next-line:class-name
        interface integralConfig {
            getById?: (from: string, headers: any) => Promise<ResultDto<IntegralConfigDto>>;
            page?: (from: IntegralConfigPageForm, headers: any) => Promise<ResultDto<PageDto<IntegralConfigDto>>>;
            save?: (from: SaveIntegralConfigForm, headers: any) => Promise<ResultDto<boolean>>;
            upd?: (from: UpdIntegralConfigForm, headers: any) => Promise<ResultDto<boolean>>;
            del?: (from: string[], headers: any) => Promise<ResultDto<boolean>>;
        }
        //降级配置
        // tslint:disable-next-line:class-name
        interface integralDemotion {
            getById?: (from: string, headers: any) => Promise<ResultDto<IntegralDemotionDto>>;
            page?: (from: PageForm, headers: any) => Promise<ResultDto<PageDto<IntegralDemotionDto>>>;
            save?: (from: SaveIntegralDemotionForm, headers: any) => Promise<ResultDto<boolean>>;
            upd?: (from: UpdIntegralDemotionForm, headers: any) => Promise<ResultDto<boolean>>;
            del?: (from: string[], headers: any) => Promise<ResultDto<boolean>>;
        }
        //等级配置
        // tslint:disable-next-line:class-name
        interface integralGrade {
            getList?: (headers: any) => Promise<ResultDto<IntegralGradeEntity>>;
            nextCycle?: (from: IntegralGradeNextForm, headers: any) => Promise<ResultDto<IntegralGradeNextDto>>;
            getById?: (from: string, headers: any) => Promise<ResultDto<IntegralGradeDto>>;
            page?: (from: PageForm, headers: any) => Promise<ResultDto<PageDto<IntegralGradeDto>>>;
            save?: (from: SaveIntegralGradeForm, headers: any) => Promise<ResultDto<boolean>>;
            upd?: (from: UpdIntegralGradeForm, headers: any) => Promise<ResultDto<boolean>>;
            del?: (from: string[], headers: any) => Promise<ResultDto<boolean>>;
        }
        //健康币流水
        // tslint:disable-next-line:class-name
        interface integralLog {
            page?: (from: IntegralLogPageForm, headers: any) => Promise<ResultDto<PageDto<IntegralLogDto>>>;
            //居民添加健康币
            save?: (from: SaveIntegralLogForm, headers: any) => Promise<ResultDto<SaveIntegralLogDto>>;
            //当天获取健康币
            getDayIntegral?: (from: IntegralLogDayForm, headers: any) => Promise<ResultDto<SaveIntegralLogDto>>;
        }
        // tslint:disable-next-line:class-name
        interface userIntegral {
            //获取用户当前类型等级
            getById?: (userId: string,event:string, headers: any) => Promise<ResultDto<UserIntegralEntity>>;
        }
    }
}
export {};