/**
 * 诊疗-诊疗记录(UserTreat)ApiDefine
 *
 * @author makejava
 * @since 2020-10-13 10:24:01
 */
import {SaveUserTreatForm, UpdUserTreatForm} from "../../model/userTreat/form/UserTreatForm";
import {PageUserTreatForm} from "../../model/userTreat/form/PageUserTreatForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {UserTreatDto} from "../../model/userTreat/dto/UserTreatDto";

declare global {
    namespace UserTreatDefine {
        interface UserTreat {
            // 添加
            save?: (data: SaveUserTreatForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<UserTreatDto>>,
            // 修改
            upd?: (data: UpdUserTreatForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageUserTreatForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<UserTreatDto>>>,

        }
    }
}

export {}