/**
 * class_room-用户课堂签到(ClassRoomSign)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:44
 */

export interface ClassRoomSignForm {

    /**
     * 用户id
     */
    userId?: string,
    /**
     * 课堂id
     */
    classRoomId?: string,
    /**
     * 签到时间
     */
    signInTime?: string,
    /**
     * 签退时间
     */
    signOutTime?: string,
    /**
     * 学习途径
     */
    learnPath?: String,
    /**
     * 签到类型
     */
    signType?: String,
    /**
     * 是否考试
     */
    test?: Boolean,
    /**
     * 成绩
     */
    testResult?: string,
    /**
     * 状态
     */
    status?: String,
}

export interface SaveClassRoomSignForm extends ClassRoomSignForm {

    /**
     * 用户id
     */
    userId: string,
    /**
     * 课堂id
     */
    classRoomId: string,
    /**
     * 签到时间
     */
    signInTime: string,
    /**
     * 学习途径
     */
    learnPath: string,
    /**
     * 签到类型
     */
    signType: string,
}


export interface UpdClassRoomSignForm extends ClassRoomSignForm {

    /**
     * id
     */
    id: string,

}