export interface DiseaseForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 内容(介绍，简介)
     */
    content?: string,
    /**
     * 图标
     */
    icon?: string,
    /**
     * 是否为重点病种
     */
    emphasis?: boolean,
    /**
     * 所属类型
     */
    disType?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string
}

export interface SaveDiseaseForm extends DiseaseForm {
    title: string,
    content: string,
    icon: string,
    emphasis: boolean,
    disType: string,
    remark: string,
    sort: string,
    status: string
}

export interface UpdDiseaseForm extends DiseaseForm{
    id :string;
}