export class DrugInfoDto {
    /**
     * 主键id
     */
    id:string;

    /**
     * 创建人
     */
    createBy:string;

    /**
     * 更新人
     */
    updateBy:string;

    /**
     * 创建时间
     */
    createTime:string;

    /**
     * 更新时间
     */
    updateTime:string;

    /**
     * 状态
     */
    status:string;

    /**
     * 删除标志
     */
    deleted:string;
    /**
     * 药品名称
     */
    drugName:string;
    /**
     * 药品编码
     */
    drugCode:string;
    /**
     * 批准文号
     */
    drugApprovalNumber:string;
    /**
     * 药品详细说明
     */
    drugDetails:string;
    /**
     * 供应商
     */
    supplierId:number;
    /**
     * 厂家名称
     */
    makerName:string;
    /**
     * 用法(口服、注射等)
     */
    drugUsage:string;
    /**
     * 药品规格
     */
    drugNorm:string;
    /**
     * 包装图
     */
    drugPackImg:string;
    /**
     * 单位
     */
    drugUnit:string;
    /**
     * 病种
     */
    diseaseId:string;
    /**
     * 用量
     */
    drugDose:string;
    /**
     * 用量格式化 {"day":1,"num":3} 每日1次每次3
     */
    drugDoseFormat:string;
    /**
     * 不良反应
     */
    drugReaction:string;
    /**
     * 价格
     */
    price:string;
    /**
     * 禁忌
     */
    taboo:string;
}
