import {CommonFormOptionDto} from "./CommonFormOptionDto";
import {CommonFormFillsDto} from "./CommonFormFillsDto";

export class CommonFormQuestionDto {
    id: string;
    /**
     * 问题类型
     */
    questionType: string;
    /**
     * 所属表单
     */
    formId: string;
    /**
     * 是否必答
     */
    facingFlag: boolean;
    /**
     * 标题
     */
    title: string;
    /**
     * 是否为多行输入框
     */
    multiLineFlag: boolean;
    /**
     * 填写类型
     */
    fillInType: string;
    /**
     * 是否可以新增
     */
    saveFlag: boolean;
    /**
     * code
     */
    code: string;
    /**
     * 上级code
     */
    parentCode: string;
    /**
     * 跳转url
     */
    jumpUrl: string;
    /**
     * 排序
     */
    sort: number;
    /**
     * 状态
     */
    status: string;
    /**
     * 备注
     */
    remark: string;


    //@ApiModelProperty(value = "下级的列表")
    children:CommonFormQuestionDto[];

    //@ApiModelProperty(value = "是否有下级")
    childrenFla:boolean;

    //@ApiModelProperty(value = "选项列表")
    optionList:CommonFormOptionDto[];

    //@ApiModelProperty(value = "多项输入")
    fillList:CommonFormFillsDto[];
}