export class EncyclopediaTypeDto{
    /**
     * id
     */
    id:string;
    /**
     * 标题
     */
    title:string;
    /**
     * 上级Id
     */
    pId:string;
    /**
     * 描述
     */
    typeDescribe:string;
    /**
     * 备注
     */
    remark:string;
    /**
     * 图标
     */
    icon:string;
    /**
     * 背景图
     */
    bkImg:string;
    /**
     * 是否为最下级(最下级关联具体百科知识)
     */
    bottomFlag:boolean;
    /**
     * 排序
     */
    sort:number;
    /**
     * 状态
     */
    status:string;

    /**
     * 相关属性列表
     */
    attrList:EncTypeAttrDto[];
}

export class  EncTypeAttrDto{
    /**
     * 属性类型
     */
    attributeType:string;
    /**
     * 属性值
     */
    attributeValue:string;
    /**
     * 关联百科知识类型Id
     */
    encTypeId:string;
}