export interface EncyclopediaForm{
    /**
     * 标题
     */
    title?:string,
    /**
     * 图标
     */
    icon?:string,
    /**
     * 内容展示时的背景图
     */
    bkImg?:string,
    /**
     * 封面大图
     */
    img?:string,
    /**
     * 描述
     */
    encDes?:string,
    /**
     * 备注
     */
    remark?:string,
    /**
     * 内容
     */
    content?:string,
    /**
     * 内容类型
     */
    conType?:string,
    /**
     * 排序
     */
    sort?:number,
    /**
     * 状态
     */
    status?:string,
    /**
     * 类型id列表
     */
    typeList?:string[],
}
export interface SaveEncyclopediaForm extends EncyclopediaForm{
    /**
     * 标题
     */
    title:string,
    /**
     * 图标
     */
    icon:string,
    /**
     * 内容展示时的背景图
     */
    bkImg:string,
    /**
     * 封面大图
     */
    img:string,
    /**
     * 描述
     */
    encDes:string,
    /**
     * 备注
     */
    remark:string,
    /**
     * 内容
     */
    content:string,
    /**
     * 内容类型
     */
    conType:string,
    /**
     * 类型id列表
     */
    typeList:string[],
}
export interface UpdEncyclopediaForm extends EncyclopediaForm{
    id:string,
}
