import {FoodSpecsDto} from "./FoodSpecsDto";

export class FoodDataDto {

    //食物类型id
    foodTypeId: string;

    //食物类型名称
    foodTypeName: string;

    //id
    id: string;

    //名称
    name: string;

    //单位
    company: string;

    //能量
    energy: string;

    //油 200.00ml/100g(ml)
    oil: string;

    //糖 200.00g/100g(ml)
    sugar: string;

    //盐 200.00g/100g(ml)
    salt: string;

    //图标
    icon: string;

    //是否自定义
    custom: boolean;

    //备注
    remark: string;

    //状态
    status: string;

    //食物规格集合
    foodSpecsList: FoodSpecsDto[]

}