import {SaveFoodSpecsForm} from "./SaveFoodSpecsForm";

export class UpdateFoodDataForm {

    //id
    id: string;

    //食物类型id
    foodTypeId?: string;

    //名称
    name?: string;

    //图标
    icon?: string;

    //食物单位 1份/100g(ml)
    company?: string;

    //食物能量 200.00千卡/100g(ml)
    energy?: string;

    //油 200.00ml/100g(ml)
    oil?: string;

    //糖 200.00g/100g(ml)
    sugar?: string;

    //盐 200.00g/100g(ml)
    salt?: string;

    //备注
    remark?: string;

    //状态
    status?: string;

    //删除状态 false 未删除 true 已删除
    deleted?: boolean;

    //食物规格列表
    foodSpecsList?: SaveFoodSpecsForm[];
}