/**
 * 公共-表单选项表(CommonFormOption)添加-修改表单父类
 *
 * @author makejava
 * @since 2021-01-07 09:06:24
 */

export interface CommonFormOptionForm {

    /**
     * 选项code
     */
    code?: string,
    /**
     * 问题Id
     */
    quesId?: string,
    /**
     * 内容
     */
    con?: string,
    /**
     * 是否需要输入
     */
    fillInFlag?: boolean,
    /**
     * 输入类型
     */
    fillInType?: string,
    /**
     * 互斥code,多个逗号分隔
     */
    mutexCodes?: string,
    /**
     * 排序
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 所属表单
     */
    formId?: string,
}

export interface SaveCommonFormOptionForm extends CommonFormOptionForm {

    /**
     * 选项code
     */
    code: string,
    /**
     * 问题Id
     */
    quesId: string,
    /**
     * 内容
     */
    con: string,
    /**
     * 是否需要输入
     */
    fillInFlag: boolean,
    /**
     * 输入类型
     */
    fillInType: string,
    /**
     * 互斥code,多个逗号分隔
     */
    mutexCodes: string,
    /**
     * 备注
     */
    remark: string,
    /**
     * 所属表单
     */
    formId: string,
}


export interface UpdCommonFormOptionForm extends CommonFormOptionForm {

    /**
     * id
     */
    id: string,

}