/**
 * 公共-区域宣传视频(CommonPublicity)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-11 13:49:37
 */

export interface CommonPublicityForm {

    /**
     * 区域code
     */
    areaCode?: String,
    /**
     * 标题
     */
    title?: String,
    /**
     * 内容类型
     */
    conType?: String,
    /**
     * 内容
     */
    con?: String,
    /**
     * 审核状态
     */
    auditStatus?: String,
    /**
     * 审核时间
     */
    auditTime?: LocalDateTime,
    /**
     * 审核备注
     */
    auditMsg?: String,
    /**
     * 审核人
     */
    auditUser?: Long,
    /**
     * 开始启用时间
     */
    startTime?: LocalDateTime,
    /**
     * 结束启用时间
     */
    endTime?: LocalDateTime,
    /**
     * 封面图片
     */
    img?: String,
    /**
     * 备注
     */
    remark?: String,
    /**
     * 状态
     */
    status?: String,
    /**
     * 发布状态
     */
    releaseStatus?: String,
}

export interface SaveCommonPublicityForm extends CommonPublicityForm {

    /**
     * 区域code
     */
    areaCode: String,
    /**
     * 标题
     */
    title: String,
    /**
     * 内容类型
     */
    conType: String,
    /**
     * 内容
     */
    con: String,
    /**
     * 审核状态
     */
    auditStatus: String,
    /**
     * 审核时间
     */
    auditTime: LocalDateTime,
    /**
     * 审核备注
     */
    auditMsg: String,
    /**
     * 审核人
     */
    auditUser: Long,
    /**
     * 开始启用时间
     */
    startTime: LocalDateTime,
    /**
     * 结束启用时间
     */
    endTime: LocalDateTime,
    /**
     * 封面图片
     */
    img: String,
    /**
     * 备注
     */
    remark: String,
    /**
     * 发布状态
     */
    releaseStatus: String,
}


export interface UpdCommonPublicityForm extends CommonPublicityForm {

    /**
     * id
     */
    id: string,

}