import {PageForm} from "../../PageForm";


/**
 * 试卷-答题明细(ExaAnsDetail)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:53:07
 */

export interface ExaAnsDetailForm extends PageForm {

    /**
     * 答题记录Id
     */
    ansId?: string,
    /**
     * 题目id
     */
    queId?: string,
    /**
     * 选择id
     */
    optId?: string,
    /**
     * 得分
     */
    score?: number,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveExaAnsDetailForm {

    /**
     * 答题记录Id
     */
    ansId: string,
    /**
     * 题目id
     */
    queId: string,
    /**
     * 选择id
     */
    optId: string,
    /**
     * 填写的内容
     */
    con: string,
    /**
     * 得分
     */
    score: number,
}


export interface UpdExaAnsDetailForm extends SaveExaAnsDetailForm {

    /**
     * id
     */
    id: string,

}