import {PageForm} from "../../PageForm";


/**
 * 试卷-选项(ExaOption)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:53:06
 */

export interface ExaOptionForm extends PageForm {

    /**
     * 试卷问题Id
     */
    queId?: string,
    /**
     * 选项内容
     */
    con?: string,
    /**
     * 选项序号，如A
     */
    serial?: string,
    /**
     * 选项类型
     */
    optType?: string,
    /**
     * 是否为正确选项
     */
    correctFlag?: boolean,

    /**
     * 状态
     */
    status?: string,
}

export interface SaveExaOptionForm {

    /**
     * 试卷问题Id
     */
    queId: string,
    /**
     * 选项内容
     */
    con: string,
    /**
     * 选项序号，如A
     */
    serial: string,
    /**
     * 选项类型
     */
    optType: string,
    /**
     * 是否为正确选项
     */
    correctFlag: boolean,
    /**
     * 选项图片,多个逗号分隔
     */
    imgs: string,
}


export interface UpdExaOptionForm extends SaveExaOptionForm {

    /**
     * id
     */
    id: string,

}