import {PageForm} from "../../PageForm";


/**
 * 试卷-试卷关联的问题(ExaPapQue)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:53:05
 */

export interface ExaPapQueForm extends PageForm {

    /**
     * 试卷Id
     */
    papId?: string,
    /**
     * 题目Id
     */
    queId?: string,
    /**
     * 是否必填
     */
    mandatory?: boolean,
    /**
     * 分数
     */
    totalScore?: number,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveExaPapQueForm {

    /**
     * 试卷Id
     */
    papId: string,
    /**
     * 题目Id
     */
    queId: string,
    /**
     * 是否必填
     */
    mandatory: boolean,
    /**
     * 分数
     */
    totalScore: number,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
}


export interface UpdExaPapQueForm extends SaveExaPapQueForm {

    /**
     * id
     */
    id: string,

}