export class FitmentContentDto {
    /**
     * 主键
     */
    id: string;
    /**
     * 组件id
     */
    pluginId: number;
    /**
     * 应用页面id
     */
    moduleOrgId: string;
    /**
     * 内容类型：fitment_content_type_1:图文
     fitment_content_type_2:视频
     fitment_content_type_3:外链
     fitment_content_type_4:内链
     */
    materialShowType: string;
    /**
     * 内容
     */
    content: string;
    /**
     * 图标
     */
    icom: string;
    /**
     * 背景图片
     */
    backgroundImg: string;
    /**
     * 功能名称
     */
    functionName: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 排序
     */
    sort: number;
    /**
     * 模板版本
     */
    version: string;
}