import {FitmentModuleBannerDto} from "./FitmentModuleBannerDto";
import {FitmentContentDto} from "./FitmentContentDto";

export class FitmentModuleOrgDto {
    /**
     * 主键
     */
    id: string;
    /**
     * 页面标题
     */
    pageTitle: string;
    /**
     * 描述(可写功能作用)
     */
    pageDesc: string;
    /**
     * 页面code
     */
    pageCode: string;
    /**
     * 机构id
     */
    orgId: string;
    /**
     * 科室id
     */
    deptId: string;
    /**
     * 版本
     */
    version: string;
    /**
     * 背景图片
     */
    backgroundImage: string;
    issueStatus:string;
    /**
     * 备注
     */
    remark: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 排序
     */
    sort: number;

    moduleBannerDtoList?:FitmentModuleBannerDto[]
    fitmentContentDtoList?:FitmentContentDto[]
}