import {PageForm} from "../../PageForm";


/**
 * 机构装修--内容展示页(FitmentContent)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-28 16:23:44
 */

export interface FitmentContentForm extends PageForm {

    /**
     * 组件id
     */
    pluginId?: string,
    /**
     * 应用页面id
     */
    moduleOrgId?: string,
    /**
     * 内容类型：fitment_content_type_1:图文
     fitment_content_type_2:视频
     fitment_content_type_3:外链
     fitment_content_type_4:内链
     */
    materialShowType?: string,
    /**
     * 内容
     */
    content?: string,
    /**
     * 图标
     */
    icom?: string,
    /**
     * 背景图片
     */
    backgroundImg?: string,
    /**
     * 功能名称
     */
    functionName?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 排序
     */
    sort?: number,
    /**
     * 模板版本
     */
    version?: string,
}

export interface saveFitmentContentForm {

    /**
     * 组件id
     */
    pluginId?: string,
    /**
     * 应用页面id
     */
    moduleOrgId?: string,
    /**
     * 内容类型：fitment_content_type_1:图文
     fitment_content_type_2:视频
     fitment_content_type_3:外链
     fitment_content_type_4:内链
     */
    materialShowType?: string,
    /**
     * 内容
     */
    content?: string,
    /**
     * 图标
     */
    icom?: string,
    /**
     * 背景图片
     */
    backgroundImg?: string,
    /**
     * 功能名称
     */
    functionName?: string,
    /**
     * 状态
     */
    status?: string,
}


export interface updFitmentContentForm extends saveFitmentContentForm {
    id: string
}