import {PageForm} from "../../PageForm";


/**
 * 机构装修--机构--页面（预览/草稿）(FitmentModuleOrg)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-28 11:43:03
 */

export interface FitmentModuleOrgForm extends PageForm {

    /**
     * 页面标题
     */
    pageTitle?: string,

    /**
     * 页面code
     */
    pageCode?: string,
    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 科室id
     */
    deptId?: string,
    /**
     * 发布状态
     */
    issueStatus:string,

    /**
     * 状态
     */
    status?: string,

}

export interface saveFitmentModuleOrgForm {

    /**
     * 页面标题
     */
    pageTitle?: string,
    /**
     * 描述(可写功能作用)
     */
    pageDesc?: string,
    /**
     * 页面code
     */
    pageCode?: string,
    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 科室id
     */
    deptId?: string,

    /**
     * 背景图片
     */
    backgroundImage?: string,
    /**
     * 发布状态
     */
    issueStatus:string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 状态
     */
    status?: string,
}


export interface updFitmentModuleOrgForm extends saveFitmentModuleOrgForm {
    id: number
}