import {PageForm} from "../../PageForm";


/**
 * 机构装修--模板--页面(FitmentModulePage)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-28 14:57:00
 */

export interface FitmentModulePageForm extends PageForm {

    /**
     * 页面标题
     */
    pageTitle?: string,

    /**
     * 页面code
     */
    pageCode?: string,

    /**
     * 状态
     */
    status?: string,
    /**
     * 排序
     */
    sort?: number,
}

export interface saveFitmentModulePageForm {

    /**
     * 页面标题
     */
    pageTitle?: string,
    /**
     * 描述(可写功能作用)
     */
    pageDesc?: string,
    /**
     * 页面code
     */
    pageCode?: string,
    /**
     * 背景图片
     */
    backgroundImage: string;
    /**
     * 备注
     */
    remark?: string,
    /**
     * 状态
     */
    status?: string,
}


export interface updFitmentModulePageForm extends saveFitmentModulePageForm {
    id: number
}