import {PageForm} from "../../PageForm";


/**
 * 机构装修--正式发布版本(FitmentModuleRelease)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-23 15:51:07
 */

export interface FitmentModuleReleaseForm extends PageForm {
    /**
     * 状态
     */
    status?: string,
}

export interface saveFitmentModuleReleaseForm {

    /**
     * 页面标题
     */
    pageTitle: string,
    /**
     * 描述(可写功能作用)
     */
    pageDesc: string,
    /**
     * 页面代码
     */
    pageStyle: string,
    /**
     * 机构id
     */
    orgId: string,
    /**
     * 科室id
     */
    deptId: string,

    /**
     * 背景图片
     */
    backgroundImage: string,
    /**
     * 发布人id
     */
    issuerId: string,
    /**
     * 发布人姓名
     */
    issuerName: string,
    /**
     * 发布时间
     */
    issuerTime: Date,
    /**
     * 审核人（目前不用管）
     */
    auditor: string,
    /**
     * 审核人姓名（目前不用管）
     */
    auditorName: string,
    /**
     * 审核时间（目前不用管）
     */
    auditorTime: Date,
    /**
     * 备注
     */
    remark: string,
    /**
     * 状态
     */
    status: string,
}


export interface updFitmentModuleReleaseForm extends saveFitmentModuleReleaseForm {
    id: number
}