import {PageForm} from "../../PageForm";


/**
 * 机构装修--组件模块(FitmentPlugin)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-23 15:51:07
 */

export interface FitmentPluginForm extends PageForm {

    /**
     * 组件名称
     */
    name?: string,

    /**
     * 状态
     */
    status?: string,
}

export interface saveFitmentPluginForm {

    /**
     * 图标
     */
    icon: string,
    /**
     * 组件名称
     */
    name: string,
    /**
     * 简介
     */
    info: string,
    /**
     * 需要调用的接口地址
     */
    url: string,
    /**
     * 调用页面code
     */
    code: string,
    typeCode:string,
    /**
     * 是否需要调用接口
     */
    jump: boolean,
    /**
     * 状态
     */
    status: string,
}


export interface updFitmentPluginForm extends saveFitmentPluginForm {
    id: number
}