import {FollowDetailDto} from "./FollowDetailDto";

export class FollowGroupDto {
    id: string;
    /**
     * 对应表单分组表的Id
     */
    formGroupId: string;
    /**
     * 主表Id
     */
    mainId: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 数组时的序号
     */
    serialNum: number;
    /**
     * 是否为数组
     */
    serialFlag: boolean;
    /**
     * 备注
     */
    remark: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 序号
     */
    sort: number;


    /**
     *  明细列表
     */
    detailList:FollowDetailDto[];
}