import {FollowGroupDto} from "./FollowGroupDto";

export class FollowMainDto {
    id: string;
    /**
     * 用户Id
     */
    userId: string;
    /**
     * 用户名
     */
    userName: string;
    /**
     * 电子编号
     */
    electronicNo: string;
    /**
     * 纸质编号
     */
    paperNo: string;
    /**
     * 随访日期
     */
    followTime: Date;
    /**
     * 责任医生id
     */
    doctorId: string;
    /**
     * 责任医生名称
     */
    doctorName: string;
    /**
     * 居民签名图片
     */
    signatureImg: string;
    /**
     * 检查日期
     */
    exaTime: Date;
    /**
     * 下次随访日期
     */
    nextTime: Date;
    /**
     * 随访类型
     */
    followType: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 序号
     */
    sort: number;
    /**
     * 备注
     */
    remark: string;
    /**
     * 关联的上次随访Id
     */
    mainId: string;
    /**
     * 表单Id
     */
    tableId: string;
    /**
     * 草稿标识
     */
    draftFlag: boolean;


    /**
     *  分组列表
     */
    groupList:FollowGroupDto[];

}