/**
 * 随访-表单栏目(FollowForm)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-03 14:24:31
 */

export interface FollowFormForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 表单类型
     */
    formType?: string,
    /**
     * 单位
     */
    unit?: string,
    /**
     * 开始备注
     */
    startRemark?: string,
    /**
     * 结束备注
     */
    endRemark?: string,
    /**
     * 是否必填
     */
    requiredFlag?: boolean,
    /**
     * 表单code
     */
    formCode?: string,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 对应的问卷Id
     */
    quesId?: string,
    /**
     * 问卷得分code
     */
    quesGoalCode?: string,
    /**
     * 验证code
     */
    verifyCode?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 是否展示标题
     */
    titleShowFlag?: boolean,
    /**
     * 是否为数组
     */
    arrayFlag?: boolean,
    /**
     * 副标题
     */
    subtitle?: string,
}

export interface SaveFollowFormForm extends FollowFormForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 表单类型
     */
    formType: string,
    /**
     * 单位
     */
    unit: string,
    /**
     * 开始备注
     */
    startRemark: string,
    /**
     * 结束备注
     */
    endRemark: string,
    /**
     * 是否必填
     */
    requiredFlag: boolean,
    /**
     * 表单code
     */
    formCode: string,
    /**
     * 对应的问卷Id
     */
    quesId: string,
    /**
     * 问卷得分code
     */
    quesGoalCode: string,
    /**
     * 验证code
     */
    verifyCode: string,
    /**
     * 备注
     */
    remark: string,
    /**
     * 是否展示标题
     */
    titleShowFlag: boolean,
    /**
     * 是否为数组
     */
    arrayFlag: boolean,
    /**
     * 副标题
     */
    subtitle: string,
}


export interface UpdFollowFormForm extends FollowFormForm {

    /**
     * id
     */
    id: string,

}