/**
 * 随访-提交信息的分组(FollowGroup)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-03 14:24:34
 */
import {SaveFollowDetailForm} from "./FollowDetailForm";

export interface FollowGroupForm {

    /**
     * 对应表单分组表的Id
     */
    formGroupId?: string,
    /**
     * 主表Id
     */
    mainId?: string,
    /**
     * 标题
     */
    title?: string,
    /**
     * 数组时的序号
     */
    serialNum?: number,
    /**
     * 是否为数组
     */
    serialFlag?: boolean,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 明细的数据
     */
    detailList:SaveFollowDetailForm[],
}

export interface SaveFollowGroupForm extends FollowGroupForm {

    /**
     * 对应表单分组表的Id
     */
    formGroupId: string,
    /**
     * 主表Id
     */
    mainId: string,
    /**
     * 标题
     */
    title: string,
    /**
     * 数组时的序号
     */
    serialNum: number,
    /**
     * 是否为数组
     */
    serialFlag: boolean,
    /**
     * 备注
     */
    remark: string,
}


export interface UpdFollowGroupForm extends FollowGroupForm {

    /**
     * id
     */
    id: string,

}