/**
 * 随防-表单表格(FollowTable)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-03 14:24:37
 */

export interface FollowTableForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 表格code
     */
    tableCode?: string,
    /**
     * 分组code,一个分组只能启用一个
     */
    followType?: string,
    /**
     * 是否启用
     */
    enableFlag?: boolean,
    /**
     * 状态
     */
    status?: string,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 备注
     */
    remark?: string,
}

export interface SaveFollowTableForm extends FollowTableForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 表格code
     */
    tableCode: string,
    /**
     * 分组code,一个分组只能启用一个
     */
    followType: string,
    /**
     * 是否启用
     */
    enableFlag: boolean,
    /**
     * 备注
     */
    remark: string,
}


export interface UpdFollowTableForm extends FollowTableForm {

    /**
     * id
     */
    id: string,

}