export class HospDrugDto {
    id: string;
    /**
     * 机构Id
     */
    orgId: string;
    /**
     * 药品名称
     */
    name: string;
    /**
     * 单位
     */
    unit: string;
    /**
     * 价格
     */
    price: number;
    /**
     * 厂家
     */
    manufacturer: string;
    /**
     * 描述
     */
    drugDesc: string;
    /**
     * 排序
     */
    sort: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 规格
     */
    spec: string;
    /**
     * code
     */
    durgCode: string;
    /**
     * 图片，多个逗号分隔
     */
    imgs: string;
    /**
     * 是否为处方药
     */
    rxFlag: boolean;
    /**
     * 不良反应
     */
    badReaction: string;
    /**
     * 用量
     */
    dosage: string;
    /**
     * 用法
     */
    useWay: string;
    /**
     * 详情
     */
    details: string;
}