/**
 * 医院-诊疗价格(HospTherapy)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-16 16:23:11
 */

export interface HospTherapyForm {

    /**
     * 诊疗名称
     */
    title?: string,
    /**
     * 描述
     */
    therDesc?: string,
    /**
     * 拼音码
     */
    spell?: string,
    /**
     * 图片，多个逗号分隔
     */
    imgs?: string,
    /**
     * 价格
     */
    price?: number,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 部门Id
     */
    deptId?: string,
    /**
     * 机构Id
     */
    orgId?: string,
}

export interface SaveHospTherapyForm extends HospTherapyForm {

    /**
     * 诊疗名称
     */
    title: string,
    /**
     * 描述
     */
    therDesc: string,
    /**
     * 拼音码
     */
    spell: string,
    /**
     * 图片，多个逗号分隔
     */
    imgs: string,
    /**
     * 价格
     */
    price: number,
    /**
     * 部门Id
     */
    deptId: string,
    /**
     * 机构Id
     */
    orgId: string,
}


export interface UpdHospTherapyForm extends HospTherapyForm {

    /**
     * id
     */
    id: string,

}