/**
 * 项目-评价记录(ItemEvaluation)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-23 18:06:59
 */

export interface ItemEvaluationForm {

    /**
     * 评价用户id
     */
    userId?: string,
    /**
     * 备注
     */
    evaDesc?: string,
    /**
     * 项目Id
     */
    itemId?: string,
    /**
     * 是否满意
     */
    evaFlag?: boolean,
    /**
     * 评价人名称
     */
    userName?:string;

}

export interface SaveItemEvaluationForm extends ItemEvaluationForm {

    /**
     * 备注
     */
    evaDesc: string,
    /**
     * 项目Id
     */
    itemId: string,
    /**
     * 是否满意
     */
    evaFlag: boolean,

    /**
     * 评价人名称
     */
    userName:string;
}


export interface UpdItemEvaluationForm extends ItemEvaluationForm {

    /**
     * id
     */
    id: string,

}