/**
 * 项目-用户参加情况(ItemParticipate)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-27 10:14:18
 */

export interface ItemParticipateForm {

    /**
     * 项目Id
     */
    itemId?: string,
    /**
     * 参加人Id
     */
    userId?: string,
    /**
     * 参加人名称
     */
    userName?: string,
    /**
     * 参加时间
     */
    partTime?: Date,
    /**
     * 参加方式
     */
    partType?: string,
    /**
     * 咨询问题
     */
    problem?: string,
    /**
     * 意见
     */
    opinion?: string,
    /**
     * 宣教预约id
     */
    missId?: string,
    /**
     * 帮忙预约人ID
     */
    resPersonId?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,

    /**
     * 参加之后客户上传的图片,多个逗号分隔
     */
    imgs?:string;
    /**
     * 宣教预约的地址
     */
    misAddress?:string;
    /**
     * 参加人的手机号
     */
    partPhone?:string;
    /**
     *  宣教时间
     */
    missionTime?:string;

}

// @ts-ignore
export interface SaveItemParticipateForm extends ItemParticipateForm {

    /**
     * 项目Id
     */
    itemId: string,
    /**
     * 参加人Id
     */
    userId: string,
    /**
     * 参加人名称
     */
    userName: string,
    /**
     * 参加时间
     */
    partTime: Date,
    /**
     * 参加方式
     */
    partType: string,
}


export interface UpdItemParticipateForm extends ItemParticipateForm {

    /**
     * id
     */
    id: string,

}