import {PageForm} from "../../PageForm";


/**
 * 问卷--答题记录(QuestionnaireRecord)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */

export interface QuestionnaireRecordForm extends PageForm {

    /**
     * 填写人
     */
    userId?: string,
    /**
     * 填写人姓名
     */
    userName?: string,
    /**
     * 问卷id
     */
    questionnaireId?: string,
    /**
     * 问卷名称
     */
    questionnaireName?: string,
    /**
     * fillout_type_1：自填，fillout_type_2：代填
     */
    filloutType?: string,


    /**
     * 记录人id
     */
    recordId?: string,
    /**
     * 记录人姓名
     */
    recordName?: string,
    whetherAnswer:boolean,

    /**
     * 状态
     */
    status?: string,

}

export interface SaveQuestionnaireRecordForm {

    /**
     * 填写人
     */
    userId: string,
    /**
     * 填写人姓名
     */
    userName: string,
    /**
     * 问卷id
     */
    questionnaireId: string,
    /**
     * 问卷名称
     */
    questionnaireName: string,
    /**
     * fillout_type_1：自填，fillout_type_2：代填
     */
    filloutType: string,
    /**
     * 问题id
     */
    topicId: string,
    /**
     * 用户选择id
     */
    optionId: string,
    /**
     * 选项回答内容
     */
    optionAnwer: string,
    /**
     * 记录人id
     */
    recordId: string,
    /**
     * 记录人姓名
     */
    recordName: string,
    whetherAnswer:boolean,
    /**
     * 备注
     */
    remark: string,
}


export interface UpdQuestionnaireRecordForm extends SaveQuestionnaireRecordForm {

    /**
     * id
     */
    id: string,

}