import {PageForm} from "../../PageForm";


/**
 * 问卷调查--投放对象(QuestionnaireReleaseObj)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */

export interface QuestionnaireReleaseObjForm extends PageForm {


    /**
     * 投放机构
     */
    releaseOrg?: string,
    /**
     * 投放对象(release_type_1:角色，release_type_2:人)
     */
    releaseType?: string
}

export interface SaveQuestionnaireReleaseObjForm {

    /**
     * 问卷id
     */
    questionnaireId: string,
    /**
     * 投放机构
     */
    releaseOrg: number[],
    /**
     * 投放对象(release_type_1:角色，release_type_2:人)
     */
    releaseType: string,
    /**
     * 投放id
     */
    releaseCode: string[],
    /**
     * 备注
     */
    remark: string,
}


export interface UpdQuestionnaireReleaseObjForm extends SaveQuestionnaireReleaseObjForm {

    /**
     * id
     */
    id: string,

}