import {RecordDto} from "./RecordDto";

export class UserRecordStateDto {

    userId: string;

    userName: string;

    orgId: string;

    orgPath: string;

    /**
     * 用餐记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    dinnerState: number;


    /**
     * 运动记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     *
    motionState: number


    /**
     * 心情记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    moodState: number


    /**
     * 睡眠记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    sleepState: number


    /**
     * 体温记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    temperatureState: number


    /**
     * 体重记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    weightState: number


    /**
     * 血糖记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    sbmgState: number


    /**
     * 血压记录状态 0:未记录 1:已记录但不完整 2:已完整记录
     */
    abpmState: number

    recordDtoList: RecordDto[];
}