export class SatisfactionDto {
    /**
     * 主键
     */
    id: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 发起人类型
     */
    sponsorType: string;
    /**
     * 发起人id
     */
    sponsorId: string;
    /**
     * 发起人姓名
     */
    sponsorName: string;
    /**
     * 机构id
     */
    orgId: string;
    /**
     * 机构path
     */
    orgPath: string;
    /**
     * 部门id
     */
    departmentId: string;
    /**
     * 部门path
     */
    departmentPath: string;
    /**
     * 关联对象类型
     */
    relationType: string;
    /**
     * 宣教类型
     */
    sourceType: string
    /**
     * 关联对象id
     */
    relationId: string;
    /**
     * 关联对象名称
     */
    relationName: string;
    /**
     * 参与人数
     */
    respondentsNumber: number;
    /**
     * 满意人数
     */
    satisfiedNumber: number;
    /**
     * 热词组id
     */
    phrasesId: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 创建人名称
     */
    createName: string;
    /**
     * 创建人时间
     */
    createTime: string;
}