/**
 * satisfaction-热词(SatisfactionHotWords)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-10-22 17:12:59
 */

export interface SatisfactionHotWordsForm {

    /**
     * 热词组id
     */
    phrasesId?: string,
    /**
     * 内容
     */
    content?: string,
    /**
     * 排序
     */
    sort?: number,
    /**
     * 使用次数
     */
    useNumber?: number,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveSatisfactionHotWordsForm extends SatisfactionHotWordsForm {

    /**
     * 热词组id
     */
    phrasesId: string,
    /**
     * 内容
     */
    content: string,
    /**
     * 排序
     */
    sort: number,
}


export interface UpdSatisfactionHotWordsForm extends SatisfactionHotWordsForm {

    /**
     * id
     */
    id: string,

}