import {MenuMeta} from "../entity/MenuMeta";

export class SysMenuDto {
    /**
     * 菜单ID
     */
    id: string

    /**
     * 菜单标题
     */
    name: string

    /**
     * 菜单权限
     */
    permission: string

    /**
     * 路径
     */
    path: string

    /**
     * 父菜单ID
     */
    parentId: string

    /**
     * 菜单图标
     */
    icon: string

    /**
     * 菜单类型
     */
    type: string

    /**
     * 排序值
     */
    sort: string


    children: SysMenuDto;

    status: string

    component: string

    redirect: string

    menuMeta:MenuMeta;
}