import {BaseEntity} from "../../BaseEntity";

export class SysClientEntity extends BaseEntity{

    //客户端标识
    clientId?:string

    //客户端密钥
    clientSecret?:string

    //资源集合
    resourceIds?:string

    //授权范围
    scope?:string

    //授权类型
    authorizedGrantTypes?:string

    //回调地址
    webServerRedirectUri?:string

    //权限
    authorities?:string

    //令牌过期秒数
    accessTokenValidity?:string

    //刷新令牌过期秒数
    refreshTokenValidity?:string

    //附加说明
    additionalInformation?:string

    //自动授权
    auto_approve?:string
}