import {PageForm} from "../../PageForm";


/**
 * (SysVersion)添加-修改表单父类
 *
 * @author make
 * @since 2020-12-10 12:03:44
 */

export interface SysVersionForm extends PageForm {

    /**
     * 版本号
     */
    versionNumber?: string,
}

export interface SaveSysVersionForm {

    /**
     * 版本号
     */
    versionNumber: string,
    /**
     * 版本说明
     */
    versionExplain: string,
    /**
     * 使用状态(true:使用中，false:未使用)
     */
    useState: boolean,
    /**
     * 截止日期
     */
    expirationDate: Date,
    /**
     * 创建人姓名
     */
    createName: string,
}


export interface UpdSysVersionForm extends SaveSysVersionForm {

    /**
     * id
     */
    id: string,

}