export class TaskIntervalDto {
    /**
     * id
     */
    id:string;
    /**
     * 任务Id
     */
    taskId :string;
    /**
     * 开始时间
     */
    startDate:string;
    /**
     * 结束时间
     */
    endDate:string;
    /**
     * 执行次数
     */
    frequency:number;
    /**
     * 状态 0:正常 1:冻结
     */
    status:string;
    /**
     * 完成数量
     */
    finishNum:number;
    /**
     * 实际完成时间
     */
    finishTime:string;
    /**
     * 完成率
     */
    finishRate:string;
    /**
     * 评分
     */
    freqScore:number;
    /**
     * 打分备注
     */
    scoreDesc:string;
    /**
     * 打分人
     */
    scoreUser:string;
    /**
     * 执行的机构Id
     */
    exeOrgId:string;
    /**
     * 执行的机构名称
     */
    exeOrgName:string;
    /**
     * 任务执行批次的状态
     */
    taskIntervalStatus:string;

    /**
     * 任务等级
     */
    significance:string;

    /**
     * 任务 名称
     */
    taskTitle:string;
    /**
     * 任务 类型
     */
    taskType:string;

    /**
     * 打分时间
     */
    scoreDate:string;


    //@ApiModelProperty(value = "创建时间")
    createTime:string;

    // @ApiModelProperty(value = "任务介绍")
    taskDesc:string;
}