import {TaskExecutorDto} from "./TaskExecutorDto";

export class TaskPerformDto {
    /**
     * id
     */
    id:string;
    /**
     * 任务Id
     */
    taskId:string;
    /**
     * 任务执行区间Id
     */
    taskIntervalId:string;
    /**
     * 任务code,每一条执行情况拥有唯一一个值
     */
    taskCode:string;
    /**
     * 执行机构
     */
    orgId:string;
    /**
     * 执行机构名称
     */
    orgName:string;
    /**
     * 完成时间
     */
    completeTime:string;
    /**
     * 完成说明
     */
    completeExplain:string;
    /**
     * 是否有附件
     */
    accessoryFlag:string;
    /**
     * 评分类型
     */
    scoreType:string;
    /**
     * 状态 0:正常 1:冻结
     */
    status:string;
    /**
     * 调配开始时间
     */
    allocateStartTime:string;
    /**
     * 调配结束时间
     */
    allocateEndTime:string;
    /**
     * 指派类型
     */
    assignType:string;
    /**
     * 具体任务的状态
     */
    taskPerStatus:string;
    /**
     * 分配，领取时间
     */
    assignTime:string;

    executor:TaskExecutorDto;

    /**
     * 序号
     */
    seqNum:number;

    /**
     * 关联的项目Id
     */
    itemId:string;



    /**
     * 开始时间
     */
    startDate:string;

    /**
     * 结束时间
     */
    endDate:string;

    /**
     * 任务名称
     */
    taskTitle:string;
}