import {TeachClassDto} from "./TeachClassDto";

export class TeachClassUserDto {
    /**
     * id
     */
    id: string;
    /**
     * 机构id
     */
    orgId: string;
    /**
     * 班级id
     */
    classId: string;
    /**
     * 用户id
     */
    userId: string;
    /**
     * 用户姓名
     */
    userName: string;
    /**
     * 身份证号码
     */
    idNumber: string;
    /**
     * 电话
     */
    phone: string;
    /**
     * 照片
     */
    photo: string;
    /**
     * 审核状态
     */
    checkType: boolean;
    /**
     * 创建人id
     */
    createBy: string;
    /**
     * 创建人姓名
     */
    createName: string;
    /**
     * 创建时间
     */
    createTime: string;
    /**
     * 状态
     */
    status: string;

    //=================
    /**
     * 报名班级列表
     */
    teachClassDtoList: TeachClassDto[];
}