export class TeachCourseDto {
    /**
     * id
     */
    id: string;
    /**
     * 课名称
     */
    name: string;
    /**
     * 学校id
     */
    orgId: string;
    /**
     * 班级id
     */
    classId: string;
    /**
     * 地点
     */
    place: string;
    /**
     * 简介
     */
    content: string;
    /**
     * 课类型
     */
    courseType: string;
    /**
     * 试卷id
     */
    testPaperId: string;
    /**
     * 开始上课时间
     */
    beginTime: string;
    /**
     * 结束上课时间
     */
    endTime: string;
    /**
     * 开始签到时间
     */
    beginSignTime: string;
    /**
     * 结束签到时间
     */
    endSignTime: string;
    /**
     * 可答题时间
     */
    beginTestTime: string;
    /**
     * 创建人id
     */
    createBy: string;
    /**
     * 创建人姓名
     */
    createName: string;
    /**
     * 创建时间
     */
    createTime: string;
    /**
     * 状态
     */
    status: string;

    //=================

    /**
     * 资源列表
     */
    teachCourseResIds: string[];

    /**
     * 教师列表
     */
    teachCourseTeacherIds: string[];

    /**
     * 用户id
     */
    userId: string;

    /**
     * 学习状态
     */
    studyType: string;
}