import {TeachCourseSignDto} from "./TeachCourseSignDto";

export class TeachCourseUserDto {
    /**
     * id
     */
    id: string;
    /**
     * 机构id
     */
    orgId: string;
    /**
     * 班级id
     */
    classId: string;
    /**
     * 课id
     */
    courseId: string;
    /**
     * 用户id
     */
    userId: string;
    /**
     * 用户姓名
     */
    userName: string;
    /**
     * 身份证号码
     */
    idNumber: string;
    /**
     * 电话
     */
    phone: string;
    /**
     * 照片
     */
    photo: string;
    /**
     * 学习状态
     */
    studyType: string;
    /**
     * 成绩
     */
    testResult: string;
    /**
     * 开课日期
     */
    beginTime: string;
    /**
     * 状态
     */
    status: string;

    /**
     * 班级名称
     */
    className: string;

    /**
     * 课名称
     */
    courseName: string;

    /**
     * 签到记录
     */
    TeachCourseSignDtoList: TeachCourseSignDto[];
}