import {PageForm} from "../../PageForm";


/**
 * teach-教学--课管理(TeachCourse)表实体类
 *
 * @author stoneyong
 * @since 2020-11-26 16:42:59
 */
export interface PageTeachCourseForm extends PageForm {
    /**
     * 班级名称
     */
    name?: string;

    /**
     * 是否分页查询
     */
    page: boolean;

    /**
     * 状态
     */
    status?: string;

    /**
     * 学校id
     */
    orgId: string;
    /**
     * 班级id
     */
    classId: string;

    /**
     * 开始上课时间
     */
    beginTime: string;

    //===============
    /**
     * 用于查询学习状态
     */
    userId: string;
}