import {PageForm} from "../../PageForm";


/**
 * teach-教学--班级--报名管理(TeachCourseUser)表实体类
 *
 * @author stoneyong
 * @since 2020-11-30 14:56:11
 */
export interface PageTeachCourseUserForm extends PageForm {
    /**
     * 学校id
     */

    orgId?: string;

    /**
     * 班级id
     */
    classId?: string;

    /**
     * 课id
     */
    courseId?: string;

    /**
     * 用户id
     */
    userId?: string;

    /**
     * 是否分页查询
     */
    page: boolean;

    /**
     * 状态
     */
    status?: string;

    /**
     * 关键字
     */
    keyWord?: string;

    /**
     * 开始日期
     */
    beginTime?: string;
    /**
     * 结束日期
     */
    endTime?: string;


    /**
     * 自定义开始时间
     */
    beginDate?: string;

    /**
     * 自定义结束时间
     */
    endDate?: string;

    /**
     * 查询时间段类型
     */
    timeType?: string;
}