/**
 * teach-教学--班级--报名管理(TeachClassUser)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-26 17:10:05
 */

export interface TeachClassUserForm {

    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 班级id
     */
    classId?: string,
    /**
     * 用户id
     */
    userId?: string,
    /**
     * 用户姓名
     */
    userName?: string,
    /**
     * 身份证号码
     */
    idNumber?: string,
    /**
     * 电话
     */
    phone?: string,
    /**
     * 照片
     */
    photo?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveTeachClassUserForm extends TeachClassUserForm {

    /**
     * 机构id
     */
    orgId: string,
    /**
     * 班级id
     */
    classId: string,
    /**
     * 用户id
     */
    userId: string,
    /**
     * 用户姓名
     */
    userName: string,
    /**
     * 身份证号码
     */
    idNumber: string,
    /**
     * 电话
     */
    phone: string,
    /**
     * 照片
     */
    photo: string,
}


export interface UpdTeachClassUserForm extends TeachClassUserForm {

    /**
     * id
     */
    id: string,

}