/**
 * teach-教学--课管理(TeachCourse)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-26 16:42:59
 */

export interface TeachCourseForm {

    /**
     * 课名称
     */
    name?: string,
    /**
     * 学校id
     */
    orgId?: string;
    /**
     * 班级id
     */
    classId?: string,
    /**
     * 地点
     */
    place?: string,
    /**
     * 简介
     */
    content?: string,
    /**
     * 课类型
     */
    courseType?: string,
    /**
     * 试卷id
     */
    testPaperId?: string,
    /**
     * 开始上课时间
     */
    beginTime?: string,
    /**
     * 结束上课时间
     */
    endTime?: string,
    /**
     * 开始签到时间
     */
    beginSignTime?: string,
    /**
     * 结束签到时间
     */
    endSignTime?: string,
    /**
     * 可答题时间
     */
    beginTestTime?: string,
    /**
     * 状态
     */
    status?: string,

    /**
     * 资源列表
     */
    teachCourseResIds?: string[];
    /**
     * 教师列表
     */
    teachCourseTeacherIds?: string[];
}

export interface SaveTeachCourseForm extends TeachCourseForm {

    /**
     * 课名称
     */
    name: string,
    /**
     * 学校id
     */
    orgId: string;
    /**
     * 班级id
     */
    classId: string,
    /**
     * 地点
     */
    place: string,
    /**
     * 简介
     */
    content: string,
    /**
     * 课类型
     */
    courseType: string,
    /**
     * 试卷id
     */
    testPaperId: string,
    /**
     * 开始上课时间
     */
    beginTime: string,
    /**
     * 结束上课时间
     */
    endTime: string,
    /**
     * 开始签到时间
     */
    beginSignTime: string,
    /**
     * 结束签到时间
     */
    endSignTime: string,
    /**
     * 可答题时间
     */
    beginTestTime: string,
}


export interface UpdTeachCourseForm extends TeachCourseForm {

    /**
     * id
     */
    id: string,

}