/**
 * teach-教学--课--用户签到(TeachCourseSign)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-30 16:45:11
 */

export interface TeachCourseSignForm {

    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 班级id
     */
    classId?: string,
    /**
     * 课id
     */
    courseId?: string,
    /**
     * 教师id
     */
    userId?: string,
    /**
     * 学习路径
     */
    learnPath?: string,
    /**
     * 签到类型
     */
    signType?: string,
    /**
     * 签到时间
     */
    signInTime?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveTeachCourseSignForm extends TeachCourseSignForm {

    /**
     * 机构id
     */
    orgId: string,
    /**
     * 班级id
     */
    classId: string,
    /**
     * 课id
     */
    courseId: string,
    /**
     * 教师id
     */
    userId: string,
    /**
     * 学习路径
     */
    learnPath: string,
    /**
     * 签到类型
     */
    signType: string,
    /**
     * 签到时间
     */
    signInTime: string,
}