import {TrackAttrDto} from "./TrackAttrDto";
import {TrackTypeDto} from "./TrackTypeDto";

export class TrackDto{


    id:string;
    /**
     * 开始时间
     */
    startTime:string;
    /**
     * 结束时间
     */
    endTime:string;
    /**
     * 经度
     */
    lon:string;
    /**
     * 纬度
     */
    lat:string;
    /**
     * 详细地址
     */
    address:string;
    /**
     * 内容
     */
    content:string;
    /**
     * 用户Id
     */
    userId:string;
    /**
     * 排序
     */
    sort:number;
    /**
     * 状态
     */
    status:string;
    /**
     * 机构Id
     * @private
     */
    orgId:string;

    attrList:TrackAttrDto[];
    typeList:TrackTypeDto[];


    // @ApiModelProperty(value = "主类型Id")
    mainTypeId:string;
    // @ApiModelProperty(value = "主类型名")
    mainTypeName:string;
}