export class PrescriptionDto {
    /**
     * 主键id
     */
    id:string;

    /**
     * 创建人
     */
    createBy:string;

    /**
     * 更新人
     */
    updateBy:string;

    /**
     * 创建时间
     */
    createTime:string;

    /**
     * 更新时间
     */
    updateTime:string;
    /**
     * 居民ID
     */
    userId:string;
    /**
     * 居民姓名
     */
    name:string;
    /**
     * 所属病种(多个病种逗号隔开)
     */
    diseaseIds:string;
    /**
     * 病种名称
     */
    diseaseName:string;
    /**
     * 来源医院
     */
    prescriptionHospital:string;
    /**
     * 来源医生
     */
    prescriptionDoctor:string;
    /**
     * 处方图片
     */
    prescriptionImage:string;
    /**
     * 处方类型 0 免费发药 1 医院购买 2 药店购买
     */
    type:string;
    /**
     * 状态 已录入|1,医生代领药|2,创建用药计划|3,通知用户领药|4,设置用药计划生效时间|5,患者已领药|6,使用中|7,已失效|8 停用|9
     */
    fillStatus:string;

    /**
     * 机构ID
     */
    orgId:string;
    /**
     * 计划名称ID，对应字典表ID
     */
    planNameId:string;
    /**
     * 计划名称
     */
    planName:string;
    /**
     * 对应药箱ID
     */
    deviceId:string;
    /**
     * 有效天数
     */
    validDay:number
    /**
     * 计划生效时间
     */
    enableTime:string;
}