export class UsedrugRemindDto {
    /**
     * ID
     */
    id:string;
    /**
     * 处方id
     */
    prescriptionId:string;

    /**
     * 提醒类型 0早 1中 3晚
     */
    remindType:string;
    /**
     * 药品ID
     */
    drugId:string;
    /**
     * 药品名称
     */
    drugName:string;
    /**
     *用药数量
     */
    useNumber:string;

    /**
     *服药时间
     */
    remindTime:string;

    /**
     *用户ID
     */
    userId:string;
    /**
     *实际服药数量
     */
    realNumber:string;

    /**
     *吃药状态
     */
    eatStatus:string;
    /**
     *备注
     */
    remark:string;
    /**
     *填写状态 1自行填写 2家人代填写
     */
    fillStatus:string;

    diseaseIds:string;

    title:string;
    /**
     * 药品单位
     */
    drugUnit:string;
    /**
     * 未按医嘱服药处理状态
     */
    handStatus:string;
    /**
     * 未按医嘱服药处理备注
     */
    handRemark:string;
    /**
     * 处理时间
     */
    updateTime:string;
}