import {BaseEntity} from "../../BaseEntity";

export class UsedrugPrescriptionPlanEntity extends BaseEntity{
    /**
     * 处方ID
     */
    prescriptionId:string;
    /**
     * 药品ID
     */
    drugId:string;
    /**
     * 药品名称
     */
    drugName:string;
    /**
     * 药盒编码1-N，代表第几个药盒
     */
    kit:string;
    /**
     * 用药频次,每天服药几次
     */
    useFrequency:string;
    /**
     * 每次用药数量
     */
    useNumber:string;
    /**
     * 服药时间时间段7:00,12:00
     */
    useTime:string;
    /**
     * 药品剩余数量
     */
    surplusNumber:string;
}