export class PrescriptionForm {
    /**
     * 居民ID
     */
    userId:string;
    /**
     * 所属病种(多个病种逗号隔开)
     */
    diseaseIds:string;
    /**
     * 处方类型 0 免费发药 1 医院购买 2 药店购买
     */
    type:string;

    orgId:string;
    /**
     * 来源医院
     */
    prescriptionHospital:string;
    /**
     * 来源医生
     */
    prescriptionDoctor:string;
    /**
     * 处方图片
     */
    prescriptionImage:string;
}