import {BaseEntity} from "../../BaseEntity";

export class UserAddressEntity extends BaseEntity{
    //用户ID
    userId:string

    //地址类型
    type:string

    //详细地址
    address:string

    //省级(直辖市)单位code
    provinceCode:string

    //省级(直辖市)单位名字
    provinceName:string

    //市级单位code
    cityCode:string

    //市级单位名字
    cityName:string

    //县级(区)单位code
    countyCode:string

    //县级(区)单位名字
    countyName:string

    //镇级(乡,街道)单位code
    townCode:string

    //镇级(乡,街道)单位名字
    townName:string

    //村级(居委会)单位code
    villageCode:string

    //村级(居委会)单位名字
    villageName:string
}