import {BaseEntity} from "../../BaseEntity";

export class UserDiseaseEntity extends BaseEntity {
    //用户id
    userId: string
    //病种id
    diseaseId: string
    //病种名称
    diseaseName: string
    //确诊医院Id
    diagnosisId: string
    //确诊医院名称
    confirmedName: string
    //确诊时间
    confirmedTime: Date
    //确诊医生
    doctor: string
    //报告单
    report: string
    //是否康复
    recover: number
}