import {UserArcEntity} from "./UserArcEntity";

import {UserEntity} from "./UserEntity";
import {UserCardEntity} from "./UserCardEntity";
import {UserOrgRoleDto} from "../../system/dto/UserOrgRoleDto";

export class UserInfo {

    // 系统用户信息
    userEntity: UserEntity = new UserEntity();

    //用户档案信息
    userArcEntity: UserArcEntity = new UserArcEntity();

    //证件信息列表
    userCardEntityList :UserCardEntity[]

    //机构角色列表
    orgRoleList:UserOrgRoleDto[]

}