import {UserTreatDiseaseDto} from "./UserTreatDiseaseDto";

export class UserTreatDto {
    id: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 单据类型
     */
    voucherType: string;
    /**
     * 单据图片数组
     */
    voucherImgs: string;
    /**
     * 医院名称
     */
    hospName: string;
    /**
     * 医院Id
     */
    hospId: string;
    /**
     * 用户Id
     */
    userId: string;
    /**
     * 排序
     */
    sort: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 用户的机构Id
     */
    orgId: string;

    /**
     * 疾病记录
     */
    diseaseList:UserTreatDiseaseDto[];

    /**
     * 创建时间
     */
    createTime:string;
}
