/**
 * 诊疗-诊疗记录(UserTreat)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-10-13 10:24:01
 */
import {UserTreatDiseaseForm} from "./UserTreatDiseaseForm";

export interface UserTreatForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 单据类型
     */
    voucherType?: string,
    /**
     * 单据图片数组
     */
    voucherImgs?: string,
    /**
     * 医院名称
     */
    hospName?: string,
    /**
     * 医院Id
     */
    hospId?: string,
    /**
     * 用户Id
     */
    userId?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 用户的机构Id
     */
    orgId?: string,

    /**
     * 疾病列表
     */
    diseaseList?:UserTreatDiseaseForm[],
}

export interface SaveUserTreatForm extends UserTreatForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 单据类型
     */
    voucherType: string,
    /**
     * 单据图片数组
     */
    voucherImgs: string,
    /**
     * 医院名称
     */
    hospName: string,
    /**
     * 医院Id
     */
    hospId: string,
    /**
     * 用户Id
     */
    userId: string,
    /**
     * 用户的机构Id
     */
    orgId: string,
    /**
     * 疾病列表
     */
    diseaseList:UserTreatDiseaseForm[],
}


export interface UpdUserTreatForm extends UserTreatForm {

    /**
     * id
     */
    id: string,

}