/**
 * common-健康教育数据(CommonEducationRecord)ApiDefine
 *
 * @author makejava
 * @since 2020-09-28 11:45:35
 */
import {
    SaveCommonEducationRecordForm,
    UpdCommonEducationRecordForm
} from "../../model/common/form/CommonEducationRecordForm";
import {PageCommonEducationRecordForm} from "../../model/common/form/PageCommonEducationRecordForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonEducationRecordDto} from "../../model/common/dto/CommonEducationRecordDto";

declare global {
    namespace CommonEducationRecordDefine {
        interface CommonEducationRecord {
            // 添加
            save?: (data: SaveCommonEducationRecordForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonEducationRecordDto>>,
            // 修改
            upd?: (data: UpdCommonEducationRecordForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageCommonEducationRecordForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonEducationRecordDto>>>,

        }
    }
}

export {}