/**
 * 公共-表单(CommonForm)ApiDefine
 *
 * @author makejava
 * @since 2021-01-07 09:06:20
 */
import {SaveCommonFormForm, UpdCommonFormForm} from "../../model/common/form/CommonFormForm";
import {PageCommonFormForm} from "../../model/common/form/PageCommonFormForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonFormDto} from "../../model/common/dto/CommonFormDto";
import {CommonFormInfoDto} from "../../model/common/dto/CommonFormInfoDto";

declare global {
    namespace CommonFormDefine {
        interface CommonForm {
            // 添加
            save?: (data: SaveCommonFormForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonFormInfoDto>>,
            // 修改
            upd?: (data: UpdCommonFormForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
                // 删除
                del?: (data: string[], headers: any,
                       errorCallback?: (message: string) => void) =>
                    Promise<ResultDto<boolean>>,
                // 分页
                page?: (data: PageCommonFormForm, headers: any,
                        errorCallback?: (message: string) => void) =>
                    Promise<ResultDto<PageDto<CommonFormDto>>>,

            }
        }
}

export {}