/**
 * 公共-表单分类(CommonFormType)ApiDefine
 *
 * @author makejava
 * @since 2021-01-07 09:06:31
 */
import {SaveCommonFormTypeForm, UpdCommonFormTypeForm} from "../../model/common/form/CommonFormTypeForm";
import {PageCommonFormTypeForm} from "../../model/common/form/PageCommonFormTypeForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonFormTypeDto} from "../../model/common/dto/CommonFormTypeDto";

declare global {
    namespace CommonFormTypeDefine {
        interface CommonFormType {
            // 添加
            save?: (data: SaveCommonFormTypeForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonFormTypeDto>>,
            // 修改
            upd?: (data: UpdCommonFormTypeForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageCommonFormTypeForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonFormTypeDto>>>,

            //查询已经启用的类型列表
            listAlreadyEnable?:( headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonFormTypeDto>>>,

        }
    }
}

export {}