/**
 * 公共-健康知识类型(CommonKnowType)ApiDefine
 *
 * @author makejava
 * @since 2020-10-09 10:07:12
 */
import {SaveCommonKnowTypeForm, UpdCommonKnowTypeForm} from "../../model/common/form/CommonKnowTypeForm";
import {PageCommonKnowTypeForm} from "../../model/common/form/PageCommonKnowTypeForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonKnowTypeDto} from "../../model/common/dto/CommonKnowTypeDto";

declare global {
    namespace CommonKnowTypeDefine {
        interface CommonKnowType {
            // 添加
            save?: (data: SaveCommonKnowTypeForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonKnowTypeDto>>,
            // 修改
            upd?: (data: UpdCommonKnowTypeForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageCommonKnowTypeForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonKnowTypeDto>>>,
            // 树形
            tree?:(headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonKnowTypeDto[]>>,
        }
    }
}

export {}