/**
 * 公共-选宣教知识(CommonMission)ApiDefine
 *
 * @author makejava
 * @since 2020-12-04 15:29:46
 */
import {SaveCommonMissionForm, UpdCommonMissionForm} from "../../model/common/form/CommonMissionForm";
import {PageCommonMissionForm} from "../../model/common/form/PageCommonMissionForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {CommonMissionDto} from "../../model/common/dto/CommonMissionDto";
import {ReleaseMissionForm} from "../../model/common/form/ReleaseMissionForm";

declare global {
    namespace CommonMissionDefine {
        interface CommonMission {
            // 添加
            save?: (data: SaveCommonMissionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonMissionDto>>,
            // 修改
            upd?: (data: UpdCommonMissionForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageCommonMissionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonMissionDto>>>,

            // 发布-选宣教知识
            release?: (data: ReleaseMissionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonMissionDto>>>,

            // 用户端查询宣教知识
            userMissionListByType?:(data:{missionType:string,orgId:string} , headers: any,
                                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<CommonMissionDto>>>,

        }
    }
}

export {}