/**
 * 试卷-答题明细(ExaAnsDetail)ApiDefine
 *
 * @author makejava
 * @since 2020-11-03 08:53:07
 */
import {ExaAnsDetailForm, SaveExaAnsDetailForm, UpdExaAnsDetailForm} from "../../model/exa/form/ExaAnsDetailForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ExaAnsDetailDto} from "../../model/exa/dto/ExaAnsDetailDto";

declare global {
    namespace ExaAnsDetailDefine {
        interface ExaAnsDetail {
            // 添加
            save?: (data: SaveExaAnsDetailForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaAnsDetailDto>>,
            // 修改
            upd?: (data: UpdExaAnsDetailForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: ExaAnsDetailForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaAnsDetailDto>>>,

        }
    }
}

export {}