/**
 * 试卷-答题记录(ExaAnswer)ApiDefine
 *
 * @author makejava
 * @since 2020-11-03 08:53:07
 */
import {
    ExaAnswerForm,
    RequestAnswerForm,
    SaveExaAnswerForm,
    UpdExaAnswerForm
} from "../../model/exa/form/ExaAnswerForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ExaAnswerDto, RequestAnswerDto} from "../../model/exa/dto/ExaAnswerDto";
import {RecordDto} from "../../model/record/dto/RecordDto";
import {ExaPaperDto} from "../../model/exa/dto/ExaPaperDto";

declare global {
    namespace ExaAnswerDefine {
        interface ExaAnswer {
            // 添加
            save?: (data: SaveExaAnswerForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ExaAnswerDto>>,
            // 修改
            updSave?: (data: UpdExaAnswerForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: ExaAnswerForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaAnswerDto>>>,


            // answerRecord?:(headers: any,
            //                errorCallback?: (message: string) => void) =>
            //     Promise<ResultDto<PageDto<RecordDto>>>,

            answerRecordDetail?:(data:{paperId:string,ansId:string}, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ExaPaperDto>>>,
            answerList?:(data:RequestAnswerForm, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<RequestAnswerDto[]>>,
        }
    }
}

export {}