/**
 * 机构装修--内容展示页(FitmentContent)ApiDefine
 *
 * @author Ma
 * @since 2020-09-28 16:23:45
 */
import {
    FitmentContentForm,
    saveFitmentContentForm,
    updFitmentContentForm
} from "../../model/fitment/form/FitmentContentForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentContentDto} from "../../model/fitment/dto/FitmentContentDto";

declare global {
    namespace FitmentContentDefine {
        interface FitmentContent {
            // 添加
            save?: (data: updFitmentContentForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentContentDto>>,
            // 修改
            // upd?: (data: updFitmentContentForm, headers: any,
            //        errorCallback?: (message: string) => void) =>
            //     Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: FitmentContentForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentContentDto>>>,

        }
    }
}

export {}