/**
 * 随防-表单表格(FollowTable)Api
 *
 * @author makejava
 * @since 2020-12-03 14:24:37
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {followUrl, FollowUrlEnum} from "../../config/config";

export const followTableApi: FollowTableDefine.FollowTable = {


    findFollowTable: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            followUrl + FollowUrlEnum.FIND_FOLLOW_TABLE_TABLE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

};