/**
 * 医院-药品价格(HospDrug)ApiDefine
 *
 * @author makejava
 * @since 2020-09-21 16:24:39
 */
import {SaveHospDrugForm, UpdHospDrugForm} from "../../model/hosp/form/HospDrugForm";
import {PageHospDrugForm} from "../../model/hosp/form/PageHospDrugForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {HospDrugDto} from "../../model/hosp/dto/HospDrugDto";

declare global {
    namespace HospDrugDefine {
        interface HospDrug {
            // 添加
            save?: (data: SaveHospDrugForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<HospDrugDto>>,
            // 修改
            upd?: (data: UpdHospDrugForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageHospDrugForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospDrugDto>>>,

        }
    }
}

export {}