/**
 * 医院-健康知识(HospKnow)ApiDefine
 *
 * @author makejava
 * @since 2020-09-16 15:30:59
 */
import {SaveHospKnowForm, UpdHospKnowForm} from "../../model/hosp/form/HospKnowForm";
import {PageHospKnowForm} from "../../model/hosp/form/PageHospKnowForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {HospKnowDto} from "../../model/hosp/dto/HospKnowDto";

declare global {
    namespace HospKnowDefine {
        interface HospKnow {
            // 添加
            save?: (data: SaveHospKnowForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<HospKnowDto>>,
            // 修改
            upd?: (data: UpdHospKnowForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageHospKnowForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospKnowDto>>>,

        }
    }
}

export {}