/**
 * 项目-图片记录(ItemImg)ApiDefine
 *
 * @author makejava
 * @since 2020-09-23 18:07:00
 */
import {SaveItemImgForm, UpdItemImgForm} from "../../model/item/form/ItemImgForm";
import {PageItemImgForm} from "../../model/item/form/PageItemImgForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemImgDto} from "../../model/item/dto/ItemImgDto";
import {ItemArticleDto} from "../../model/item/dto/ItemArticleDto";

declare global {
    namespace ItemImgDefine {
        interface ItemImg {
            // 添加
            save?: (data: SaveItemImgForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemImgDto>>,
            // 修改
            upd?: (data: UpdItemImgForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemImgForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemImgDto>>>,
            // 根据项目Id查询
            listByItemId?:(data:string,headers:any, errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemImgDto[]>>,
        }
    }
}

export {}