/**
 * 项目-宣教时的特殊属性(ItemMission)ApiDefine
 *
 * @author makejava
 * @since 2020-09-23 18:07:02
 */
import {SaveItemMissionForm, UpdItemMissionForm} from "../../model/item/form/ItemMissionForm";
import {PageItemMissionForm} from "../../model/item/form/PageItemMissionForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemMissionDto} from "../../model/item/dto/ItemMissionDto";

declare global {
    namespace ItemMissionDefine {
        interface ItemMission {
            // 添加
            save?: (data: SaveItemMissionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemMissionDto>>,
            // 修改
            upd?: (data: UpdItemMissionForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemMissionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemMissionDto>>>,

        }
    }
}

export {}