/**
 * 机器人-引导信息(RobotGuideMessage)ApiDefine
 *
 * @author makejava
 * @since 2020-12-24 14:39:55
 */
import {SaveRobotGuideMessageForm, UpdRobotGuideMessageForm} from "../../model/notice/form/RobotGuideMessageForm";
import {PageRobotGuideMessageForm} from "../../model/notice/form/PageRobotGuideMessageForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {RobotGuideMessageDto} from "../../model/notice/dto/RobotGuideMessageDto";

declare global {
    namespace RobotGuideMessageDefine {
        interface RobotGuideMessage {
            // 添加
            save?: (data: SaveRobotGuideMessageForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<RobotGuideMessageDto>>,
            // 修改
            upd?: (data: UpdRobotGuideMessageForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageRobotGuideMessageForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<RobotGuideMessageDto>>>,
            // 详情
            findByCode?: (messageCode: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<RobotGuideMessageDto>>,
        }
    }
}

export {}