/**
 * 问卷模块--题目选项(QuestionnaireOption)ApiDefine
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */
import {
    QuestionnaireOptionForm,
    SaveQuestionnaireOptionForm,
    UpdQuestionnaireOptionForm
} from "../../model/questionnaire/form/QuestionnaireOptionForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {QuestionnaireOptionDto} from "../../model/questionnaire/dto/QuestionnaireOptionDto";

declare global {
    namespace QuestionnaireOptionDefine {
        interface QuestionnaireOption {
            // 添加
            save?: (data: SaveQuestionnaireOptionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<QuestionnaireOptionDto>>,
            // 修改
            upd?: (data: UpdQuestionnaireOptionForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: QuestionnaireOptionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireOptionDto>>>,

        }
    }
}

export {}