/**
 * 问卷--答题记录(QuestionnaireRecord)ApiDefine
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */
import {
    QuestionnaireRecordForm,
    SaveQuestionnaireRecordForm,
    UpdQuestionnaireRecordForm
} from "../../model/questionnaire/form/QuestionnaireRecordForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {QuestionnaireRecordDto} from "../../model/questionnaire/dto/QuestionnaireRecordDto";
import {QuestionnaireDetailDto} from "../../model/questionnaire/dto/QuestionnaireDetailDto";
import {QuestionnaireAnswerRecordDto} from "../../model/questionnaire/dto/QuestionnaireAnswerRecordDto";

declare global {
    namespace QuestionnaireRecordDefine {
        interface QuestionnaireRecord {
            // 添加
            save?: (data: SaveQuestionnaireRecordForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<QuestionnaireRecordDto>>,
            // 修改
            upd?: (data: UpdQuestionnaireRecordForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: QuestionnaireRecordForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireRecordDto>>>,
            // 分页答题记录列表
            pageAnswer?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireAnswerRecordDto>>>,
            // 详情
            detail?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<QuestionnaireDetailDto>>>,
 // 详情
            anwer?: (headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<any>>,

        }
    }
}

export {}