/**
 * 问卷调查--题目列表(QuestionnaireTopic)Api
 *
 * @author makejava
 * @since 2020-11-18 17:24:17
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {QuestionnaireTopicUrl, questionnaireUrl,} from "../../config/config";

export const questionnaireTopicApi: QuestionnaireTopicDefine.QuestionnaireTopic = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireTopicUrl.DEL_QUESTIONNAIRE_TOPIC,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            questionnaireUrl + QuestionnaireTopicUrl.INFO_QUESTIONNAIRE_TOPIC + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireTopicUrl.PAGE_QUESTIONNAIRE_TOPIC,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireTopicUrl.SAVE_QUESTIONNAIRE_TOPIC,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireTopicUrl.UPD_QUESTIONNAIRE_TOPIC,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};