import {ResultDto} from "../../model/ResultDto";
import {TaskRecordDto} from "../../model/task/dto/TaskRecordDto";

declare global {

    /**
     * 任务执行人
     */
    namespace TaskRecordDefine {
        // @ts-ignore
        interface TaskRecord {
            // 任务 的操作记录
            // data 任务ID
            listTaskRecord?: (taskId: string, headers: any,
                               errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskRecordDto[]>>,

            // 任务 执行情况的操作记录
            // 任务 的taskCode
            listTaskPerformRecord?: (taskCode: string, headers: any,
                              errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskRecordDto[]>>,
        }
    }
}
export {};