/**
 * teach-教学--课--用户签到(TeachCourseSign)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-30 16:45:11
 */
import {PageTeachCourseSignForm} from "../../model/teach/form/PageTeachCourseSignForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {TeachCourseSignDto} from "../../model/teach/dto/TeachCourseSignDto";
import {SaveTeachCourseSignForm} from "../../model/teach/form/TeachCourseSignForm";

declare global {
    namespace TeachCourseSignDefine {
        interface TeachCourseSign {
            // 添加
            save?: (data: SaveTeachCourseSignForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageTeachCourseSignForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<TeachCourseSignDto>>>,

        }
    }
}

export {}