import {WebClient} from "../../utils/WebClient";
import {usedrugDevice, usedrugUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const DeviceApi: DeviceDefine.Device = {
    /**
     * 根据居民ID查询居民设备
     * @param form
     * @param headers
     */
    deviceInfo: async (userId,status, headers: any) => {
        const  url:string=usedrugUrl + usedrugDevice.DEVICE_INFO+"?userId="+userId+"&status="+status;
        return await WebClient.requestResultDtoGet(userId, url, headers);
    },
}