import {ResultDto} from "../../model/ResultDto";
import {HelpDrugForm} from "../../model/usedrug/form/HelpDrugForm";
import {UsedrugDeviceEntity} from "../../model/usedrug/entity/UsedrugDeviceEntity";

declare global {
    namespace DeviceDefine {
        /**
         * 药箱管理
         */
        interface Device {
            /**
             * 根据居民ID查询居民设备
             * @param form
             * @param headers
             */
            deviceInfo?: (userId: string,status:string, headers: any) => Promise< ResultDto<UsedrugDeviceEntity>>;
        }
    }
}
export {};