import {ResultDto} from "../../model/ResultDto";
import {HelpDrugForm} from "../../model/usedrug/form/HelpDrugForm";

declare global {
    namespace HelpDrugDefine {
        /**
         * 代领取药品
         */
        interface HelpDrug {
            /**
             * 保存代领取信息
             * @param form
             * @param headers
             */
            save?: (form: HelpDrugForm, headers: any) => Promise< ResultDto<Boolean>>;

        }
    }
}
export {};