import {WebClient} from "../../utils/WebClient";
import {UsedrugEnum, usedrugIndex, usedrugUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const IndexApi: IndexDefine.Index = {
    /**
     * 获取居民代办事项
     * (reactionCount:不良反应数量,notUrgeCount:今日待督促数量,lackDrugCount:药品不足数量)
     * @param form
     * @param headers
     */
    toDoList: async (orgId, headers: any) => {
        return await WebClient.requestResultDtoPost(orgId,usedrugUrl + usedrugIndex.INDEX_TODOLIST , headers);
    },
    /**
     * 获取居民代办事项
     * (reactionCount:不良反应数量,notUrgeCount:今日待督促数量,lackDrugCount:药品不足数量)
     * @param form
     * @param headers
     */
    drugUseList: async (orgId, headers: any) => {
        return await WebClient.requestResultDtoPost(orgId,usedrugUrl + usedrugIndex.INDEX_DRUGUSE_LIST , headers);
    },
}