import {ResultDto} from "../../model/ResultDto";
import {IndexToDoDto} from "../../model/usedrug/dto/IndexToDoDto";

declare global {
    namespace IndexDefine {
        /**
         * 首页服药信息统计
         */
        interface Index {
            /**
             * 获取居民代办事项
             * (reactionCount:不良反应数量,notUrgeCount:今日待督促数量,lackDrugCount:药品不足数量)
             * @param form
             * @param headers
             */
            toDoList?: (orgId: string[], headers: any) => Promise< ResultDto<IndexToDoDto[]>>;

            /**
             * 获取居民代办事项
             * (reactionCount:管理人数,noDrugCount:未服药人数,drugCount:按医嘱服药人数)
             * @param form
             * @param headers
             */
            drugUseList?: (orgId: string[],headers: any) => Promise< ResultDto<IndexToDoDto[]>>;
        }
    }
}
export {};