import {ResultDto} from "../../model/ResultDto";
import {BasePageForm} from "../../model/usedrug/form/BasePageForm";
import {DrugUrgeDto} from "../../model/usedrug/dto/DrugUrgeDto";

declare global {
    namespace RemindUrgeDefine {
        /**
         * 居民服药督促记录
         */
        interface RemindUrge {
            /**
             * 居民服药督促记录
             * @param headers
             */
            drugUrge?: (form: BasePageForm, headers: any) => Promise<ResultDto<DrugUrgeDto[]>>;
        }
    }
}
export {};