import {PrescriptionUserPlanForm} from "../model/usedrug/form/PrescriptionUserPlanForm";

// export const apiUrl = "http://192.168.3.170:10001";
// export const apiUrl = "http://192.168.3.170:10001";
//  export const apiUrl = "http://192.168.3.116:10001";
// export const apiUrl = "http://tskj.365tskj.com/api";
let APIiUrl;
if(process.env.NODE_ENV == 'development'){//本地serve环境
	APIiUrl = "http://192.168.3.170:10001";
}else if(process.env.NODE_ENV == 'production'){//线上环境
	APIiUrl = "http://tskj.365tskj.com/api";
}
export const apiUrl = APIiUrl;
export const noticeBaseUrl = "/tskj-cloud-notice";
export const commonBaseUrl = "/tskj-cloud-common";
export const taskBaseUrl = "/tskj-cloud-task";
export const usedrugUrl = "/tskj-cloud-usedrug";
export const authUrl = "/tskj-cloud-auth";
export const userUrl = "/tskj-cloud-user";
export const recordBaseUrl = "/tskj-cloud-record";
export const satisfactionUrl = "/tskj-cloud-satisfaction";
export const shareUrl = "/tskj-cloud-share";

export const trackUrl = "/tskj-cloud-track"
export const systemUrl = "/tskj-cloud-system"

export const hospUrl = "/tskj-cloud-hosp"

export const fitmentBaseUrl = "/tskj-cloud-fitment"

export const itemUrl = "/tskj-cloud-task"

export const userTreatUrl = "/tskj-cloud-user"

export const classroomUrl = "/tskj-cloud-classroom";
export const TeachUrl = "/tskj-cloud-teach";

export const exaUrl = "/tskj-cloud-exa"

export const questionnaireUrl = "/tskj-cloud-questionnaire"

export const followUrl = "/tskj-cloud-follow"


export const enum FollowUrlEnum {

    FIND_FOLLOW_TABLE_TABLE = "/followTable/find/", // 根据类型查询表格

    // 随访-主表
    DEL_FOLLOW_MAIN = "/followMain/del", // 移除
    PAGE_FOLLOW_MAIN = "/followMain/page", // 分页
    SAVE_FOLLOW_MAIN = "/followMain/save", // 添加
    UPD_FOLLOW_MAIN = "/followMain/upd", // 修改
    INFO_FOLLOW_MAIN = "/followMain/", // 单个详情
}

/**
 * 公共-区域宣传视频(CommonPublicity)
 *
 * @author makejava
 * @since 2020-11-11 13:49:37
 */
export const enum CommonPublicityUrlEnum {
    // 公共-区域宣传视频
    DEL_COMMON_PUBLICITY = "/commonPublicity/del", // 移除
    PAGE_COMMON_PUBLICITY = "/commonPublicity/page", // 分页
    SAVE_COMMON_PUBLICITY = "/commonPublicity/save", // 添加
    UPD_COMMON_PUBLICITY = "/commonPublicity/upd", // 修改
    INFO_COMMON_PUBLICITY = "/commonPublicity/", // 单个详情

    USER_PAGE_COMMON_PUBLICITY = "/commonPublicity/user/page", // 用户端分页查询列表

}


export const enum UserTreatUrlEnum {
    // 诊疗-诊疗记录
    DEL_USER_TREAT = "/userTreat/del", // 移除
    PAGE_USER_TREAT = "/userTreat/page", // 分页
    SAVE_USER_TREAT = "/userTreat/save", // 添加
    UPD_USER_TREAT = "/userTreat/upd", // 修改
    INFO_USER_TREAT = "/userTreat/", // 单个详情
}

export const enum CommonEducationRecordUrl {
    // common-健康教育数据
    DEL_COMMON_EDUCATION_RECORD = "/commonEducationRecord/del", // 移除
    PAGE_COMMON_EDUCATION_RECORD = "/commonEducationRecord/page", // 分页
    SAVE_COMMON_EDUCATION_RECORD = "/commonEducationRecord/save", // 添加
    UPD_COMMON_EDUCATION_RECORD = "/commonEducationRecord/upd", // 修改
    INFO_COMMON_EDUCATION_RECORD = "/commonEducationRecord/", // 单个详情
}

/**
 * 公共-选宣教知识(CommonMission)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-04 15:29:47
 */

export const enum CommonMissionUrl {
    // 公共-选宣教知识
    DEL_COMMON_MISSION = "/commonMission/del", // 移除
    PAGE_COMMON_MISSION = "/commonMission/page", // 分页
    SAVE_COMMON_MISSION = "/commonMission/save", // 添加
    UPD_COMMON_MISSION = "/commonMission/upd", // 修改
    INFO_COMMON_MISSION = "/commonMission/", // 单个详情
    USER_MISSION_LIST_BY_TYPE = "/commonMission/user/mission/", // 用户端查询宣教知识
    RELEASE_COMMON_MISSION = "/commonMission/release", // 发布-选宣教知识
}
/**
 * 公共-表单
 *
 * @author makejava
 * @since 2021-01-07 09:06:21
 */

export const enum CommonFormUrl {
    // 公共-表单
    DEL_COMMON_FORM = "/commonForm/del", // 移除
    PAGE_COMMON_FORM = "/commonForm/page", // 分页
    SAVE_COMMON_FORM = "/commonForm/save", // 添加
    UPD_COMMON_FORM = "/commonForm/upd", // 修改
    INFO_COMMON_FORM = "/commonForm/", // 单个详情

    // 公共-表单分类
    DEL_COMMON_FORM_TYPE = "/commonFormType/del", // 移除
    PAGE_COMMON_FORM_TYPE = "/commonFormType/page", // 分页
    SAVE_COMMON_FORM_TYPE = "/commonFormType/save", // 添加
    UPD_COMMON_FORM_TYPE = "/commonFormType/upd", // 修改
    INFO_COMMON_FORM_TYPE = "/commonFormType/", // 单个详情

    COMMON_FORM_TYPE_LIST_ALREADY_ENABLE = "/listAlreadyEnable", // 查询已经启用的类型列表

}

export const enum CommonKnowUrl {

    // 公共-健康知识类型
    DEL_COMMON_KNOW_TYPE = "/commonKnowType/del", // 移除
    PAGE_COMMON_KNOW_TYPE = "/commonKnowType/page", // 分页
    SAVE_COMMON_KNOW_TYPE = "/commonKnowType/save", // 添加
    UPD_COMMON_KNOW_TYPE = "/commonKnowType/upd", // 修改
    INFO_COMMON_KNOW_TYPE = "/commonKnowType/", // 单个详情
    TREE_COMMON_KNOW_TYPE = "/commonKnowType/list/tree", // 树形

    // 公共-健康知识
    DEL_COMMON_KNOW = "/commonKnow/del", // 移除
    PAGE_COMMON_KNOW = "/commonKnow/page", // 分页
    SAVE_COMMON_KNOW = "/commonKnow/save", // 添加
    UPD_COMMON_KNOW = "/commonKnow/upd", // 修改
    INFO_COMMON_KNOW = "/commonKnow/", // 单个详情
}

export const enum ItemUrlEnum {
    // 项目-物料发放记录
    DEL_ITEM_ARTICLE = "/itemArticle/del", // 移除
    PAGE_ITEM_ARTICLE = "/itemArticle/page", // 分页
    SAVE_ITEM_ARTICLE = "/itemArticle/save", // 添加
    UPD_ITEM_ARTICLE = "/itemArticle/upd", // 修改
    INFO_ITEM_ARTICLE = "/itemArticle/", // 单个详情
    LIST_BY_ITEM_ARTICLE = "/itemArticle/list/",//根据项目Id查询物料记录


    // 项目-评价记录
    DEL_ITEM_EVALUATION = "/itemEvaluation/del", // 移除
    PAGE_ITEM_EVALUATION = "/itemEvaluation/page", // 分页
    SAVE_ITEM_EVALUATION = "/itemEvaluation/save", // 添加
    UPD_ITEM_EVALUATION = "/itemEvaluation/upd", // 修改
    INFO_ITEM_EVALUATION = "/itemEvaluation/", // 单个详情
    ITEM_LIST_ITEM = "/itemEvaluation/list/", // 根据项目Id查询
    STATISTICAL_EVALUATION_ITEM = "/itemEvaluation/statistical/", // 统计

    // 项目-图片记录
    DEL_ITEM_IMG = "/itemImg/del", // 移除
    PAGE_ITEM_IMG = "/itemImg/page", // 分页
    SAVE_ITEM_IMG = "/itemImg/save", // 添加
    UPD_ITEM_IMG = "/itemImg/upd", // 修改
    INFO_ITEM_IMG = "/itemImg/", // 单个详情
    LIST_BY_ITEM_IMG = "/itemImg/list/",//根据项目Id查询图片记录


    // 项目-讲座项目时的特殊属性
    DEL_ITEM_LECTURE = "/itemLecture/del", // 移除
    PAGE_ITEM_LECTURE = "/itemLecture/page", // 分页
    SAVE_ITEM_LECTURE = "/itemLecture/save", // 添加
    UPD_ITEM_LECTURE = "/itemLecture/upd", // 修改
    INFO_ITEM_LECTURE = "/itemLecture/", // 单个详情

    // 项目-宣教时的特殊属性
    DEL_ITEM_MISSION = "/itemMission/del", // 移除
    PAGE_ITEM_MISSION = "/itemMission/page", // 分页
    SAVE_ITEM_MISSION = "/itemMission/save", // 添加
    UPD_ITEM_MISSION = "/itemMission/upd", // 修改
    INFO_ITEM_MISSION = "/itemMission/", // 单个详情


    // 项目-用户参加情况
    DEL_ITEM_PARTICIPATE = "/itemParticipate/del", // 移除
    PAGE_ITEM_PARTICIPATE = "/itemParticipate/page", // 分页
    SAVE_ITEM_PARTICIPATE = "/itemParticipate/save", // 添加
    UPD_ITEM_PARTICIPATE = "/itemParticipate/upd", // 修改
    INFO_ITEM_PARTICIPATE = "/itemParticipate/", // 单个详情
    LIST_PARTICIPATE_ITEM = "/itemParticipate/list/", // 根据项目Id查询参加情况
    STATISTICAL_PARTICIPATE_ITEM = "/itemParticipate/statistical/", // 根据项目Id查询参加情况
    SAVE_BATCH_ITEM_PARTICIPATE = "/itemParticipate/saveBatch", // 批量添加


    // 项目-项目主表(健康宣教等.........)
    DEL_ITEM = "/item/del", // 移除
    PAGE_ITEM = "/item/page", // 分页
    SAVE_ITEM = "/item/save", // 添加
    SAVE_AND_RELEASE_ITEM = "/item/saveAndRelease", // 保存并发布

    UPD_ITEM = "/item/upd", // 修改
    INFO_ITEM = "/item/", // 单个详情
    RELEASE_ITEM = "/item/release", // 发布项目
    START_END_ITEM = "/item/startEnd", // 项目开始和结束
    COMPLETE_ITEM = "/item/complete", // 项目完成
    CONCLUSION_ITEM = "/item/conclusion", // 活动总结

    // 项目-用户端项目

    USER_ITEM_PAGE = "/user/item/pageList", //用户端健康教育列表
    USER_ITEM_INFO = "/user/item/info/", //用户端健康教育详情
    USER_ITEM_SAVE_PART = "/user/item/part/save",//新增用户参加情况
    USER_ITEM_PART_LIST = "/user/item/part/list", //用户的参加情况
    USER_ITEM_SAVE_EVA = "/user/item/eva/save",//新增评价记录

}

export const enum HospUrlEnum {

    // 医院-药品价格
    DEL_HOSP_DRUG = "/hospDrug/del", // 移除
    PAGE_HOSP_DRUG = "/hospDrug/page", // 分页
    SAVE_HOSP_DRUG = "/hospDrug/save", // 添加
    UPD_HOSP_DRUG = "/hospDrug/upd", // 修改
    INFO_HOSP_DRUG = "/hospDrug/", // 单个详情
    // 医院-健康知识类型
    DEL_HOSP_KNOW_TYPE = "/hospKnowType/del", // 移除
    PAGE_HOSP_KNOW_TYPE = "/hospKnowType/page", // 分页
    SAVE_HOSP_KNOW_TYPE = "/hospKnowType/save", // 添加
    UPD_HOSP_KNOW_TYPE = "/hospKnowType/upd", // 修改
    INFO_HOSP_KNOW_TYPE = "/hospKnowType/", // 单个详情
    TREE_HOSP_KNOW_TYPE = "/hospKnowType/tree/", // 单个详情
    // 医院-健康知识
    DEL_HOSP_KNOW = "/hospKnow/del", // 移除
    PAGE_HOSP_KNOW = "/hospKnow/page", // 分页
    SAVE_HOSP_KNOW = "/hospKnow/save", // 添加
    UPD_HOSP_KNOW = "/hospKnow/upd", // 修改
    INFO_HOSP_KNOW = "/hospKnow/", // 单个详情
    // 医院-素材
    DEL_HOSP_MATERIAL = "/hospMaterial/del", // 移除
    PAGE_HOSP_MATERIAL = "/hospMaterial/page", // 分页
    SAVE_HOSP_MATERIAL = "/hospMaterial/save", // 添加
    UPD_HOSP_MATERIAL = "/hospMaterial/upd", // 修改
    INFO_HOSP_MATERIAL = "/hospMaterial/", // 单个详情
    SAVE_HOSP_MATERIAL_BACK_ID = "/hospMaterial/saveBackId", // 添加返回Id
    FIND_MATERIAL_BY_IDS = "/hospMaterial/idList", // 通过主键数组查询多条数据


    // 医院-诊疗价格
    DEL_HOSP_THERAPY = "/hospTherapy/del", // 移除
    PAGE_HOSP_THERAPY = "/hospTherapy/page", // 分页
    SAVE_HOSP_THERAPY = "/hospTherapy/save", // 添加
    UPD_HOSP_THERAPY = "/hospTherapy/upd", // 修改
    INFO_HOSP_THERAPY = "/hospTherapy/", // 单个详情

    // 医院-用户端查看信息
    USER_LIST_THERAPY = "/user/hosp/therapy/", //医院的诊疗价格
    USER_LIST_KNOW = "/user/hosp/know/", //医院的健康知识列表
    USER_LIST_KNOW_TYPE = "/user/hosp/knowType/", //医院的健康知识类型列表

    USER_LIST_DRUG = "/user/hosp/drug/", //医院的药品价格
    USER_PAGE_MATE = "/user/hosp/mate/page", //分页查询素材列表
    USER_INFO_MATE = "/user/hosp/mate/info/", //素材详情


    // 机构素材-评价
    PAGE_HOSP_MAT_EVA = "/hospMatEva/page", // 分页
    SAVE_HOSP_MAT_EVA = "/hospMatEva/save", // 添加
    DEL_HOSP_MAT_EVA = "/hospMatEva/del",//移除
    DISABLE_ENABLE_MAT_EVA = "/hospMatEva/disableEnable", // 禁用启用


    // 机构素材-点赞
    SAVE_HOSP_MAT_LIKE = "/hospMatLike/save", // 添加

    // 机构素材-评价回复
    SAVE_HOSP_MAT_REPLY = "/hospMatReply/save", // 添加

    // 机构素材-分享
    SAVE_HOSP_MAT_SHARE = "/hospMatShare/save", // 添加
}

export const enum TrackUrlEnum {
    // 工作路径-类型
    PAGE_TRACK_TYPE = "/trackType/page",// 分页
    INFO_TRACK_TYPE = "/trackType/",// 单个详情
    SAVE_TRACK_TYPE = "/trackType/save",// 添加
    UPD_TRACK_TYPE = "/trackType/upd",// 修改
    DEL_TRACK_TYPE = "/trackType/del",// 删除
    // 工作路径-用户操作
    SAVE_USER_TRACK = "/user/track/save", // 添加
    INFO_USER_TRACK = "/user/track/", // 详情
    UPD_USER_TRACK = "/user/track/upd", // 修改
    DEL_USER_TRACK = "/user/track/del", // 删除
    PAGE_USER_TRACK = "/user/track/page", // 分页查询
    STATISTICAL_USER_TRACK = "/user/track/statistical", // 统计
    TREE_USER_TRACK_TYPE = "/user/track/treeType", // 树形类型

    TREE_USER_DATE_GROUP_LIST ="/user/track/dateGroup/list" //日期分组查询列表

}

export const enum TaskUrlEnum {
    //任务模块-任务
    SAVE_TASK = "/task/save",//创建任务
    SAVE_RELEASE_TASK = "/task/saveAndRelease",//创建任务且发布任务
    EXECUTOR_TASK_LIST = "/task/exe/taskList/",// 获取为执行人的任务明细列表
    ARCHIVE_TASK = "/task/archive",// 任务归档-取消归档
    PERMISSIONS_LIST_TASK = "/task/permissions/list/",// 获取能够看到的计划列表
    TASK_PERFORM_TITLE_INFO = "/task/exe/taskTitlePerform/",// 根据任务code查询选择的任务信息


    UPD_TASK = "/task/upd",// 编辑任务
    PAGE_TASK = "/task/page",//分页查询任务
    INFO_TASK = "/task/",// 单个任务详情
    DEL_TASK = "/task/del", // 任务删除
    RELEASE_TASK = "/task/release", // 发布任务
    //任务模块-执行人
    REPLACE_MAIN_TASK_EXECUTOR = "/taskExecutor/replaceMain",//替换主要执行人
    ADD_COADJUTOR_TASK_EXECUTOR = "/taskExecutor/addCoadjutor",//添加协助者
    REMOVE_TASK_EXECUTOR = "/taskExecutor/remove",//协助人移除
    LIST_TASK_EXECUTOR = "/taskExecutor/list/",//查询协助人的列表
    EXECUTOR_BATCH = "/taskExecutor/executorBatch", //批量更新执行人和协助人
    ALTER_EXECUTOR_TASK = "/taskExecutor/alter",// alterExecutor

    // 任务模块-任务附件
    LIST_TASK_ACCESSORY = "/taskAccessory/list/",//任务附件列表
    SAVE_TASK_ACCESSORY = "/taskAccessory/save",//添加任务附件
    UPD_TASK_ACCESSORY = "/taskAccessory/upd",//编辑任务附件
    DEL_TASK_ACCESSORY = "/taskAccessory/del",//删除任务附件
    // 任务模块-执行情况
    PAGE_TASK_PERFORM = "/taskPerform/page",//分页查询
    TASK_PERFORM_INTERVAL = "/taskPerform/taskPerform/",//分页查询
    LIST_TASK_PERFORM_BY_TASK = "/taskPerform/taskPerform/task/",//根据taskId查询列表



    INFO_TASK_PERFORM = "/taskPerform/", //单个详情
    RECEIVE_TASK_PERFORM = "/taskPerform/receive", //任务领取
    RECEIVE_BATCH_TASK_PERFORM = "/taskPerform/receiveBatch", //任务领取
    TASK_WAIT_PERFORM_LIST = "/taskPerform/waitPerform", //等待执行的任务执行列表


    COMPLETE_TASK_PERFORM = "/taskPerform/complete", //任务完成
    GRADE_TASK_PERFORM = "/taskPerform/grade", // 任务打分
    ADJUST_TIME_TASK_PERFORM = "/taskPerform/adjustTime", // 任务时间调配

    // 任务操作记录
    TASK_RECORD_LIST = "/taskRecord/task/list/", //任务操作记录
    TASK_PERFORM_RECORD_LIST = "/taskRecord/taskPerform/list/", //任务执行情况操作记录

    // 任务 机构执行频率
    TASK_INTERVAL_PAGE = "/taskInterval/page", // 分页查询
    TASK_INTERVAL_GRADE = "/taskInterval/grade", // 任务打分
    TASK_INTERVAL_LIST_TASK = "/taskInterval/listByTaskId/", // 根据任务Id查询任务机构列表
    TASK_INTERVAL_LIST_SIMPLIFY = "/taskInterval/listSimplify/", // 任务计划的机构执行频率列表
    TASK_INTERVAL_INFO = "/taskInterval/info/", // 任务计划的机构执行频率列表

    // 公众号医生端任务信息
    DOCTOR_ITEM_INFO = "/doctor/task/item/info/",//项目详情
    DOCTOR_TASK_PAGE = "/doctor/task/page",//任务列表
    DOCTOR_TASK_INFO = "/doctor/task/task/info/",//任务详情
    DOCTOR_TASK_STATISTICAL = "/doctor/task/statistical/",//医生首页统计
    DOCTOR_TASK_WORKBENCH_STATISTICAL = "/doctor/task/workbenchStatistical",//医生工作台统计

}

/**
 * 百科知识
 */
export const enum CommonEncEnum {

    //百科知识
    ENC_PAGE = "/encyclopedia/page",//分页查询
    ENC_SAVE = "/encyclopedia/save",//添加
    ENC_UPD = "/encyclopedia/upd",//修改
    ENC_DEL = "/encyclopedia/del",//删除
    ENC_INFO = "/encyclopedia/",//单个详情
    //百科类型
    ENC_TYPE_PAGE = "/encyclopediaType/page",//分页查询
    ENC_TYPE_SAVE = "/encyclopediaType/save",//添加
    ENC_TYPE_UPD = "/encyclopediaType/upd",//修改
    ENC_TYPE_DEL = "/encyclopediaType/del",//删除
    ENC_TYPE_INFO = "/encyclopediaType/",//单个详情
    ENC_TYPE_TREE = "/encyclopediaType/list/tree",//树形
    //用户端百科相关
    USER_ENC_TYPE_LIST = "/user/enc/type/",//用户端查询百科类型
    USER_ENC_LIST = "/user/enc/list/enc/",//根据类型查询健康知识列表
    USER_ENC_INFO = "/user/enc/info/enc/",// 查询健康知识的想起


}

export const enum NoticeUrlEnum {
    NOTICE_PAGE = "/notice/page",
    NOTICE_SAVE = "/notice/save",
    NOTICE_UPD = "/notice/upd",
    NOTICE_DEL = "/notice/del",
    NOTICE_INFO = "/notice/",
    RELEASE_NOTICE = "/notice/releaseNotice",
    NOTICE_READ_PAGE = "/notice/noticeRead/page",


    USER_PAGE = "/user/notice/page",
    USER_INDEX_VIDEO = "/user/notice/index",
    USER_READ = "/user/notice/read",
    USER_ROBOT_NOTICE = "/user/notice/robotNotice",


    // 通知沟通记录
    NOTICE_COMMUNICATION_SAVE = "/noticeCommunication/save",
    NOTICE_COMMUNICATION_REPLY = "/noticeCommunication/reply",
    NOTICE_COMMUNICATION_DEL = "/noticeCommunication/del",
    NOTICE_COMMUNICATION_PAGE = "/noticeCommunication/page",
    NOTICE_COMMUNICATION_PAGE_GROUP = "/noticeCommunication/group/page",


    // 机器人消息模板
    DEL_ROBOT_MESSAGE_TEMPLATE = "/robotMessageTemplate/del", // 移除
    PAGE_ROBOT_MESSAGE_TEMPLATE = "/robotMessageTemplate/page", // 分页
    SAVE_ROBOT_MESSAGE_TEMPLATE = "/robotMessageTemplate/save", // 添加
    UPD_ROBOT_MESSAGE_TEMPLATE = "/robotMessageTemplate/upd", // 修改
    INFO_ROBOT_MESSAGE_TEMPLATE = "/robotMessageTemplate/", // 单个详情


    // 机器人消息
    DEL_ROBOT_MESSAGE = "/robotMessage/del", // 移除
    PAGE_ROBOT_MESSAGE = "/robotMessage/page", // 分页
    READ_LIST_MESSAGE = "/robotMessage/readList", // 多个已读
    INFO_ROBOT_MESSAGE = "/robotMessage/", // 单个详情


    ROBOT_SWITCH_OPERATE = "/robotSwitch/robotSwitch", // 操作 用户 机器人开关
    ROBOT_SWITCH_INFO_USER = "/robotSwitch//user/", // 获取用户的开关信息
    USER_PAGE_ROBOT_MESSAGE = "/robotMessage/user/page", // 用户端分页查询
    ROBOT_USER_INDEX_MESSAGE = "/robotMessage/index/message/", //机器人首页信息

    ROBOT_TODAY_CLOSE = "/robotMessage/todayClose", // 操作 用户 机器人开关


    // 机器人-引导信息
    DEL_ROBOT_GUIDE_MESSAGE = "/robotGuideMessage/del", // 移除
    PAGE_ROBOT_GUIDE_MESSAGE = "/robotGuideMessage/page", // 分页
    SAVE_ROBOT_GUIDE_MESSAGE = "/robotGuideMessage/save", // 添加
    UPD_ROBOT_GUIDE_MESSAGE = "/robotGuideMessage/upd", // 修改
    INFO_ROBOT_GUIDE_MESSAGE = "/robotGuideMessage/", // 单个详情

    MESSAGE_CODE_ROBOT_GUIDE_MESSAGE = "/robotGuideMessage/messageCode/", // 根据消息code查询机器人-引导信息


}

export const enum CommonBannerEnum {
    BANNER_PAGE = "/commonBanner/page",
    BANNER_ONE = "/commonBanner/",
    BANNER_SAVE = "/commonBanner/save",
    BANNER_UPDATE = "/commonBanner/upd",
    BANNER_DELETE = "/commonBanner/del",
}

/**
 * 字典
 */
export const enum CommonDictEnum {
    DICT_RELEASE = "/commonDict/release",
    DICT_RELEASE_CODE = "/commonDict/release/",
    DICT_DELETE = "/commonDict/delete",


    DICT_INFO = "/commonDict/info",
    DICT_LIST_CODE = "/commonDict/list-code",
    DICT_GET_DICT_VALUE = "/commonDict/get-dict-value",
    DICT_LIST = "/commonDict/list",
    DICT_LIST_VALUE = "/commonDict/list-value",
    DICT_SAVE_OR_UPDATE = "/commonDict/save-or-update"
}

/**
 * 文件管理
 */
export const enum CommonFileEnum {
    FILE_PAGE = "/commonFile/page",
    FILE_ONE = "/commonFile/",
    FILE_SAVE = "/commonFile/save",
    FILE_UPDATE = "/commonFile/upd",
    FILE_DELETE = "/commonFile/del",
}

/**
 * 媒体
 */
export const enum CommonMaterialEnum {
    MATERIAL_PAGE = "/commonMaterial/page",
    MATERIAL_ONE = "/commonMaterial/",
    MATERIAL_SAVE = "/commonMaterial/save",
    MATERIAL_UPDATE = "/commonMaterial/upd",
    MATERIAL_DELETE = "/commonMaterial/del",
}

/**
 * 设备管理
 */
export const enum CommonEquipmentEnum {
    EQUIPMENT_PAGE = "/commonEquipment/page",
    EQUIPMENT_ONE = "/commonEquipment/",
    EQUIPMENT_SAVE = "/commonEquipment/save",
    EQUIPMENT_UPDATE = "/commonEquipment/upd",
    EQUIPMENT_DELETE = "/commonEquipment/del",
}

export const enum CommonEquipmentOrgUrlEnum {
    // common模块-机构-设备管理
    DEL_COMMON_EQUIPMENT_ORG = "/commonEquipmentOrg/del", // 移除
    PAGE_COMMON_EQUIPMENT_ORG = "/commonEquipmentOrg/page", // 分页
    SAVE_COMMON_EQUIPMENT_ORG = "/commonEquipmentOrg/save", // 添加
    UPD_COMMON_EQUIPMENT_ORG = "/commonEquipmentOrg/upd", // 修改
    INFO_COMMON_EQUIPMENT_ORG = "/commonEquipmentOrg/", // 单个详情
}

export const enum CommonMenuUrlEnum {
    // common-功能按钮
    DEL_COMMON_MENU = "/commonMenu/del", // 移除
    PAGE_COMMON_MENU = "/commonMenu/page", // 分页
    SAVE_COMMON_MENU = "/commonMenu/save", // 添加
    UPD_COMMON_MENU = "/commonMenu/upd", // 修改
    INFO_COMMON_MENU = "/commonMenu/", // 单个详情
}

/**
 * 上传图片
 */
export const enum CommonUploadFileEnum {
    UPLOAD_FILE = "/file/upload"
}

/**
 * banner 相关code
 */

export const enum commonBannerModuleEnum {
    BANNER_MODULE_PAGE = "/commonBannerModule/page",
    BANNER_MODULE_ONE = "/commonBannerModule/",
    BANNER_MODULE_SAVE = "/commonBannerModule/save",
    BANNER_MODULE_UPDATE = "/commonBannerModule/upd",
    BANNER_MODULE_DELETE = "/commonBannerModule/del",

    BANNER_MODULE_LIST_BY_ORG_ID = "/commonBannerModule/list/",

}

/**
 * banner 相关code
 */

export const enum commonFaqEnum {
    FAQ_PAGE = "/commonFaq/page",
    FAQ_ONE = "/commonFaq/",
    FAQ_SAVE = "/commonFaq/save",
    FAQ_UPDATE = "/commonFaq/upd",
    FAQ_DELETE = "/commonFaq/del",
}

export const enum CommonMoodUrlEnum {
    MOOD_TYPE_QUERY_LIST = "/mood/type/query/list",
    MOOD_TYPE_QUERY_BY_ID = "/mood/type/queryById/",
    MOOD_TYPE_SAVE_ONE = "/mood/type/saveOne",
    MOOD_TYPE_UPDATE_BY_ID = "/mood/type/updateById",
}

export const enum CommonRecordMenuUrlEnum {
    RECORD_MENU_QUERY_LIST = "/record/menu/queryList",
    RECORD_MENU_QUERY_BY_ID = "/record/menu/queryById/",
    RECORD_MENU_QUERY_BY_PARENT_CODE = "/record/menu/queryByParentCode/",
    RECORD_MENU_SAVE_ONE = "/record/menu/saveOne",
    RECORD_MENU_UPDATE_BY_ID = "/record/menu/updateById",
}

export const enum CommonFoodUrlEnum {

    FOOD_TYPE_QUERY_LIST = "/food/type/queryList",
    FOOD_TYPE_QUERY_BY_ID = "/food/type/queryById/",
    FOOD_TYPE_SAVE_ONE = "/food/type/saveOne",
    FOOD_TYPE_UPDATE_BY_ID = "/food/type/updateById",

    FOOD_DATA_QUERY_LIST = "/food/data/queryList",
    FOOD_DATA_QUERY_BY_ID = "/food/data/queryById/",
    FOOD_DATA_SAVE_FOOD_DATA_SPECS = "/food/data/saveFoodDataAndSpecs",
    FOOD_DATA_UPDATE_BY_ID = "/food/data/updateById",

    FOOD_SPECS_QUERY_BY_DATA_ID = "/food/specs/queryByDataId",
    FOOD_SPECS_DELETE_BY_ID = "/food/specs/deleteById/",
    FOOD_SPECS_SAVE_LIST = "/food/specs/saveList",

}

export const enum CommonMotionUrlEnum {

    MOTION_TYPE_QUERY_LIST = "/motion/type/queryList",
    MOTION_TYPE_QUERY_BY_ID = "/motion/type/queryById/",
    MOTION_TYPE_SAVE_ONE = "/motion/type/saveOne",
    MOTION_TYPE_UPDATE_BY_ID = "/motion/type/updateById",

    MOTION_DATA_QUERY_LIST = "/motion/data/queryList",
    MOTION_DATA_QUERY_BY_ID = "/motion/data/queryById/",
    MOTION_DATA_QUERY_BY_IDS = "/motion/data/queryByIds",
    MOTION_DATA_SAVE_MOTION_DATA_SPECS = "/motion/data/saveMotionDataAndSpecs",
    MOTION_DATA_UPDATE_BY_ID = "/motion/data/updateById",

    MOTION_SPECS_QUERY_BY_DATA_ID = "/motion/specs/queryByDataId",
    MOTION_SPECS_DELETE_BY_ID = "/motion/specs/deleteById/",
    MOTION_SPECS_SAVE_LIST = "/motion/specs/saveList",
}

export const enum CommonDrugEnum {
    DRUG_INFO_SELECT_ONE = "/commonDrugInfo/",//获取药品信息
    DRUG_INFO_QUERY_LIST = "/commonDrugInfo/queryList",//分页查询列表
    DRUG_INFO_SAVE = "/commonDrugInfo/save",//保存药品信息
    DRUG_INFO_UPD = "/commonDrugInfo/upd",//修改药品信息
    DRUG_INFO_DEL = "/commonDrugInfo/del",//删除药品信息
}

export const enum CommonSupplierEnum {
    SUPPLIER_SELECT_ONE = "/commonSupplier/",//获取供应商信息
    SUPPLIER_QUERY_LIST = "/commonSupplier/queryList",//分页查询列表
    SUPPLIER_SAVE = "/commonSupplier/save",//保存供应商信息
    SUPPLIER_UPD = "/commonSupplier/upd",//修改供应商信息
    SUPPLIER_DEL = "/commonSupplier/del",//删除供应商信息
}

//诊疗价格
export const enum BaseDiag {
    DIAG_PAGE = "/commonBaseDiag/page",//分页查询
    DIAG_INFO = "/commonBaseDiag/",//详情
    DIAG_SAVE = "/commonBaseDiag/save",//保存
    DIAG_UPD = "/commonBaseDiag/upd",//修改
    DIAG_DEL = "/commonBaseDiag/del",//删除
}

//药品价格
export const enum BaseDrug {
    DRUG_PAGE = "/commonBaseDrug/page",//分页查询
    DRUG_INFO = "/commonBaseDrug/",//详情
    DRUG_SAVE = "/commonBaseDrug/save",//保存
    DRUG_UPD = "/commonBaseDrug/upd",//修改
    DRUG_DEL = "/commonBaseDrug/del",//删除
}

//健康知识阅读
export const enum KnowRead {
    KNOW_READ_PAGE = "/commonKnowRead/page",//分页查询
    KNOW_READ_INFO = "/commonKnowRead/",//详情
    KNOW_READ_SAVE = "/commonKnowRead/save",//保存
}

export const enum CommonDiseaseUrlEnum {
    PAGE_DISEASE = "/disease/page", //分页
    SAVE_DISEASE = "/disease/save", // 添加
    UPD_DISEASE = "/disease/upd",   // 修改
    REMOVE_DISEASE = "/disease/del",   // 删除
    INFO_DISEASE = "/disease/",     //单个详情
    FIND_ALL_DISEASE = "/disease/findAll/list" // 查询所有的疾病列表
}

//医生添加处方
export const enum UsedrugEnum {
    PRESCRIPTION_SELECT_ONE = "/usedrugPrescription/", //获取处方详情
    PRESCRIPTION_PAGE = "/usedrugPrescription/page",//分页查询
    PRESCRIPTION_SAVE = "/usedrugPrescription/save",//处方保存
    PRESCRIPTION_STATUS = "/usedrugPrescription/updateStatus",//修改处方状态
    PRESCRIPTION_DEL = "/usedrugPrescription/del",//删除处方
    HELP_DRUG_SAVE = "/usedrugHelpDrug/save",//医生代领取药品
    PLAN_SAVE = "/usedrugPrescriptionPlan/save",//保存处方计划
    PLAN_SET_PLAN = "/usedrugPrescriptionPlan/setPlan",//设置计划生效时间
    PLAN_DRUG_lIST = "/usedrugPrescriptionPlan/drugList",//查看计划药品信息
    NOTICE_RECEIVE = "/usedrugReceiveNotice/save",//通知用户用药
    RECEIVE = "/usedrugReceive/save",//居民领取药品
    PLAN_SURPLUS_DRUG = "/usedrugPrescriptionPlan/planSurplusDrug",//计划内多余的药品数量（未吃和少吃产生）
    RESCRIPTION_ADD_DAY = '/usedrugPrescriptionAdd/save',//处方延长天数
    USEDRUG_STATE = '/usedrugPrescription/usedrugState',//判断居民是否有服药记录
}

//居民吃药记录
export const enum UserPrescription {
    USER_EAT_STATUS = "/UserPrescription/userEatStatus",//居民服药状态
    USER_DRUG_LIST = "/UserPrescription/userDrugList",//居民查看当天吃药详情
    USERDRUG_STATUS = "/UserPrescription/userDrugStatus",//获取居民当日服药早中晚状态
    USERDRUG_LINE = "/UserPrescription/userDrugLine",//居民当日服药详情
    USERDRUG_EAT = "/UserPrescription/userDrugEat",//居民吃药
    DRUG_PLAN = "/UserPrescription/drugPlan",//居民服药计划
    USERDRUG_DRUG_SURPLUS = "/UserPrescription/drugSurplus",//药品余量查询
    DRUG_INFO = "/UserPrescription/drugInfo",//药品说明
    HAND_BACK = "/UserPrescription/handBack",//居民查看医生处理反馈
}

export const enum Remind {
    REMIND_PAGE = "/usedrugRemind/page",//分页查询处方服药记录
    REMIND_URGE = "/usedrugRemind/urgeRemind",//督促居民服药
    REMIND_STATUS = "/usedrugRemind/remindStatus",//居民时间段内正常、异常服药状态
    EAT_STATUS = "/usedrugRemind/prescriptionEatStatus",//医生查看居民处方吃药状态
    EAT_EAT_DRUG = "/usedrugRemind/dayEatDrugLine",//医生查看居民当天吃药详情
}

//不良反应
export const enum ReactionEnum {
    REACTION_PAGE = "/usedrugReaction/page",//不良反应分页查询
    REACTION_SELECT_ONE = "/usedrugReaction/",//不良反应详情
    REACTION_SAVE = "/usedrugReaction/save",//添加
    REACTION_HANDLE = "/usedrugReactionHandle/save",//不良反应回复
    REACTION_SYMPTOM = "/usedrugReaction/reactionSymptom",//药品不良反应症状
}

//分享
export const enum Share {
    SHARE_SAVE = "/usedrugShare/save",//新增分享
    SHARE_LIST = "/usedrugShare/shareList",//获取居民分享人员列表(居民分享给哪些人)
    SHARE_USER_LIST = "/usedrugShare/shareUserList",//可帮居民操作的分享人员列表(哪些人分享给我)
    SHARE_UPDATE_STATUS = "/usedrugShare/updateStatus",//分享状态禁用
    SHARE_DEL = "/usedrugShare/del",//分享禁用
    SHARE_APPLY_LIST = "/usedrugShare/shareApplyList" //居民待同意申请
}

//药品汇总
export const enum usedrugIndex {
    INDEX_TODOLIST = "/Index/toDoList",//获取居民代办事项
    INDEX_DRUGUSE_LIST = "/Index/drugUseList",//统计管理人数和今日服药情况
}

//药箱设备管理
export const enum usedrugDevice {
    DEVICE_INFO = "/usedrugDevice/deviceInfo",//根据居民ID查询居民设备
}

//居民查看服药信息
export const enum userDrug {
    DRUG_PLAN = "/usedrugPrescriptionPlan/drugPlan",//获取居民服药计划
    USER_REACTION = "/usedrugReaction/userReaction",//居民不良反应列表
    DRUG_REMIND = "/usedrugRemind/drugRemind",//居民服药记录
    DRUG_URGE = "/usedrugRemindUrge/drugUrge",//居民服药督促记录
}

/**
 * 医生处方管理
 */
export const enum doctorPrescription{
    HAND_NUM_LIST="/DoctorPrescription/DocktorHandNumList",//获取医生代办事项数量
    TO_DO_LIST="/DoctorPrescription/docktorToDoList",//医生代办事项
    USERDRUG_HAND="/DoctorPrescription/usedrugHand",//未按医嘱服药处理
    URGE_REMIND="/DoctorPrescription/urgeRemind",//督促服药
    PLAN_REMIND="/DoctorPrescription/planRemind",//居民服药到期提醒
    SUM_USEDRUG="/DoctorPrescription/sumUsedrug",//汇总统计服药人员
    PENDING="/DoctorPrescription/doctorPending",//医生待处理列表 （机器人列表）
}

export const enum CommonEducationMaterialUrlEnum {
    EDUCATION_MATERIAL_QUERY_LIST = "/educationMaterial/queryList",
    EDUCATION_MATERIAL_QUERY_BY_ID = "/educationMaterial/queryById/",
    EDUCATION_MATERIAL_QUERY_BY_IDS = "/educationMaterial/queryByIds",
    EDUCATION_MATERIAL_SAVE_ONE = "/educationMaterial/saveOne",
    EDUCATION_MATERIAL_UPDATE_BY_ID = "/educationMaterial/updateById",
}

export const enum RecordUrlEnum {
    RECORD_SAVE_DIET = "/record/saveRecordDiet",
    RECORD_UPDATE_DIET = "/record/updateRecordDiet",
    RECORD_SAVE_MOTION = "/record/saveRecordMotion",
    RECORD_UPDATE_MOTION = "/record/updateRecordMotion",
    RECORD_SAVE_MOOD = "/record/saveRecordMood",
    RECORD_UPDATE_MOOD = "/record/updateRecordMood",
    RECORD_SAVE_SLEEP = "/record/saveRecordSleep",
    RECORD_UPDATE_SLEEP = "/record/updateRecordSleep",
    RECORD_SAVE_BP = "/record/saveRecordBp",
    RECORD_UPDATE_BP = "/record/updateRecordBp",
    RECORD_SAVE_GLU = "/record/saveRecordGlu",
    RECORD_UPDATE_GLU = "/record/updateRecordGlu",
    RECORD_SAVE_PHYSIQUE = "/record/saveRecordPhysique",
    RECORD_UPDATE_PHYSIQUE = "/record/updateRecordPhysique",
    RECORD_SAVE_TEMPERATURE = "/record/saveRecordTemperature",
    RECORD_UPDATE_TEMPERATURE = "/record/updateRecordTemperature",

    QUERY_ABNORMAL_NO_HANDLE_RECORD_LOG = "/record/queryAbnormalNoHandleRecordLog",
    QUERY_SIGN_STATUS_BY_USER_ID_AND_TIME = "/record/querySignStatusByUserIdAndTime",
    RECORD_QUERY_LIST = "/record/queryList",
    RECORD_QUERY_BY_ID = "/record/queryById/",
    RECORD_QUERY_LIST_BY_TIME = "/record/queryListByTime",
    RECORD_QUERY_LIST_BY_TIME_TYPE = "/record/queryListByTimeType",
    RECORD_DELETE_BY_ID = "/record/deleteById/",

    RECORD_STATISTICS = "/record/statistics",
    RECORD_QUERY_USER_RECORD_LIST = "/record/queryUserRecordList",
    RECORD_QUERY_USER_NEW_RECORD = "/record/queryUserNewRecord/",
    ACTIVE_USER_TRENDS = "/record/activeUserTrends",
    ABNORMAL_RECORD_TRENDS = "/record/abnormalRecordTrends",
    DOCTOR_WORK_BENCH_CENSUS = "/record/doctorWorkBenchCensus", //医生端工作台统计
    DOCTOR_WORK_BENCH_NO_HANDLE_CENSUS = "/record/doctorWorkBenchNoHandleCensus", //医生端指定时间段每天的未处理记录统计

    RECORD_DELETE_RECORD_TEMPERATURE_BY_ID = "/record/deleteRecordTemperatureById/",
    RECORD_DELETE_RECORD_PHYSIQUE_BY_ID = "/record/deleteRecordPhysiqueById/",
    RECORD_DELETE_RECORD_GLU_BY_ID = "/record/deleteRecordGluById/",
    RECORD_DELETE_RECORD_BP_BY_ID = "/record/deleteRecordBpById/",
    RECORD_DELETE_RECORD_SLEEP_BY_ID = "/record/deleteRecordSleepById/",
    RECORD_DELETE_RECORD_MOOD_BY_ID = "/record/deleteRecordMoodById/",
    RECORD_DELETE_RECORD_MOTION_BY_ID = "/record/deleteRecordMotionById/",
    RECORD_DELETE_RECORD_DIET_BY_ID = "/record/deleteRecordDietById/",

    //异常记录沟通
    DEL_RECORD_COMMUNICATE = "/recordCommunicate/del", // 移除
    PAGE_RECORD_COMMUNICATE = "/recordCommunicate/page", // 分页
    SAVE_RECORD_COMMUNICATE = "/recordCommunicate/save", // 添加
    UPD_RECORD_COMMUNICATE = "/recordCommunicate/upd", // 修改
    INFO_RECORD_COMMUNICATE = "/recordCommunicate/", // 单个详情
    QUERY_HANDLE_RECORD_LOG = "/recordCommunicate/queryHandleRecordLog"//分页查询异常处理记录
}

export const enum AuthEnum {
    TOKEN = "/oauth/token",
    REGISTERED = "/oauth/registered",
    BIND = "/oauth/user/bind",
    UPDATE_PASSWORD = "/oauth/updatePassword",
    UPDATE_PASSWORD_2 = "/oauth/updatePasswordByCode",
    SMS_CODE = "/auth/sms-code",
    LOGOUT = "/auth/logout",
}

export const enum UserEnum {

    USER_PAGE = "/user/page",
    USER_RESET = "/user/reset",
    USER_STATUS = "/user/status",
    USER_ICON = "/user/icon",


    GET_USER = "/user/getUser", //获取用户信息
    GET_USER_BY_USER_ID = "/user/getUserByUserId",  //通过userId获取用户信息
    GET_USER_BY_ID_CARD = "/user/getUserByIdCard",  //通过idCard获取用户信息
    GET_USER_BY_ACCOUNT = "/user/getUserByAccount",  //通过账号获取用户信息
    GET_USER_SEARCH = "/user/search",  //通过账号获取用户信息
    GET_USER_IDS = "/user/userIds",  //通过userIds获取用户信息

    USER_ARC_PAGE = "/userArc/page",
    USER_ARC_ID = "/userArc/",
    USER_ARC_USER_ID = "/userArc/userId",
    USER_ARC_UPD = "/userArc/upd",
    USER_ARC_USER_ID_UPD = "/userArc/userId/upd",
    USER_ARC_SAVE = "/userArc/save",
    USER_ARC_STATUS = "/userArc/status/",

    USER_CARD_PAGE = "/userCard/page",
    USER_CARD_GET_LIST_BY_USER_ID = "/userCard/getUserCardListByUserId",
    USER_CARD_ID = "/userCard/",
    USER_CARD_UPD = "/userCard/upd",
    USER_CARD_SAVE = "/userCard/save",
    USER_CARD_DEL_ID = "/userCard/del/",
    USER_CARD_ID_CARD = "/userCard/idCard", //身份证识别 url
    USER_CARD_ID_CARD_BASE64 = "/userCard/idCardBase64", //身份证识别 base64

    USER_CONTACT_PAGE = "/userContact/page",
    USER_CONTACT_GET_LIST_BY_USER_ID = "/userContact/getUserContactListByUserId",
    USER_CONTACT_ID = "/userContact/",
    USER_CONTACT_UPD = "/userContact/upd",
    USER_CONTACT_SAVE = "/userContact/save",
    USER_CONTACT_DEL_ID = "/userContact/del/",

    USER_DISEASE_KEY = "/userDisease/getUserKeyDisease",
    USER_DISEASE_PAGE = "/userDisease/page",
    USER_DISEASE_GET_LIST_BY_USER_ID = "/userDisease/getUserDiseaseListByUserId",
    USER_DISEASE_ID = "/userDisease/",
    USER_DISEASE_UPD = "/userDisease/upd",
    USER_DISEASE_SAVE = "/userDisease/save",
    USER_DISEASE_DEL_ID = "/userDisease/del/",

    USER_FAMILY_HIS_PAGE = "/userFamilyHis/page",
    USER_FAMILY_HIS_GET_LIST_BY_USER_ID = "/userFamilyHis/getUserAddressListByUserId",
    USER_FAMILY_HIS_ID = "/userFamilyHis/",
    USER_FAMILY_HIS_UPD = "/userFamilyHis/upd",
    USER_FAMILY_HIS_SAVE = "/userFamilyHis/save",
    USER_FAMILY_HIS_DEL_ID = "/userFamilyHis/del/",

    USER_LIVE_ENV_GET_LIST_BY_USER_ID = "/userLiveEnv/getUserAddressListByUserId",
    USER_LIVE_ENV_ID = "/userLiveEnv/",
    USER_LIVE_ENV_UPD = "/userLiveEnv/upd",
    USER_LIVE_ENV_SAVE = "/userLiveEnv/save",
    USER_LIVE_ENV_DEL_ID = "/userLiveEnv/del/",

    USER_SURGERY_HIST_PAGE = "/userSurgeryHist/page",
    USER_SURGERY_HIST_GET_LIST_BY_USER_ID = "/userSurgeryHist/getUserSurgeryHistListByUserId",
    USER_SURGERY_HIST_ID = "/userSurgeryHist/",
    USER_SURGERY_HIST_UPD = "/userSurgeryHist/upd",
    USER_SURGERY_HIST_SAVE = "/userSurgeryHist/save",
    USER_SURGERY_HIST_DEL_ID = "/userSurgeryHist/del/",

    USER_ARC_LOG_PAGE = "/user-arc-log/page",
    USER_ARC_LOG_ID = "/user-arc-log/",
    USER_ARC_LOG_LIST = "/user-arc-log/list",

    //不同等级不同事件健康币--配置
    INTEGRAL_CONFIG_ID="/integralConfig/",//通过主键查询单条数据
    INTEGRAL_CONFIG_PAGE="/integralConfig/page",//分页查询
    INTEGRAL_CONFIG_SAVE="/integralConfig/save",
    INTEGRAL_CONFIG_UPD="/integralConfig/upd",
    INTEGRAL_CONFIG_DEL="/integralConfig/del",
    //健康币降级配置
    INTEGRAL_DEMOTION_ID="/integralDemotion/",
    INTEGRAL_DEMOTION_SAVE="/integralDemotion/save",
    INTEGRAL_DEMOTION_UPD="/integralDemotion/upd",
    INTEGRAL_DEMOTION_DEL="/integralDemotion/del",
    INTEGRAL_DEMOTION_PAGE="/integralDemotion/page",
    //健康币记录
    INTEGRAL_LOG_SAVE="/integralLog/save",
    INTEGRAL_LOG_PAGE="/integralLog/page",
    INTEGRAL_LOG_DAY="/integralLog/getDayIntegral",//当天获取健康币
    //健康币等级配置
    INTEGRAL_LIST_ID="/integralGrade/getList",//获取所有健康币等级
    INTEGRAL_NEXTCYCLE_ID="/integralGrade/nextCycle",//升级还差周期数
    INTEGRAL_GRADE_ID="/integralGrade/",
    INTEGRAL_GRADE_SAVE="/integralGrade/save",
    INTEGRAL_GRADE_UPD="/integralGrade/upd",
    INTEGRAL_GRADE_DEL="/integralGrade/del",
    INTEGRAL_GRADE_PAGE="/integralGrade/page",
    INTEGRAL_GRADE_ONE="/userIntegral/selectOne",//当前用户等级
}


export const enum SystemEnum {

    /**********************区域*********************************/
    AREA_SELECT_ONE = "/sys-areas",
    AREA_CODE = "/sys-areas/areaCode",
    AREA_LIST = "/sys-areas/areaCode/nodeList",
    LIST_AREA_BY_PARENT_CODE = "/sys-areas/area/",
    LIST_AREA_BY_CASCADE = "/sys-areas/areaCode/cascade",

    /**********************客户端*********************************/
    CLIENT_LIST = "/sys-client/list",
    CLIENT_SAVE_UPDATE = "/sys-client/save-or-update",
    CLIENT_INFO = "/sys-client/info",
    CLIENT_DELETE = "/sys-client/delete",
    CLIENT_STATUS = "/sys-client/status",

    /**********************机构*********************************/
    ORG_INFO_ID = "/sys-org",
    ORG_INFO = "/sys-org/areaCode",
    ORG_SAVE = "/sys-org/save",
    ORG_UPD = "/sys-org/upd",
    ORG_DEL = "/sys-org/del",
    ORG_AREA_CODE = "/sys-org/areaCode",
    ORG_AREA_PAGE_CODE = "/sys-org/page/areaCode",
    ORG_PATH = "/sys-org/path",
    ORG_PAGE_PATH = "/sys-org/page/path",
    ORG_TREE_AREA_CODE = "/sys-org/tree/areaCode",
    ORG_TREE_PATH = "/sys-org/tree/path",
    ORG_GET_USER_ORG_LIST = "/sys-org/user/listInfo",


    OEG_DEPT_ID = "/sys-org-dept",
    OEG_DEPT_LIST = "/sys-org-dept/getDeptList",
    OEG_DEPT_ORG_LIST = "/sys-org-dept/getList",
    OEG_DEPT_SAVE_UPDATE = "/sys-org-dept/saveOrUpdate",
    OEG_DEPT_DEL = "/sys-org-dept/del",

    OEG_DEPT_TEAM_PAGE = "/sys-org-dept-team/page",
    OEG_DEPT_TEAM_DEL = "/sys-org-dept-team/del",
    OEG_DEPT_TEAM_SAVE_UPDATE = "/sys-org-dept-team/saveOrUpdate",
    OEG_DEPT_TEAM_LIST = "/sys-org-dept-team/list",

    OEG_DEPT_USER_SAVE = "/sys-org-dept-user/save",
    OEG_DEPT_USER_UPDATE = "/sys-org-dept-user/update",
    OEG_DEPT_USER_DEL = "/sys-org-dept-user/del",
    OEG_DEPT_USER_DEPT_PAGE = "/sys-org-dept-user/deptPage",
    OEG_DEPT_USER_DEPT_TEAM_PAGE = "/sys-org-dept-user/deptTeamPage",
    OEG_DEPT_USER_DEPT_LIST = "/sys-org-dept-user/deptList",
    OEG_DEPT_USER_DEPT_TEAM_LIST = "/sys-org-dept-user/teamList",


    ORG_ROLE_LIST = "/sys-org-role/list",
    ORG_ROLE_SAVE_UPDATE = "/sys-org-role/saveOrUpdate",
    ORG_ROLE_PAGE = "/sys-org-role/page",
    ORG_ROLE_DEL = "/sys-org-role/del",
    ORG_ROLE_PERMISSION = "/getPermission",

    CONFIG_ROLE_LIST = "/sys-org-role-config/list",
    CONFIG_ROLE_SAVE = "/sys-org-role-config/save",

    SYS_DEL_CACHE = "/sys/del/cache",


    list = "/list",

    ORG_ROLE_USER_LIST_USER_ID = "/sys-org-user/user/list",
    ORG_ROLE_USER_LIST_ROLE = "/sys-org-user/user/role/list",
    ORG_ROLE_USER_LIST_USER = "/sys-org-user/user/role/userIdList",

    ORG_ROLE_USER_LIST_ROLE_PAGE = "/sys-org-user/user/role/list/page",
    ORG_ROLE_USER_LIST_USER_PAGE = "/sys-org-user/user/role/userIdList/page",

    ORG_ROLE_KEY_USER_LIST_ROLE_PAGE = "/sys-org-user/user/role/key/list/page",
    ORG_ROLE_KEY_USER_LIST_USER_PAGE = "/sys-org-user/user/role/key/userIdList/page",

    ORG_ARC_MOVE = "/sys-org-user/move",
    ORG_ARC_GET_USER_ID = "/sys-org-user/getOrgByUser",

    ORG_ROLE_USER_PAGE = "/sys-org-user/page",
    ORG_ROLE_USER_ID = "/sys-org-user",
    ORG_ROLE_USER_SAVE = "/sys-org-user/save",
    ORG_ROLE_USER_UPDATE = "/sys-org-user/update",
    ORG_ROLE_USER_UPDATE_KEY = "/sys-org-user/update/keyFocus",
    ORG_ROLE_USER_DEL = "/sys-org-user/del",
    ORG_ROLE_USER_COUNT = "/sys-org-user/getCountByOrgId",
    ORG_ROLE_USER_USER_IDS = "/sys-org-user/userIds",
    ORG_ROLE_USER_ROLE_USER_IDS = "/sys-org-user/role/userIds",
    ORG_ROLE_USER_PATH = "/sys-org-user/user/path",
    ORG_ROLE_USER_PATH_PAGE = "/sys-org-user/page/user/path",


    MENU_LIST = "/sys-menu/pageList",
    MENU_ASYNC_LIST = "/sys-menu/asyncList",
    MENU_SAVE = "/sys-menu/saveOrUpdate",
    MENU_INFO = "/sys-menu/info",
    MENU_DELETE = "/sys-menu/delete",
    MENU_ROUTES_LIST = "/sys--role-menu/routes",
    MENU_ROUTES_MENU_LIST = "/sys--role-menu/menu/routes",
    MENU_ROUTES_MENU_BUTTON_LIST = "/sys--role-menu/menu/routes/button",
    MENU_ROUTES_ROLE_ADD = "/sys--role-menu/role/menu/add",
    MENU_ROUTES_ROLE_DEL = "/sys--role-menu/role/menu/del",
    MENU_ROUTES_LOGIN = "/sys--role-menu/role/menu/save"
}

export const enum FitmentModuleOrgUrlEnum {
    // 机构装修--机构--页面（预览/草稿）
    DEL_FITMENT_MODULE_ORG = "/fitmentModuleOrg/del", // 移除
    PAGE_FITMENT_MODULE_ORG = "/fitmentModuleOrg/page", // 分页
    // SAVE_FITMENT_MODULE_ORG = "/fitmentModuleOrg/save", // 添加
    UPD_FITMENT_MODULE_ORG = "/fitmentModuleOrg/upd", // 修改
    INFO_FITMENT_MODULE_ORG = "/fitmentModuleOrg/", // 单个详情
    ISSUE_FITMENT_MODULE_ORG = "/fitmentModuleOrg/issue/", // 发布
    CHANGE_DEFAULT_MODULE_ORG = "/fitmentModuleOrg/change/default/", // 恢复默认背景

}

export const enum FitmentModulePageUrlEnum {
    // 机构装修--模板--页面
    DEL_FITMENT_MODULE_PAGE = "/fitmentModulePage/del", // 移除
    PAGE_FITMENT_MODULE_PAGE = "/fitmentModulePage/page", // 分页
    SAVE_FITMENT_MODULE_PAGE = "/fitmentModulePage/save", // 添加
    UPD_FITMENT_MODULE_PAGE = "/fitmentModulePage/upd", // 修改
    INFO_FITMENT_MODULE_PAGE = "/fitmentModulePage/", // 单个详情
    USE_FITMENT_MODULE_PAGE = "/fitmentModulePage/use", // 应用模板

}

export const enum FitmentModuleReleaseUrlEnum {
    // 机构装修--正式发布版本
    PAGE_FITMENT_MODULE_RELEASE = "/fitmentModuleRelease/page", // 分页
    INFO_FITMENT_MODULE_RELEASE = "/fitmentModuleRelease/", // 单个详情
    SELECT_FITMENT_MODULE_RELEASE = "/fitmentModuleRelease/select/one", // 通过机构id和科室查询单条数据
    RELEASEORG_FITMENT_MODULE_RELEASE = "/fitmentModuleRelease/org/list",
}

export const enum FitmentModuleUrlEnum {
    // 机构装修--模板
    DEL_FITMENT_MODULE = "/fitmentModule/del", // 移除
    PAGE_FITMENT_MODULE = "/fitmentModule/page", // 分页
    SAVE_FITMENT_MODULE = "/fitmentModule/save", // 添加
    UPD_FITMENT_MODULE = "/fitmentModule/upd", // 修改
    INFO_FITMENT_MODULE = "/fitmentModule/", // 单个详情
}

export const enum FitmentPluginUrlEnum {
    // 机构装修--组件模块
    DEL_FITMENT_PLUGIN = "/fitmentPlugin/del", // 移除
    PAGE_FITMENT_PLUGIN = "/fitmentPlugin/page", // 分页
    SAVE_FITMENT_PLUGIN = "/fitmentPlugin/save", // 添加
    UPD_FITMENT_PLUGIN = "/fitmentPlugin/upd", // 修改
    INFO_FITMENT_PLUGIN = "/fitmentPlugin/", // 单个详情
}

export const enum FitmentContentUrlEnum {
    // 机构装修--内容展示页
    DEL_FITMENT_CONTENT = "/fitmentContent/del", // 移除
    PAGE_FITMENT_CONTENT = "/fitmentContent/page", // 分页
    SAVE_FITMENT_CONTENT = "/fitmentContent/saveOrUpdate", // 添加
    UPD_FITMENT_CONTENT = "/fitmentContent/upd", // 修改
    INFO_FITMENT_CONTENT = "/fitmentContent/", // 单个详情
}

export const enum FitmentModuleBannerUrlEnum {
    // 机构装修--机构--页面--banner
    DEL_FITMENT_MODULE_BANNER = "/fitmentModuleBanner/del", // 移除
    PAGE_FITMENT_MODULE_BANNER = "/fitmentModuleBanner/page", // 分页
    SAVE_FITMENT_MODULE_BANNER = "/fitmentModuleBanner/save", // 添加
    UPD_FITMENT_MODULE_BANNER = "/fitmentModuleBanner/upd", // 修改
    INFO_FITMENT_MODULE_BANNER = "/fitmentModuleBanner/", // 单个详情
}

export const enum SatisfactionUrlEnum {
    // satisfaction-热词组
    DEL_SATISFACTION_HOT_PHRASES = "/satisfactionHotPhrases/del", // 移除
    DEL_SATISFACTION_HOT_PHRASES_BY_ID = "/satisfactionHotPhrases/del/", // 移除
    PAGE_SATISFACTION_HOT_PHRASES = "/satisfactionHotPhrases/page", // 分页
    SAVE_SATISFACTION_HOT_PHRASES = "/satisfactionHotPhrases/save", // 添加
    UPD_SATISFACTION_HOT_PHRASES = "/satisfactionHotPhrases/upd", // 修改
    INFO_SATISFACTION_HOT_PHRASES = "/satisfactionHotPhrases/", // 单个详情

    // satisfaction-热词
    DEL_SATISFACTION_HOT_WORDS = "/satisfactionHotWords/del", // 移除
    PAGE_SATISFACTION_HOT_WORDS = "/satisfactionHotWords/page", // 分页
    SAVE_SATISFACTION_HOT_WORDS = "/satisfactionHotWords/save", // 添加
    UPD_SATISFACTION_HOT_WORDS = "/satisfactionHotWords/upd", // 修改
    INFO_SATISFACTION_HOT_WORDS = "/satisfactionHotWords/", // 单个详情

    // satisfaction-满意度调查
    DEL_SATISFACTION = "/satisfaction/del", // 移除
    PAGE_SATISFACTION = "/satisfaction/page", // 分页
    SAVE_SATISFACTION = "/satisfaction/save", // 添加
    UPD_SATISFACTION = "/satisfaction/upd", // 修改
    INFO_SATISFACTION = "/satisfaction/", // 单个详情
    QUERY_PAGE_SATISFACTION_AND_DETAILS = "/satisfaction/queryPageSatisfactionAndDetails",
    QUERY_EDU_SATISFACTION_COUNT_BY_ORG_ID = "/satisfaction/queryEduSatisfactionCountByOrgId/",

    // satisfaction-满意度调查详情
    DEL_SATISFACTION_DETAILS = "/satisfactionDetails/del", // 移除
    PAGE_SATISFACTION_DETAILS = "/satisfactionDetails/page", // 分页
    SAVE_SATISFACTION_DETAILS = "/satisfactionDetails/save", // 添加
    UPD_SATISFACTION_DETAILS = "/satisfactionDetails/upd", // 修改
    INFO_SATISFACTION_DETAILS = "/satisfactionDetails/", // 单个详情
    QUERY_USER_SATISFACTION = "/satisfactionDetails/queryUserSatisfaction",

    // satisfaction-满意度调查沟通
    DEL_SATISFACTION_COMMUNICATE = "/satisfactionCommunicate/del", // 移除
    PAGE_SATISFACTION_COMMUNICATE = "/satisfactionCommunicate/page", // 分页
    SAVE_SATISFACTION_COMMUNICATE = "/satisfactionCommunicate/save", // 添加
    UPD_SATISFACTION_COMMUNICATE = "/satisfactionCommunicate/upd", // 修改
    INFO_SATISFACTION_COMMUNICATE = "/satisfactionCommunicate/", // 单个详情
    SAVE_EDU_SATISFACTION = "/satisfactionCommunicate/saveEduSatisfaction",
    QUERY_EDU_IS_EVALUATE = "/satisfactionCommunicate/queryEduIsEvaluate",
}

export const enum classroomUrlEnum {
    // class_room-课
    DEL_CLASS = "/class/del", // 移除
    PAGE_CLASS = "/class/page", // 分页
    SAVE_CLASS = "/class/save", // 添加
    UPD_CLASS = "/class/upd", // 修改
    INFO_CLASS = "/class/", // 单个详情

    // class_room-课报名
    DEL_CLASS_USER = "/classUser/del", // 移除
    PAGE_CLASS_USER = "/classUser/page", // 分页
    SAVE_CLASS_USER = "/classUser/save", // 添加
    UPD_CLASS_USER = "/classUser/upd", // 修改
    INFO_CLASS_USER = "/classUser/", // 单个详情

    // class_room-课堂
    DEL_CLASS_ROOM = "/classRoom/del", // 移除
    PAGE_CLASS_ROOM = "/classRoom/page", // 分页
    SAVE_CLASS_ROOM = "/classRoom/save", // 添加
    UPD_CLASS_ROOM = "/classRoom/upd", // 修改
    INFO_CLASS_ROOM = "/classRoom/", // 单个详情

    // class_room-用户课堂考试
    DEL_CLASS_ROOM_TEST = "/classRoomTest/del", // 移除
    PAGE_CLASS_ROOM_TEST = "/classRoomTest/page", // 分页
    SAVE_CLASS_ROOM_TEST = "/classRoomTest/save", // 添加
    UPD_CLASS_ROOM_TEST = "/classRoomTest/upd", // 修改
    INFO_CLASS_ROOM_TEST = "/classRoomTest/", // 单个详情

    // class_room-用户课堂签到
    DEL_CLASS_ROOM_SIGN = "/classRoomSign/del", // 移除
    PAGE_CLASS_ROOM_SIGN = "/classRoomSign/page", // 分页
    SAVE_CLASS_ROOM_SIGN = "/classRoomSign/save", // 添加
    UPD_CLASS_ROOM_SIGN = "/classRoomSign/upd", // 修改
    INFO_CLASS_ROOM_SIGN = "/classRoomSign/", // 单个详情

    // class_room-课堂资源
    DEL_CLASS_ROOM_RESOURCES = "/classRoomResources/del", // 移除
    PAGE_CLASS_ROOM_RESOURCES = "/classRoomResources/page", // 分页
    SAVE_CLASS_ROOM_RESOURCES = "/classRoomResources/save", // 添加
    UPD_CLASS_ROOM_RESOURCES = "/classRoomResources/upd", // 修改
    INFO_CLASS_ROOM_RESOURCES = "/classRoomResources/", // 单个详情

    // class_room-课堂日志
    DEL_CLASS_ROOM_LOG = "/classRoomLog/del", // 移除
    PAGE_CLASS_ROOM_LOG = "/classRoomLog/page", // 分页
    SAVE_CLASS_ROOM_LOG = "/classRoomLog/save", // 添加
    UPD_CLASS_ROOM_LOG = "/classRoomLog/upd", // 修改
    INFO_CLASS_ROOM_LOG = "/classRoomLog/", // 单个详情

    // class_room-用户课堂评论
    DEL_CLASS_ROOM_COMMENT = "/classRoomComment/del", // 移除
    PAGE_CLASS_ROOM_COMMENT = "/classRoomComment/page", // 分页
    SAVE_CLASS_ROOM_COMMENT = "/classRoomComment/save", // 添加
    UPD_CLASS_ROOM_COMMENT = "/classRoomComment/upd", // 修改
    INFO_CLASS_ROOM_COMMENT = "/classRoomComment/", // 单个详情

    // class_teacher-教师
    DEL_CLASS_TEACHER = "/classTeacher/del", // 移除
    PAGE_CLASS_TEACHER = "/classTeacher/page", // 分页
    SAVE_CLASS_TEACHER = "/classTeacher/save", // 添加
    UPD_CLASS_TEACHER = "/classTeacher/upd", // 修改
    INFO_CLASS_TEACHER = "/classTeacher/", // 单个详情

}


export const enum ExaQuestionUrl {
    // 试卷-问题
    DEL_EXA_QUESTION = "/exaQuestion/del", // 移除
    PAGE_EXA_QUESTION = "/exaQuestion/page", // 分页
    SAVE_EXA_QUESTION = "/exaQuestion/save", // 添加
    UPD_EXA_QUESTION = "/exaQuestion/upd", // 修改
    INFO_EXA_QUESTION = "/exaQuestion/", // 单个详情
}

/**
 * 试卷-答题明细(ExaAnsDetail)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:53:07
 */
export const enum ExaAnsDetailUrl {
    // 试卷-答题明细
    DEL_EXA_ANS_DETAIL = "/exaAnsDetail/del", // 移除
    PAGE_EXA_ANS_DETAIL = "/exaAnsDetail/page", // 分页
    SAVE_EXA_ANS_DETAIL = "/exaAnsDetail/save", // 添加
    UPD_EXA_ANS_DETAIL = "/exaAnsDetail/upd", // 修改
    INFO_EXA_ANS_DETAIL = "/exaAnsDetail/", // 单个详情
}

/**
 * 试卷-答题记录(ExaAnswer)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:50:11
 */

export const enum ExaAnswerUrl {
    // 试卷-答题记录
    DEL_EXA_ANSWER = "/exaAnswer/del", // 移除
    PAGE_EXA_ANSWER = "/exaAnswer/page", // 分页
    UPD_SAVE_EXA_ANSWER = "/exaAnswer/updsave", // 开始答题
    INFO_EXA_ANSWER = "/exaAnswer/", // 单个详情

    SEKECT_EXA_ANSWERRECORD = "/exaAnswer/answerRecord", // 答题记录
    SEKECT_EXA_ANSWERRECORDDETAIL = "/exaAnswer/answerRecordDetail", // 答题记录详情
    SEKECT_EXA_ANSWERLIST = "/exaAnswer/answerList", // 是否作答列表


}

/**
 * 试卷-选项(ExaOption)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:50:10
 */

export const enum ExaOptionUrl {
    // 试卷-选项
    DEL_EXA_OPTION = "/exaOption/del", // 移除
    PAGE_EXA_OPTION = "/exaOption/page", // 分页
    SAVE_EXA_OPTION = "/exaOption/save", // 添加
    // UPD_EXA_OPTION = "/exaOption/upd", // 修改
    INFO_EXA_OPTION = "/exaOption/", // 单个详情
}

/**
 * 试卷-试卷(ExaPaper)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:50:08
 */

export const enum ExaPaperUrl {
    // 试卷-试卷
    DEL_EXA_PAPER = "/exaPaper/del", // 移除
    PAGE_EXA_PAPER = "/exaPaper/page", // 分页
    SAVE_EXA_PAPER = "/exaPaper/save", // 添加
    UPD_EXA_PAPER = "/exaPaper/upd", // 修改
    INFO_EXA_PAPER = "/exaPaper/", // 单个详情
    DETAIL_EXA_PAPER = "/exaPaper/detail/", // 单个详情
}

/**
 * 试卷-试卷关联的问题(ExaPapQue)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:50:09
 */

export const enum ExaPapQueUrl {
    // 试卷-试卷关联的问题
    DEL_EXA_PAP_QUE = "/exaPapQue/del", // 移除
    PAGE_EXA_PAP_QUE = "/exaPapQue/page", // 分页
    SAVE_EXA_PAP_QUE = "/exaPapQue/save", // 添加
    // UPD_EXA_PAP_QUE = "/exaPapQue/upd", // 修改
    INFO_EXA_PAP_QUE = "/exaPapQue/", // 单个详情
    UNBIND_EXA_PAP_QUE = "/exaPapQue/unbind", // 单个详情
}

/**
 * 问卷模块--题目选项(QuestionnaireOption)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */

export const enum QuestionnaireOptionUrl {
    // 问卷模块--题目选项
    DEL_QUESTIONNAIRE_OPTION = "/questionnaireOption/del", // 移除
    PAGE_QUESTIONNAIRE_OPTION = "/questionnaireOption/page", // 分页
    SAVE_QUESTIONNAIRE_OPTION = "/questionnaireOption/save", // 添加
    UPD_QUESTIONNAIRE_OPTION = "/questionnaireOption/upd", // 修改
    INFO_QUESTIONNAIRE_OPTION = "/questionnaireOption/", // 单个详情
}

/**
 * 问卷--答题记录(QuestionnaireRecord)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */

export const enum QuestionnaireRecordUrl {
    // 问卷--答题记录
    DEL_QUESTIONNAIRE_RECORD = "/questionnaireRecord/del", // 移除
    PAGE_QUESTIONNAIRE_RECORD = "/questionnaireRecord/page", // 分页
    SAVE_QUESTIONNAIRE_RECORD = "/questionnaireRecord/save", // 添加
    UPD_QUESTIONNAIRE_RECORD = "/questionnaireRecord/upd", // 修改
    INFO_QUESTIONNAIRE_RECORD = "/questionnaireRecord/", // 单个详情
    DETAIL_QUESTIONNAIRE_RECORD = "/questionnaireRecord/detail/", // 单个详情
    ANSWER_QUESTIONNAIRE_RECORD = "/questionnaireRecord/isAnswer", // 登录查询作答通知
    PAGE_ANSWER_RECORD = "/questionnaireRecord/", // 回答记录列表
}

/**
 * 问卷调查--投放对象(QuestionnaireReleaseObj)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */

export const enum QuestionnaireReleaseObjUrl {
    // 问卷调查--投放对象
    DEL_QUESTIONNAIRE_RELEASE_OBJ = "/questionnaireReleaseObj/del", // 移除
    PAGE_QUESTIONNAIRE_RELEASE_OBJ = "/questionnaireReleaseObj/page", // 分页
    SAVE_QUESTIONNAIRE_RELEASE_OBJ = "/questionnaireReleaseObj/save", // 添加
    UPD_QUESTIONNAIRE_RELEASE_OBJ = "/questionnaireReleaseObj/upd", // 修改
    INFO_QUESTIONNAIRE_RELEASE_OBJ = "/questionnaireReleaseObj/", // 单个详情
}

/**
 * 问卷调查--题目列表(QuestionnaireTopic)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:17
 */

export const enum QuestionnaireTopicUrl {
    // 问卷调查--题目列表
    DEL_QUESTIONNAIRE_TOPIC = "/questionnaireTopic/del", // 移除
    PAGE_QUESTIONNAIRE_TOPIC = "/questionnaireTopic/page", // 分页
    SAVE_QUESTIONNAIRE_TOPIC = "/questionnaireTopic/save", // 添加
    UPD_QUESTIONNAIRE_TOPIC = "/questionnaireTopic/upd", // 修改
    INFO_QUESTIONNAIRE_TOPIC = "/questionnaireTopic/", // 单个详情
}

/**
 * 问卷(Questionnaire)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */

export const enum QuestionnaireUrl {
    // 问卷
    DEL_QUESTIONNAIRE = "/questionnaire/del", // 移除
    PAGE_QUESTIONNAIRE = "/questionnaire/page", // 分页
    SAVE_QUESTIONNAIRE = "/questionnaire/save", // 添加
    UPD_QUESTIONNAIRE = "/questionnaire/upd", // 修改
    INFO_QUESTIONNAIRE = "/questionnaire/", // 单个详情
}

/**
 * teach-教学--班级管理(TeachClass)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-26 15:59:09
 */

export const enum TeachClassUrl {
    // teach-教学--班级管理
    DEL_TEACH_CLASS = "/teachClass/del", // 移除
    PAGE_TEACH_CLASS = "/teachClass/page", // 分页
    SAVE_TEACH_CLASS = "/teachClass/save", // 添加
    UPD_TEACH_CLASS = "/teachClass/upd", // 修改
    INFO_TEACH_CLASS = "/teachClass/", // 单个详情
    QUERY_BEGIN_SIGN_CLASS_LIST = "/teachClass/queryBeginSignClassList" //查询当前正在上课或即将上课可以签到的的班级
}

/**
 * teach-教学--课管理(TeachCourse)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-26 16:43:00
 */
export const enum TeachCourseUrl {
    // teach-教学--课管理
    DEL_TEACH_COURSE = "/teachCourse/del", // 移除
    PAGE_TEACH_COURSE = "/teachCourse/page", // 分页
    SAVE_TEACH_COURSE = "/teachCourse/save", // 添加
    UPD_TEACH_COURSE = "/teachCourse/upd", // 修改
    INFO_TEACH_COURSE = "/teachCourse/", // 单个详情
}

export const enum TeachClassUserUrl {
    PAGE_TEACH_CLASS_USER = "/teachClassUser/page", // 分页
    ENROLL_TEACH_CLASS_USER = "/teachClassUser/enroll", // 报名
    ENROLL_APPLY_TEACH_CLASS_USER = "/teachClassUser/enrollApply", // 报名申请
    ADOPT_ENROLL_APPLY_TEACH_CLASS_USER = "/teachClassUser/adoptEnrollApply/", //通过报名申请
    REFUSE_ENROLL_APPLY_TEACH_CLASS_USER = "/teachClassUser/refuseEnrollApply/", //拒绝报名申请
    QUIT_CLASS_TEACH_CLASS_USER = "/teachClassUser/quitClass/", //退出班级
    QUERY_USER_LIST_TEACH_CLASS_USER = "/teachClassUser/queryUserList"//查询用户列表(大屏签到时使用)
}

export const enum TeachCourseUserUrl {
    PAGE_TEACH_COURSE_USER = "/teachCourseUser/page", // 分页
    QUERY_LIST_BY_TIME_TEACH_COURSE_USER = "/teachCourseUser/queryListByTime", // 分页
    QUERY_REMINDER = "/teachCourseUser/queryReminder"
}

/**
 * teach-教学--课--用户签到(TeachCourseSign)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-30 16:45:11
 */

export const enum TeachCourseSignUrl {
    // teach-教学--课--用户签到
    PAGE_TEACH_COURSE_SIGN = "/teachCourseSign/page", // 分页
    SAVE_TEACH_COURSE_SIGN = "/teachCourseSign/save", // 添加
}

/**
 * (SysVersion)添加-修改表单父类
 *
 * @author make
 * @since 2020-12-10 12:03:45
 */

export const enum SysVersionUrl {
    // $tableInfo.comment
    DEL_SYS_VERSION = "/sysVersion/del", // 移除
    PAGE_SYS_VERSION = "/sysVersion/page", // 分页
    SAVE_SYS_VERSION = "/sysVersion/save", // 添加
    UPD_SYS_VERSION = "/sysVersion/upd", // 修改
    INFO_SYS_VERSION = "/sysVersion/", // 单个详情
    RELEASE_SYS_VERSION = "/sysVersion/release", // 单个详情
}