/**
 * class_room-用户课堂评论(ClassRoomComment)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:42
 */

export interface ClassRoomCommentForm {

    /**
     * 用户id
     */
    userId?: string,
    /**
     * 课堂id
     */
    classRoomId?: string,
    /**
     * 评论内容
     */
    content?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveClassRoomCommentForm extends ClassRoomCommentForm {

    /**
     * 用户id
     */
    userId: string,
    /**
     * 课堂id
     */
    classRoomId: string,
    /**
     * 评论内容
     */
    content: string,
}


export interface UpdClassRoomCommentForm extends ClassRoomCommentForm {

    /**
     * id
     */
    id: string,

}