/**
 * class_room-课堂资源(ClassRoomResources)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:43
 */

export interface ClassRoomResourcesForm {

    /**
     * 课堂id
     */
    classRoomId?: string,
    /**
     * 资源名称
     */
    name?: string,
    /**
     * 资源url
     */
    resUrl?: string,
    /**
     * 资源类型
     */
    mediaType?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveClassRoomResourcesForm extends ClassRoomResourcesForm {

    /**
     * 资源名称
     */
    name: string,
    /**
     * 资源url
     */
    resUrl: string,
    /**
     * 资源类型
     */
    mediaType: string,
}


export interface UpdClassRoomResourcesForm extends ClassRoomResourcesForm {

    /**
     * id
     */
    id: string,

}