/**
 * class_room-用户课堂考试(ClassRoomTest)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:44
 */

export interface ClassRoomTestForm {

    /**
     * 用户id
     */
    userId?: string,
    /**
     * 课堂id
     */
    classRoomId?: string,
    /**
     * 试卷id
     */
    testPaperId?: string,
    /**
     * 分数
     */
    testResult?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveClassRoomTestForm extends ClassRoomTestForm {

    /**
     * 用户id
     */
    userId: string,
    /**
     * 课堂id
     */
    classRoomId: string,
    /**
     * 试卷id
     */
    testPaperId: string,
    /**
     * 分数
     */
    testResult: string,
}


export interface UpdClassRoomTestForm extends ClassRoomTestForm {

    /**
     * id
     */
    id: string,

}