/**
 * class_teacher-教师(ClassTeacher)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-24 12:37:17
 */

export interface ClassTeacherForm {

    /**
     * user_id
     */
    userId?: string,
    /**
     * 名字
     */
    name?: string,
    /**
     * 照片url
     */
    photoUrl?: string,
    /**
     * 简介
     */
    content?: string,
    /**
     * 创建人姓名
     */
    createName?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveClassTeacherForm extends ClassTeacherForm {

    /**
     * 名字
     */
    name: string,
    /**
     * 照片url
     */
    photoUrl: string,
    /**
     * 简介
     */
    content: string,
}


export interface UpdClassTeacherForm extends ClassTeacherForm {

    /**
     * id
     */
    id: string,

}