/**
 * class_room-课报名(ClassUser)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:45
 */

export interface ClassUserForm {

    /**
     * 课id
     */
    classId?: string,
    /**
     * 用户id
     */
    userId?: string,
    /**
     * 用户名称
     */
    userName?: string,
    /**
     * 照片url
     */
    photoUrl?: string,
    /**
     * 身份证号码
     */
    idNumber?: string;
    /**
     * 电话号码
     */
    phone?: string;
    /**
     * 状态
     */
    status?: string,
}

export interface SaveClassUserForm extends ClassUserForm {

    /**
     * 课id
     */
    classId: string,
    /**
     * 用户id
     */
    userId: string,
    /**
     * 用户名称
     */
    userName: string,
    /**
     * 照片url
     */
    photoUrl: string,
    /**
     * 身份证号码
     */
    idNumber: string;
    /**
     * 电话号码
     */
    phone: string;
}


export interface UpdClassUserForm extends ClassUserForm {

    /**
     * id
     */
    id: string,

}