import {PageForm} from "../../PageForm";


/**
 * class_room-课堂(ClassRoom)表实体类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:41
 */
export interface PageClassRoomForm extends PageForm {

    /**
     * 用户id
     */
    userId?: string;
    /**
     * 签到类型
     */
    signType?: string;
    /**
     * 当前时间
     */
    newTime?: string;
    /**
     * 上课形式
     */
    formType?: string;
    /**
     * 课id
     */
    classId?: string;
    /**
     * 标题
     */
    title?: string;
    /**
     * 是否分页查询
     */
    page: boolean;
}