import {PageForm} from "../../PageForm";


/**
 * class_room-课报名(ClassUser)表实体类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:45
 */
export interface PageClassUserForm extends PageForm {

    /**
     * 签到时间
     */
    signTime?: string;
    /**
     * 课id
     */
    classId?: string;
    /**
     * 用户id
     */
    userId?: string;

    /**
     * 关键字
     */
    keyWord?: string;

    /**
     * 是否分页查询
     */
    page: boolean;
}