export class DrugInfoForm {
    /**
     * 药品名称
     */
    drugName:string;
    /**
     * 药品编码
     */
    drugCode:string;
    /**
     * 批准文号
     */
    drugApprovalNumber:string;
    /**
     * 药品详细说明
     */
    drugDetails:string;
    /**
     * 供应商
     */
    supplierId:string;
    /**
     * 厂家名称
     */
    makerName:string;
    /**
     * 用法(口服、注射等)
     */
    drugUsage:string;
    /**
     * 药品规格
     */
    drugNorm:string;
    /**
     * 包装图
     */
    drugPackImg:string;
    /**
     * 单位
     */
    drugUnit:string;
    /**
     * 病种
     */
    diseaseId:string;
    /**
     * 用量
     */
    drugDose:string;
    /**
     * 用量格式化 {"day":1,"num":3} 每日1次每次3
     */
    drugDoseFormat:string;
    /**
     * 不良反应
     */
    drugReaction:string;
    /**
     * 价格
     */
    price:string;

    /**
     * 机构ID
     */
    orgId:string;
    /**
     * 供应商名称
     */
    supplierName:string;
    /**
     * 是否处方药 0 非处方 1处方
     */
    drugStatus:string;
    /**
     * 药品类型 0 中药 1 西药
     */
    drugType:string;
    /**
     * 品牌名称
     */
    brandName:string;
    /**
     * 药品禁忌
     */
    taboo:string;

}
