export class CommonMenuDto {
    id: string;
    /**
     * 上级Id
     */
    pId: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 图标
     */
    icon: string;
    /**
     * 排序
     */
    sort: number;
    /**
     * 背景颜色
     */
    bkColor: string;
    /**
     * 字体
     */
    font: string;
    /**
     * 字体颜色
     */
    fontColor: string;
    /**
     * 字体大小
     */
    fontSize: string;
    /**
     * 所属模块字典
     */
    belong: string;
    /**
     * 备注
     */
    remark: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 跳转类型
     */
    jumpType: string;
    /**
     * 跳转路径
     */
    jumpUrl: string;
    /**
     * 跳转数据包
     */
    jumpData: string;
    /**
     * 菜单类型
     */
    menuType: string;
    /**
     * 是否为通用菜单
     */
    generalFlag: boolean;
}