export class CommonMissionDto {
    id: string;
    /**
     * 机构Id,全部的为0
     */
    orgId: string;
    /**
     * 人群，多个逗号分隔
     */
    crowds: string;
    /**
     * 疾病，多个逗号分隔,疾病的Id
     */
    diseases: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 封面图
     */
    cover: string;
    /**
     * 宣教知识类型
     */
    misssionType: string;
    /**
     * 作者
     */
    author: string;
    /**
     * 内容类型
     */
    conType: string;
    /**
     * 内容
     */
    con: string;
    /**
     * 发布状态
     */
    releaseStatus: string;
    /**
     * 匹配条件
     */
    matchCondition: string;
    /**
     * 备注
     */
    remark: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 序号
     */
    sort: number;
    /**
     * 人群名称
     */
    coverNames: string;
    /**
     * 疾病名称
     */
    deiseaseNames: string;


    /**
     * 创建名
     */
    createName :string;



    /**
     * 创建时间
     */
    createTime:string;
}