import {CommonFildes} from "./CommonFildes";

export interface FaqDto extends CommonFildes{

    /**
     * 标题
     */
    faqTitle:string,
    /**
     * 回答内容
     */
    faqCon:string,
    /**
     * 音频url
     */
    faqVoice:string,
    /**
     * 发布人id
     */
    issuerId:number,
    /**
     * 发布人姓名
     */
    issuerName:string,
    /**
     * 病种id
     */
    diseaseId?:string[],
    /**
     * 病种名称
     */
    diseaseName?:string[],
    /**
     * crowd_type_1,0~6岁儿童
     crowd_type_2,孕产妇
     crowd_type_3,高血压
     crowd_type_4,2型糖尿病
     crowd_type_5,严重精神障碍
     crowd_type_6,肺结核
     crowd_type_7,老年人
     crowd_type_8,一般人群
     */
    crowdType?:string[]
}