

export interface MaterialDto{
    id:number,
    /**
     * 状态
     */
    status?:string,
    /**
     * 栏目名称：material_name_1:医院文化material_name_2	：医用设备material_name_3：科室简介
     material_name_4：公益活动
     */
      materialName:string,
    /**
     * 栏目类型：material_type_1 党的建设
     */
    materialType:string,
    /**
     * 级别
     */
    materialLevel:number,
    /**
     * 图标
     */
      icon:string,
    /**
     * 媒体展示类型：material_show_type_1：表格
     material_show_type_2：图片
     material_show_type_3：视频
     material_show_type_4：富文本
     */
      materialShowType:string,
    /**
     * 素材内容
     */
      materialContent:string,
    /**
     * 标题
     */
      materialTitle:string,
    /**
     * 机构id
     */
      orgId:number,
    /**
     * 平台：platform_1：天天记
     platform_2:服药管理
     platform_3:通用平台
     */
      platform:string,
    /**
     * 审核人
     */
      auditUser:number,
    /**
     * 审核时间
     */
      auditTime:any,
    /**
     * 审核意见
     */
      auditMsg:string,
    /**
     * 审核状态
     */
      auditStatus:string,
    /**
     * 客户端类型
     */
      clientType:string
}