export interface EncTypeAttr{
    /**
     * 属性类型
     */
    attributeType:string,
    /**
     * 属性值
     */
    attributeValue:string,
}

export interface EncyclopediaTypeForm{
    /**
     * 标题
     */
    title?:string,
    /**
     * 上级Id 最上时填写0
     */
    parentId?:string,
    /**
     * 描述
     */
    typeDescribe?:string,
    /**
     * 备注
     */
    remark?:string,
    /**
     * 图标
     */
    icon?:string,
    /**
     * 背景图
     */
    bkImg?:string,
    /**
     * 是否为最下级(最下级关联具体百科知识)
     */
    bottomFlag?:boolean,
    /**
     * 排序
     */
    sort?:number,
    /**
     * 状态
     */
    status?:string,
    /**
     * 其他相关属性
     */

    attrList?:EncTypeAttr[],
}
export interface SaveEncyclopediaTypeForm extends EncyclopediaTypeForm{

    /**
     * 标题
     */
    title:string,
    /**
     * 上级Id 最上时填写0
     */
    parentId:string,
    /**
     * 描述
     */
    typeDescribe:string,
    /**
     * 备注
     */
    remark:string,
    /**
     * 图标
     */
    icon:string,
    /**
     * 背景图
     */
    bkImg:string,
    /**
     * 是否为最下级(最下级关联具体百科知识)
     */
    bottomFlag:boolean,
    /**
     * 其他相关属性
     */
    attrList:EncTypeAttr[],
}

export interface UpdEncyclopediaTypeForm extends EncyclopediaTypeForm{
    id ?: string,
}