import {SaveFoodSpecsForm} from "./SaveFoodSpecsForm";

export class SaveFoodDataForm {

    //食物类型id
    foodTypeId: string;

    //名称
    name: string;

    //图标
    icon?: string;

    //是否自定义 true: 是; false: 不是
    custom: boolean;

    //食物单位 1份/100g(ml)
    company: string;

    //食物能量 200.00卡/100g(ml)
    energy: string;

    //油 200.00ml/100g(ml)
    oil: string;

    //糖 200.00g/100g(ml)
    sugar: string;

    //盐 200.00g/100g(ml)
    salt: string;

    //备注
    remark?: string;

    //食物规格列表
    foodSpecsList?: SaveFoodSpecsForm[];
}