/**
 * common-健康教育数据(CommonEducationRecord)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-28 11:45:35
 */

export interface CommonEducationRecordForm {

    /**
     * 阅读的健康教育标题
     */
    title?: string,
    /**
     * 数据源Id
     */
    sourceId?: string,
    /**
     * 源类型
     */
    sourceType?: string,
    /**
     * 浏览类型
     */
    browseType?: string,
    /**
     * 浏览时间 yyyy-MM-dd HH:mm:ss
     */
    browseDate?: string,
    /**
     * 阅读人
     */
    browseUser?: string,
    /**
     * 状态 0:正常 1:冻结
     */
    status?: string,
}

export interface SaveCommonEducationRecordForm extends CommonEducationRecordForm {

    /**
     * 阅读的健康教育标题
     */
    title: string,
    /**
     * 数据源Id
     */
    sourceId: string,
    /**
     * 源类型
     */
    sourceType: string,
    /**
     * 浏览类型
     */
    browseType: string,
    /**
     * 浏览时间
     */
    browseDate: string,
    /**
     * 阅读人
     */
    browseUser: string,
}


export interface UpdCommonEducationRecordForm extends CommonEducationRecordForm {

    /**
     * id
     */
    id: string,

}