/**
 * 公共-表单(CommonForm)添加-修改表单父类
 *
 * @author makejava
 * @since 2021-01-07 09:06:18
 */
import {CommonFormQuestionForm} from "./CommonFormQuestionForm";

export interface CommonFormForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 所属机构Id,公共为0
     */
    orgId?: string,
    /**
     * 所属分类
     */
    formType?: string,
    /**
     * 排序
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
    /**
     * 机构名称
     */
    orgName?: string,

    /**
     * 表单对应的问题列表
     * @return
     */
    quesList?:CommonFormQuestionForm[],
}

export interface SaveCommonFormForm extends CommonFormForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 备注
     */
    remark: string,
    /**
     * 所属机构Id,公共为0
     */
    orgId: string,
    /**
     * 所属分类
     */
    formType: string,
    /**
     * 机构名称
     */
    orgName: string,
}


export interface UpdCommonFormForm extends CommonFormForm {

    /**
     * id
     */
    id: string,

}