/**
 * 公共-健康知识(CommonKnow)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-10-09 10:07:11
 */

export interface CommonKnowForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 描述
     */
    knowDesc?: string,
    /**
     * 图标
     */
    icon?: string,
    /**
     * 背景图
     */
    bkImg?: string,
    /**
     * 内容类型
     */
    conType?: string,
    /**
     * 内容
     */
    content?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 类型列表
     */
    typeIds ?: string[],
}

export interface SaveCommonKnowForm extends CommonKnowForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 描述
     */
    knowDesc: string,
    /**
     * 图标
     */
    icon: string,
    /**
     * 背景图
     */
    bkImg: string,
    /**
     * 内容类型
     */
    conType: string,
    /**
     * 内容
     */
    content: string,

    /**
     * 类型列表
     */
    typeIds : string[],
}


export interface UpdCommonKnowForm extends CommonKnowForm {

    /**
     * id
     */
    id: string,

}