import {PageForm} from "../../PageForm";


/**
 * common模块-机构-设备管理(CommonEquipmentOrg)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-18 16:07:58
 */
export interface EquipmentOrgForm extends PageForm {

    /**
     * 机构id
     */
    orgId?: number,
    /**
     * 设备名称
     */
    equipmentName?: string,

    /**
     * 设备产商
     */
    equipmentProducer?: string,

    /**
     * 设备品牌
     */
    equipmentBrand?: string,

    /**
     * 状态
     */
    status?: string,
}

export interface saveCommonEquipmentOrgForm {

    /**
     * 机构id
     */
    orgId?: number,
    /**
     * 设备名称
     */
    equipmentName?: string,
    /**
     * 设备简介
     */
    equipmentInfo?: string,
    /**
     * 设备产商
     */
    equipmentProducer?: string,
    /**
     * 设备图片
     */
    equipmentUrl?: string,
    /**
     * 生产日期
     */
    equipmentProducedTime?: any,
    /**
     * 设备品牌
     */
    equipmentBrand?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 状态
     */
    status?: string,
}
export interface updCommonEquipmentOrgForm extends saveCommonEquipmentOrgForm {
    id:number
}