export class ExaAnswerDto {
    id: string;
    /**
     * 用户Id
     */
    userId: string;
    /**
     * 试卷Id
     */
    papId: string;
    /**
     * 来源记录Id
     */
    sourceId: string;
    /**
     * 来源记录标题
     */
    sourceTitle: string;
    /**
     * 得分
     */
    score: number;
    /**
     * 是否合格
     */
    qualifiedFlag: boolean;
    /**
     * 开始答题时间
     */
    startTime: Date;
    /**
     * 结束答题时间
     */
    endTime: Date;
    /**
     * 机构id
     */
    orgId: string;
    /**
     * 源类型
     */
    sourceType: string;
    /**
     * 状态
     */
    status: string;
}
export class RequestAnswerDto{
    userId:string;
    whetherAnswer:boolean;
}