import {ExaPapQueDto} from "./ExaPapQueDto";

export class ExaPaperDto {
    id: string;
    orgId:number;
    /**
     * 标题
     */
    title: string;
    /**
     * 试卷时长，单位分钟
     */
    duration: number;
    /**
     * 考试类型
     */
    exaType: string;
    /**
     * 描述
     */
    exaDesc: string;
    /**
     * 图片，多个逗号分隔
     */
    imgs: string;
    /**
     * 答题模式(true:错误继续  false:错误下一题)
     */
    answerSwitch:boolean;
    /**
     * 排序
     */
    sort: number;
    /**
     * 状态
     */
    status: string;
    /**
     * 总分
     */
    totalScore: number;
    /**
     * 合格分数
     */
    qualifiedScore: number;
    /**
     *试卷题目数量
     */
    num:number;
    /**
     * 试卷选项
     */
    exaPapQueDtoList:ExaPapQueDto[];
}