import {ExaOptionDto} from "./ExaOptionDto";

export class ExaQuestionDto {
    id: string;
    /**
     * 题目标题
     */
    title: string;
    /**
     * 题目图片,多个逗号分隔
     */
    imgs: string;
    /**
     * 解析
     */
    parsing: string;
    /**
     * 题目类型：problem_type_1单选 problem_type_2多选problem_type_3问答(单行文本)problem_type_4问答(多行文本)
     */
    queType: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 排序
     */
    sort: number;
    /**
     * 我的选项
     */
    chooseOptionId:number;

    /**
     * 选项列表
     */
    exaOptionDtoList:ExaOptionDto[]
}