import {PageForm} from "../../PageForm";


/**
 * 机构装修--机构--页面--banner(FitmentModuleBanner)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-28 17:17:34
 */

export interface FitmentModuleBannerForm extends PageForm {

    /**
     * 应用页面id
     */
    moduleOrgId?: string,
    /**
     * 地址
     */
    bannerUrl?: string,
    /**
     * banner轮播图
     */
    bannerImg?: string,
    /**
     * 是否跳转
     */
    jump?: boolean,
    /**
     * 跳转类型：jump_type_1:内部跳转
     jump_type_2:外部跳转
     */
    jumpType?: string,
    /**
     * 跳转路径
     */
    jumpUrl?: string,
    /**
     * 状态
     */
    status?: string,


}

export interface saveFitmentModuleBannerForm {

    /**
     * 应用页面id
     */
    moduleOrgId?: string,
    /**
     * 地址
     */
    bannerUrl?: string,
    /**
     * banner轮播图
     */
    bannerImg?: string,
    /**
     * 是否跳转
     */
    jump?: boolean,
    /**
     * 跳转类型：jump_type_1:内部跳转
     jump_type_2:外部跳转
     */
    jumpType?: string,
    /**
     * 跳转路径
     */
    jumpUrl?: string,
    /**
     * 状态
     */
    status?: string,

}


export interface updFitmentModuleBannerForm extends saveFitmentModuleBannerForm {
    id: number
}