import {PageForm} from "../../PageForm";


/**
 * 机构装修--模板(FitmentModule)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-28 14:54:03
 */

export interface FitmentModuleForm extends PageForm {

    /**
     * 模板code
     */
    modulePageCode?: string,
    /**
     * 模块名称
     */
    moduleName?: string,

    /**
     * 状态
     */
    status?: string,
}

export interface saveFitmentModuleForm {

    /**
     * 模板code
     */
    modulePageCode?: string,
    /**
     * 模块名称
     */
    moduleName?: string,
    /**
     * 模板预览图
     */
    modulePreview?: string,
    /**
     * 状态
     */
    status?: string,
}


export interface updFitmentModuleForm extends saveFitmentModuleForm {
    id: number
}