/**
 * 随访-明细(FollowDetail)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-03 14:24:30
 */

export interface FollowDetailForm {

    /**
     * 主表Id
     */
    mainId?: string,
    /**
     * 表单code
     */
    formCode?: string,
    /**
     * 对应的值
     */
    formValue?: string,
    /**
     * 选择填写对应的值
     */
    writeValue?: string,
    /**
     * 区间的开始值
     */
    startValue?: string,
    /**
     * 区间的结束值
     */
    endValue?: string,
    /**
     * 数组时的序号
     */
    serialNum?: number,
    /**
     * 状态
     */
    status?: string,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 表单标题
     */
    formTitle?: string,
    /**
     * 选择值对应的名称
     */
    valueNames?: string,
    /**
     * 填写对应的单位
     */
    writeUnit?: string,
    /**
     * 填写对应的标题
     */
    title?: string,
    /**
     * 表单类型
     */
    formType?: string,
    /**
     * 是否为数组
     */
    serialFlag?: boolean,
    /**
     * 分组Id  tb_follow_group
     */
    groupId?: string,
}

export interface SaveFollowDetailForm extends FollowDetailForm {

    /**
     * 主表Id
     */
    mainId: string,
    /**
     * 表单code
     */
    formCode: string,
    /**
     * 对应的值
     */
    formValue: string,
    /**
     * 选择填写对应的值
     */
    writeValue: string,
    /**
     * 区间的开始值
     */
    startValue: string,
    /**
     * 区间的结束值
     */
    endValue: string,
    /**
     * 数组时的序号
     */
    serialNum: number,
    /**
     * 表单标题
     */
    formTitle: string,
    /**
     * 选择值对应的名称
     */
    valueNames: string,
    /**
     * 填写对应的单位
     */
    writeUnit: string,
    /**
     * 填写对应的标题
     */
    title: string,
    /**
     * 表单类型
     */
    formType: string,
    /**
     * 是否为数组
     */
    serialFlag: boolean,
    /**
     * 分组Id  tb_follow_group
     */
    groupId: string,
}


export interface UpdFollowDetailForm extends FollowDetailForm {

    /**
     * id
     */
    id: string,

}