/**
 * 随访-表单分组(FollowFormGroup)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-03 14:24:32
 */

export interface FollowFormGroupForm {

    /**
     * 分组标题
     */
    title?: string,
    /**
     * 上级Id
     */
    pId?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 是否为数组
     */
    arrayFlag?: boolean,
    /**
     * 所属表格Id
     */
    tableId?: string,
    /**
     * 是否展示
     */
    showFlag?: boolean,
}

export interface SaveFollowFormGroupForm extends FollowFormGroupForm {

    /**
     * 分组标题
     */
    title: string,
    /**
     * 上级Id
     */
    pId: string,
    /**
     * 备注
     */
    remark: string,
    /**
     * 是否为数组
     */
    arrayFlag: boolean,
    /**
     * 所属表格Id
     */
    tableId: string,
    /**
     * 是否展示
     */
    showFlag: boolean,
}


export interface UpdFollowFormGroupForm extends FollowFormGroupForm {

    /**
     * id
     */
    id: string,

}