/**
 * 随访-表单选项(FollowFormOption)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-03 14:24:33
 */

export interface FollowFormOptionForm {

    /**
     * 对应的表单Id
     */
    formId?: string,
    /**
     * 选项内容
     */
    con?: string,
    /**
     * 是否需要填写
     */
    writeFlag?: string,
    /**
     * 单选标志，选项为多选时，选择这个则不可以选择其他内容
     */
    radioFlag?: boolean,
    /**
     * 选项code
     */
    optionCode?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 序号
     */
    sort?: number,
    /**
     * 得分选项
     */
    goalOptionFlag?: boolean,
    /**
     * 区间最小值
     */
    goalMin?: number,
    /**
     * 区间最大值
     */
    goalMax?: number,
    /**
     * 问卷得分code
     */
    quesGoalCode?: string,
    /**
     * 填写文本框类型
     */
    writeFormType?: string,
    /**
     * 填写文本框验证code
     */
    writeVerifyCode?: string,
    /**
     * 填写文本框标题
     */
    title?: string,
    /**
     * 填写文本框单位
     */
    writeUnit?: string,
    /**
     * 下拉筛选选项
     */
    selectValues?: string,
}

export interface SaveFollowFormOptionForm extends FollowFormOptionForm {

    /**
     * 对应的表单Id
     */
    formId: string,
    /**
     * 选项内容
     */
    con: string,
    /**
     * 是否需要填写
     */
    writeFlag: string,
    /**
     * 单选标志，选项为多选时，选择这个则不可以选择其他内容
     */
    radioFlag: boolean,
    /**
     * 选项code
     */
    optionCode: string,
    /**
     * 得分选项
     */
    goalOptionFlag: boolean,
    /**
     * 区间最小值
     */
    goalMin: number,
    /**
     * 区间最大值
     */
    goalMax: number,
    /**
     * 问卷得分code
     */
    quesGoalCode: string,
    /**
     * 填写文本框类型
     */
    writeFormType: string,
    /**
     * 填写文本框验证code
     */
    writeVerifyCode: string,
    /**
     * 填写文本框标题
     */
    title: string,
    /**
     * 填写文本框单位
     */
    writeUnit: string,
    /**
     * 下拉筛选选项
     */
    selectValues: string,
}


export interface UpdFollowFormOptionForm extends FollowFormOptionForm {

    /**
     * id
     */
    id: string,

}