import {HospKnowTypeCroDisForm} from "../form/HospKnowTypeCroDisForm";

export class HospKnowTypeDto {
    id: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 描述
     */
    knowTypeDesc: string;
    /**
     * 图标
     */
    icon: string;
    /**
     * 背景图
     */
    bkImg: string;
    /**
     * 排序
     */
    sort: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 部门Id
     */
    deptId: string;
    /**
     * 机构Id
     */
    orgId: string;

    /**
     * 上级Id
     */
    parentId:string;

    children:HospKnowTypeDto[];
    childrenFlag:boolean;
    crowdDisList:HospKnowTypeCroDisEntity[];
}


export class HospKnowTypeCroDisEntity{
    /**
     * 主键id
     */
    id:string;

    /**
     * 病种
     */
    diseaseId:string;
    /**
     * 人群
     */
    crowd:string;
    /**
     * 健康知识类型
     */
    knowTypeId:string;
}