/**
 * 医院-健康知识(HospKnow)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-16 16:25:28
 */

export interface HospKnowForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 描述
     */
    knowDesc?: string,
    /**
     * 图标
     */
    icon?: string,
    /**
     * 背景图
     */
    bkImg?: string,
    /**
     * 内容类型
     */
    conType?: string,
    /**
     * 内容
     */
    content?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 部门Id
     */
    deptId?: string,
    /**
     * 机构Id
     */
    orgId?: string,

    /**
     * 类型列表
     */
    typeIds?:string[],
}

export interface SaveHospKnowForm extends HospKnowForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 描述
     */
    knowDesc: string,
    /**
     * 图标
     */
    icon: string,
    /**
     * 背景图
     */
    bkImg: string,
    /**
     * 内容类型
     */
    conType: string,
    /**
     * 内容
     */
    content: string,
    /**
     * 部门Id
     */
    deptId: string,
    /**
     * 机构Id
     */
    orgId: string,

    typeIds:string[],

}


export interface UpdHospKnowForm extends HospKnowForm {

    /**
     * id
     */
    id: string,

}