/**
 * 医院-健康知识类型(HospKnowType)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-16 16:10:42
 */
import {HospKnowTypeCroDisForm} from "./HospKnowTypeCroDisForm";

export interface HospKnowTypeForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 描述
     */
    knowTypeDesc?: string,
    /**
     * 图标
     */
    icon?: string,
    /**
     * 背景图
     */
    bkImg?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 部门Id
     */
    deptId?: string,
    /**
     * 机构Id
     */
    orgId?: string,
    /**
     * 上级Id
     */
    parentId?:string,

    crowdDisList?:HospKnowTypeCroDisForm[],
}

export interface SaveHospKnowTypeForm extends HospKnowTypeForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 描述
     */
    knowTypeDesc: string,
    /**
     * 图标
     */
    icon: string,
    /**
     * 背景图
     */
    bkImg: string,
    /**
     * 部门Id
     */
    deptId: string,
    /**
     * 机构Id
     */
    orgId: string,
}


export interface UpdHospKnowTypeForm extends HospKnowTypeForm {

    /**
     * id
     */
    id: string,

}