/**
 * 医院-素材(HospMaterial)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-22 09:04:36
 */

export interface HospMaterialForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 描述
     */
    mateDesc?: string,
    /**
     * 医院素材类型
     */
    materialType?: string,
    /**
     * 内容类型
     */
    conType?: string,
    /**
     * 内容
     */
    content?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 部门Id
     */
    deptId?: string,
    /**
     * 机构Id
     */
    orgId?: string,
    /**
     * 封面图片
     */
    coverImg?: string,
    /**
     * 作者
     */
    author?: string,
    /**
     * 是否隐藏
     */
    hiddenFlag?: boolean,

    /**
     * 是否评价
     */
    evaFlag?:boolean,
}

export interface SaveHospMaterialForm extends HospMaterialForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 描述
     */
    mateDesc: string,
    /**
     * 医院素材类型
     */
    materialType: string,
    /**
     * 内容类型
     */
    conType: string,
    /**
     * 内容
     */
    content: string,
    /**
     * 部门Id
     */
    deptId: string,
    /**
     * 机构Id
     */
    orgId: string,
    /**
     * 封面图片
     */
    coverImg: string,
    /**
     * 作者
     */
    author: string,
    /**
     * 是否隐藏
     */
    hiddenFlag: boolean,
    /**
     * 是否评价
     */
    evaFlag:boolean,
}


export interface UpdHospMaterialForm extends HospMaterialForm {

    /**
     * id
     */
    id: string,

}