/**
 * 项目-讲座项目时的特殊属性(ItemLecture)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-23 18:07:01
 */

export interface ItemLectureForm {

    /**
     * 主讲人
     */
    presenter?: string,
    /**
     * 服务项目crowd的Id
     */
    crowdId?: string,
    /**
     * 服务项目crowd的name
     */
    crowdName?: string,
    /**
     * 讲座内容
     */
    title?: string,
    /**
     * 资料类型
     */
    dataType?: string,
    /**
     * 附件
     */
    annex?: string,
    /**
     * 描述
     */
    lectDesc?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,

    /**
     * 资料数量
     */
    materialNum?:number;
}

export interface SaveItemLectureForm extends ItemLectureForm {

    /**
     * 主讲人
     */
    presenter: string,
    /**
     * 服务项目crowd的Id
     */
    crowdId: string,
    /**
     * 服务项目crowd的name
     */
    crowdName: string,
    /**
     * 讲座内容
     */
    title: string,
    /**
     * 资料类型
     */
    dataType: string,
    /**
     * 附件
     */
    annex: string,
    /**
     * 描述
     */
    lectDesc: string,
    /**
     * 资料数量
     */
    materialNum:number;
}


export interface UpdItemLectureForm extends ItemLectureForm {

    /**
     * id
     */
    id: string,

}