import {PageForm} from "../../PageForm";

export interface NoticePageForm extends PageForm {
    // 筛选开始日期
    startDate?: string;
    // 筛选结束日期
    endDate?: string;
    // 状态
    status?:string;
    // 通知类型
    noticeType?: string;
    // 通知来源
    source?: string;
    // 数据类型
    dataType?: string;
    // 跳转类型
    jumpType?: string;
    // 重要程度
    significance?:string;
    // 标题
    title?:string;

    /**
     * 发布状态
     */
    releaseStatus?:string;

    /**
     * 登录者机构
     */
    loginOrg?:string;
}
