/**
 * 机器人-引导信息(RobotGuideMessage)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-24 14:39:54
 */

export interface RobotGuideMessageForm {

    /**
     * 机器人引导消息code
     */
    guideMessageCode?: string,
    /**
     * 机器人引导消息
     */
    guideMessage?: string,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 标题
     */
    title?: string,
    /**
     * 开始时间
     */
    startTime?: string,
    /**
     * 结束时间
     */
    endTime?: string,
    /**
     * 关闭时间长度
     */
    closedTime?: number,
    /**
     * 是否每日一次
     */
    dailyRepeat?: boolean,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveRobotGuideMessageForm extends RobotGuideMessageForm {

    /**
     * 机器人引导消息code
     */
    guideMessageCode: string,
    /**
     * 机器人引导消息
     */
    guideMessage: string,
    /**
     * 备注
     */
    remark: string,
    /**
     * 标题
     */
    title: string,
    /**
     * 开始时间
     */
    startTime: string,
    /**
     * 结束时间
     */
    endTime: string,
    /**
     * 关闭时间长度
     */
    closedTime: number,
    /**
     * 是否每日一次
     */
    dailyRepeat: boolean,
}


export interface UpdRobotGuideMessageForm extends RobotGuideMessageForm {

    /**
     * id
     */
    id: string,

}