/**
 * (RobotMessage)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-12-02 16:54:38
 */

export interface RobotMessageForm {

    /**
     * 模板code
     */
    templateCode?: string,
    /**
     * 模板参数
     */
    templateParameter?: string,
    /**
     * 真实的消息
     */
    actualMessage?: string,
    /**
     * 接收者用户Id
     */
    receiveUserId?: string,
    /**
     * 接收者用户名
     */
    receiveUserName?: string,
    /**
     * 接收者机构
     */
    receiveOrg?: string,
    /**
     * 接收者身份
     */
    receiveIdentity?: string,
    /**
     * 发送时间
     */
    sendTime?: Date,
    /**
     * 阅读时间
     */
    readTime?: Date,
    /**
     * 阅读标志
     */
    readFlag?: boolean,
    /**
     * 备注
     */
    remark?: string,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveRobotMessageForm extends RobotMessageForm {

    /**
     * 模板code
     */
    templateCode: string,
    /**
     * 模板参数
     */
    templateParameter: string,
    /**
     * 真实的消息
     */
    actualMessage: string,
    /**
     * 接收者用户Id
     */
    receiveUserId: string,
    /**
     * 接收者用户名
     */
    receiveUserName: string,
    /**
     * 接收者机构
     */
    receiveOrg: string,
    /**
     * 接收者身份
     */
    receiveIdentity: string,
    /**
     * 发送时间
     */
    sendTime: Date,
    /**
     * 阅读时间
     */
    readTime: Date,
    /**
     * 阅读标志
     */
    readFlag: boolean,
    /**
     * 备注
     */
    remark: string,
}


export interface UpdRobotMessageForm extends RobotMessageForm {

    /**
     * id
     */
    id: string,

}