import {QuestionnaireTopicDto} from "./QuestionnaireTopicDto";

export class QuestionnaireDto {
    /**
     * 主键
     */
    id: string;
    /**
     * 问卷名称
     */
    questionnaireName: string;
    /**
     * 起始日期（默认为当前创建时间）
     */
    startTime: Date;
    /**
     * 结束日期（默认为无限制，既为null）
     */
    endTime: Date;
    /**
     * 是否提醒
     */
    whetherWarn: boolean;
    /**
     * 提醒时间
     */
    warnTime: number;
    /**
     * 说明
     */
    questionnaireExplain: string;
    /**
     * 是否投放
     */
    whetherRelease: boolean;
    /**
     * 备注
     */
    remark: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 排序
     */
    sort: number;
    questionnaireTopicDtoList:QuestionnaireTopicDto[];
    questionnaireReleaseObjFormList:QuestionnaireTopicDto[];
}