import {QuestionnaireOptionDto} from "./QuestionnaireOptionDto";

export class QuestionnaireTopicDto {
    /**
     * 主键
     */
    id: string;
    /**
     * 问卷id
     */
    questionnaireId: string;
    /**
     * 题目
     */
    topic: string;
    /**
     * problem_type_1:单选,problem_type_2:多选,problem_type_3:问答
     */
    topicType: string;
    /**
     * 是否必填
     */
    mustAnswer: boolean;
    /**
     * 备注
     */
    remark: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 排序
     */
    sort: number;
    optionAnwer:string;
    optionDtoList:QuestionnaireOptionDto[];
}