import {PageForm} from "../../PageForm";
import {SaveQuestionnaireOptionForm} from "./QuestionnaireOptionForm";


/**
 * 问卷调查--题目列表(QuestionnaireTopic)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:16
 */

export interface QuestionnaireTopicForm extends PageForm {
    /**
     * 题目
     */
    topic?: string,
    /**
     * problem_type_1:单选,problem_type_2:多选,problem_type_3:问答
     */
    topicType?: string,


    /**
     * 状态
     */
    status?: string,
}

export interface SaveQuestionnaireTopicForm {

    /**
     * 问卷id
     */
    questionnaireId: string,
    /**
     * 题目
     */
    topic: string,
    /**
     * problem_type_1:单选,problem_type_2:多选,problem_type_3:问答
     */
    topicType: string,
    /**
     * 是否必填
     */
    mustAnswer: boolean,
    /**
     * 备注
     */
    remark: string,
    /**
     * 问题选项
     */
    questionnaireOptionFormList:SaveQuestionnaireOptionForm[];
}


export interface UpdQuestionnaireTopicForm extends SaveQuestionnaireTopicForm {

    /**
     * id
     */
    id: string,

}