export class RecordDto {
    /**
     * id
     */
    id: string;

    /**
     * 被记录者的id
     */
    userId: string;

    /**
     * 被记录者的姓名
     */
    userName: string;

    /**
     * 机构id
     */
    orgId: string;

    /**
     * 机构path
     */
    orgPath: string;

    /**
     * 记录名称
     */
    recordName: string;

    /**
     * 一级记录code
     */
    recordCodeOne: string;

    /**
     * 二级记录code
     */
    recordCodeTwo: string;

    /**
     * 记录状态
     */
    recordState: string;

    /**
     * 是否处理
     */
    handle: boolean;

    /**
     * 记录时间
     */
    recordTime: string;

    /**
     * 备注
     */
    remark: string;

    /**
     * 记录人与用户之间的关系
     */
    createNormal: string;

    /**
     * 记录数据
     */
    recordDataList: object[];

    /**
     * 佐料数据
     */
    recordDietSeasoningList: object[];

    /**
     * 运动时长
     */
    motionDuration: string;
}