/**
 * satisfaction-异常记录沟通(RecordCommunicate)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-10-22 14:49:34
 */

export interface RecordCommunicateForm {

    /**
     * 满意度详情ID
     */
    recordId?: string,
    /**
     * 居民ID
     */
    userId?: string,
    /**
     * 沟通内容
     */
    content?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveRecordCommunicateForm extends RecordCommunicateForm {

    /**
     * 满意度详情ID
     */
    recordId: string,
    /**
     * 居民ID
     */
    userId: string,
    /**
     * 沟通内容
     */
    content: string,


    handle?: boolean;

    handleTime?: string;

    handleUserId?: string;

    handleUserName?: string;
}


export interface UpdRecordCommunicateForm extends RecordCommunicateForm {

    /**
     * id
     */
    id: string,

}