import {SaveRecordDietSeasoningForm} from "./SaveRecordDietSeasoningForm";

export class SaveRecordForm<T> {

    /**
     * id
     */
    id?: string;

    /**
     * 被记录者的id
     */
    userId: string;

    /**
     * 被记录者的姓名
     */
    userName: string;

    /**
     * 机构id
     */
    orgId?: string;

    /**
     * 机构path
     */
    orgPath?: string;

    /**
     * 一级记录code
     */
    recordCodeOne: string;

    /**
     * 二级记录code
     */
    recordCodeTwo?: string;

    /**
     * 记录时间
     */
    recordTime: string;

    /**
     * 记录数据
     */
    recordDataList: T[];

    /**
     * 佐料数据
     */
    recordDietSeasoningList?: SaveRecordDietSeasoningForm[];

    /**
     * 运动时长
     */
    motionDuration?: string;
}