import {BaseRecordDataForm} from "./BaseRecordDataForm";

export class UpdateRecordDietForm extends BaseRecordDataForm{

    /**
     * 食物类型id
     */
    foodTypeId: string;

    /**
     * 食物类型名称
     */
    foodTypeName: string;

    /**
     * 食物数据id
     */
    foodDataId: string;

    /**
     * 食物数据名称
     */
    foodDataName: string;

    /**
     * 食物数据图标
     */
    foodDataIcon?: string;

    /**
     * 食物数据单位
     */
    foodDataCompany: string;

    /**
     * 食物数据能量
     */
    foodDataEnergy: string;

    /**
     * 食物数据油
     */
    foodDataOil: string;

    /**
     * 食物数据盐
     */
    foodDataSalt: string;

    /**
     * 食物数据糖
     */
    foodDataSugar: string;

    /**
     * 食物规格id
     */
    foodSpecsId?: string;

    /**
     * 食物规格名称
     */
    foodSpecsName?: string;

    /**
     * 食物规格对应重量
     */
    foodSpecsWeight?: string;

    /**
     * 食物规格备注
     */
    foodSpecsRemark?: string;

    /**
     * 数量
     */
    foodNumber: string;
}