import {PageForm} from "../../PageForm";


/**
 * satisfaction-满意度调查(Satisfaction)表实体类
 *
 * @author stoneyong
 * @since 2020-10-22 17:20:54
 */
export interface PageSatisfactionForm extends PageForm {

    /**
     * 标题
     */
    title?: string;

    /**
     * 发起人id
     */
    sponsorId?: string;

    /**
     * 机构id
     */
    orgId?: string;

    /**
     * 部门id
     */
    departmentId?: string;
}