/**
 * satisfaction-满意度调查详情(SatisfactionDetails)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-10-22 17:57:11
 */

export interface SatisfactionDetailsForm {

    /**
     * 满意度调查ID
     */
    satisfactionId?: string,
    /**
     * 居民ID
     */
    userId?: string,
    /**
     * 是否满意
     */
    satisfied?: number,
    /**
     * 理由
     */
    reasonContent?: string,
    /**
     * 填写类型
     */
    fillType?: string,
    /**
     * 是否处理
     */
    isHandle?: boolean,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveSatisfactionDetailsForm extends SatisfactionDetailsForm {

    /**
     * 满意度调查ID
     */
    satisfactionId: string,
    /**
     * 居民ID
     */
    userId: string,
    /**
     * 是否满意
     */
    satisfied: number,
    /**
     * 理由
     */
    reasonContent: string,
    /**
     * 填写类型
     */
    fillType: string,
    /**
     * 是否处理
     */
    isHandle: boolean,
}


export interface UpdSatisfactionDetailsForm extends SatisfactionDetailsForm {

    /**
     * id
     */
    id: string,

}