/**
 * satisfaction-热词组(SatisfactionHotPhrases)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-10-22 16:57:08
 */

export interface SatisfactionHotPhrasesForm {

    /**
     * 名称
     */
    name?: string,
    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 部门id
     */
    departmentId?: string,
    /**
     * 关联对象类型
     */
    relationType?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveSatisfactionHotPhrasesForm extends SatisfactionHotPhrasesForm {

    /**
     * 名称
     */
    name: string,
    /**
     * 关联对象类型
     */
    relationType: string,
}


export interface UpdSatisfactionHotPhrasesForm extends SatisfactionHotPhrasesForm {

    /**
     * id
     */
    id: string,

}