export class SysOrgDto {
    /**
     * 节点层级
     */
    nodeLevel: string
    /**
     * 机构组id
     */
    type: string
    /**
     * 父id
     */
    parentId: string
    /**
     * 上一级机构名称
     */
    parentName: string
    /**
     * path
     */
    path: string
    /**
     * 机构id
     */
    orgCode: string
    /**
     * 机构名称
     */
    orgName: string
    /**
     * 机构类型
     */
    orgType: string
    /**
     * 所在区域id
     */
    areaCode: string
    /**
     * 地区信息
     */
    area: string
    /**
     * 排序
     */
    sort: string

    /**
     * 详细地址
     */
    address: string

    /**
     * 经度
     */
    lng: string

    /**
     * 纬度
     */
    lat: string
    /**
     * 人员数量
     */
    userCount: string

    phone:string

    children: SysOrgDto[]
}