import {TeachCourseDto} from "./TeachCourseDto";

export class TeachClassDto {
    /**
     * id
     */
    id: string;
    /**
     * 班级名称
     */
    name: string;
    /**
     * 学校id
     */
    orgId: string;
    /**
     * 简介
     */
    content: string;
    /**
     * 创建人id
     */
    createBy: string;
    /**
     * 创建人姓名
     */
    createName: string;
    /**
     * 创建时间
     */
    createTime: string;
    /**
     * 状态
     */
    status: string;

    //=====================

    /**
     * 报名数量
     */
    userCount: number;

    /**
     * 课数量
     */
    courseCount: number;

    /**
     * 报名状态(仅用户端分页查询班级列表时使用,需要userId参数)
     */
    enroll: boolean;

    /**
     * 课(大屏签到时使用)
     */
    teachCourseDto: TeachCourseDto;
}