import {PageForm} from "../../PageForm";


/**
 * teach-教学--班级管理(TeachClass)表实体类
 *
 * @author stoneyong
 * @since 2020-11-26 16:04:38
 */
export interface PageTeachClassForm extends PageForm {

    /**
     * 学校id
     */
    orgId?: string;

    /**
     * 班级名称
     */
    name?: string;
    /**
     * 是否分页查询
     */
    page?: boolean;
    /**
     * 状态
     */
    status?: string;


    //===============
    /**
     * 用于查询是否报名
     */
    userId?: string;

    /**
     * 用于查询当前时间的课
     */
    newTime?: string;
}