import {PageForm} from "../../PageForm";


/**
 * teach-教学--班级--报名管理(TeachClassUser)表实体类
 *
 * @author stoneyong
 * @since 2020-11-26 17:10:05
 */
export interface PageTeachClassUserForm extends PageForm {
    /**
     * 机构id
     */
    orgId?: string;
    /**
     * 班级id
     */
    classId?: string;

    /**
     * 审核状态
     */
    checkType?: boolean;

    /**
     * 是否分页查询
     */
    page: boolean;

    /**
     * 状态
     */
    status?: string;

    /**
     * 关键字
     */
    keyWord?: string;

}