import {UsedrugReactionDrugEntity} from "../entity/UsedrugReactionDrugEntity";

/**
 * 居民用药不良反应
 */
export class DrugReaction {
    /**
     * 不良反应ID
     */
    id:string;

    /**
     * 发生地
     */
    reactionAddress:string;
    /**
     * 处理状态
     */
    reactionStatus:string;
    /**
     * 持续时间
     */
    continuedTime:string;
    /**
     * 反复次数
     */
    repeatNumber:string;
    /**
     * 发生时间
     */
    createTime:string;
    /**
     * 不良反应医生判断状态
     */
    reactionHand:string;
    /**
     * 不良反应药品
     */
    drugEntityList:UsedrugReactionDrugEntity[];
}