export class PrescriptionPlanLineDto {
    /**
     * 病种
     */
    diseaseName:string;
    /**
     * 处方ID
     */
    prescriptionId:string;
    /**
     * 处方状态
     */
    fillStatus:string;
    /**
     * 药品名称
     */
    drugName:string;
    /**
     * 用药频次,每天几次
     */
    useFrequency:string;
    /**
     * 每次用量
     */
    useNumber:string;
    /**
     * 用药时间
     */
    useTime:string;
    /**
     * 用法
     */
    drugUsage:string;
    /**
     * 单位
     */
    drugUnit:string;
    /**
     * 创建时间
     */
    createTime:string;
    /**
     * 开始时间
     */
    enableTime:string;
    /**
     * 有效天数
     */
    validDay:string;
    /**
     * 药品来源
     */
    type:string;
    /**
     * 来源医院
     */
    prescriptionHospital:string;
    /**
     * 来源医生
     */
    prescriptionDoctor:string;
    /**
     * 处方
     */
    prescriptionImage:string;
}