export class UsedrugPrescriptionPlanDto {
    id:string;
    /**
     * 处方ID
     */
    prescriptionId:string;
    /**
     * 药品ID
     */
    drugId:string;
    /**
     * 药品名称
     */
    drugName:string;
    /**
     * 药盒编码1-N，代表第几个药盒
     */
    kit:number;
    /**
     * 用药频次,每天服药几次
     */
    useFrequency:number;
    /**
     * 每次用药数量
     */
    useNumber:string;
    /**
     * 实际服药数量
     */
    realNumber:string;
    /**
     * 服药时间时间段7:00,12:00
     */
    useTime:string;
    /**
     * 药品剩余数量
     */
    surplusNumber:string;
    /**
     * 用法(口服、注射等)
     */
    drugUsage:string;
    /**
     * 规格
     */
    drugNorm:string;
    /**
     * 单位
     */
    drugUnit:string;
    /**
     * 厂家
     */
    makerName:string;
}