import {BaseEntity} from "../../BaseEntity";

export class UsedrugPrescriptionEntity  extends BaseEntity{
    /**
     * 居民ID
     */
    userId:string;
    /**
     * 所属病种
     */
    diseaseIds:string;
    /**
     * 来源医院
     */
    prescriptionHospital:string;
    /**
     * 来源医生
     */
    prescriptionDoctor:string;
    /**
     * 处方图片
     */
    prescriptionImage:string;
    /**
     * 处方类型 0 免费发药 1 医院购买 2 药店购买
     */
    type:string;

    fillStatus:string;

    /**
     * 机构ID
     */
    orgId:string;
    /**
     * 计划名称ID，对应字典表ID
     */
    planNameId:string;
    /**
     * 计划名称
     */
    planName:string;
    /**
     * 有效天数
     */
    validDay:string;
    /**
     * 计划生效时间
     */
    enableTime:string;

    /**
     * 计划生效时间
     */
    endTime:string;
}